(function() {
	$(document).ready(function() {
		$("#balanceQuery").on("click", closeWindow);
		document.addEventListener("backbutton", onBackKeyDown, false);
		init();
		$("#down_btn").on("click", carinfo);
		//$("#balanceQuery").on("click", closeWindow);
		//document.addEventListener("backbutton", onBackKeyDown, false);
	});

	function onBackKeyDown() {
		$.mbank.closeWindow();
	}

	//初始化,默认卡选项
	function init() {
		var param = {
			"currentBusinessCode": "MB000006"
		};
		$.mbank._pajax("mbCardDetails.do", param, queryCardResponse);
	}

	bankNoArray = new Array();
	var importCard = "";
	var accountTotal = "";
	var balance = "";

	function queryCardResponse(data) {
		if (data.ec == '0') {
			bankNoArray = data.mbAccountInfo;
			$.each(bankNoArray, function(index, element) {
				if (element.accState != '2') {
					if (element.isDynamicAccount == '1') {
						$("#isPointCard").text("(主卡)");
						importCard = element.accountNo;
						accountTotal = element.balance;
						balance = element.balanceAvailable;
					}
				}
			});
			$("#banknoinfo").text($.mbank.utils.formatAccountNo(importCard + '', 'hide'));
			$("#accountTotal").text($.mbank.infos.fmoney(accountTotal, 2)).append("元");
			$("#balance").text($.mbank.infos.fmoney(balance, 2)).append("元");
		}
		$.mbank.hideLoading();
		$.mbank.hideLoading();
	}


	//点击弹框事件
	function carinfo() {
		if ($("#down_btn").attr("class") == 'down_btn_w2') {
			$("#banknoinfoshow").empty();
			$("#bankdetailinfo").show();
			$("#down_btn").attr("class", "down_btn_w");
		} else {
			$("#down_btn").attr("class", "down_btn_w2");
			showbanknoinfo();
		}
	}

	//更改银行卡样式信息
	function showbanknoinfo() {
		var accNo = $("#banknoinfo").text();
		var bankinfoshtml = '<div class="pop_box">';
		$.each(bankNoArray, function(index, element) {
			if ($.mbank.utils.formatAccountNo(element.accountNo + '', 'hide') == accNo) {} else {
				bankinfoshtml += '<div class="ui-grid-solo balanceQuery" id="' + element.accountNo + '"><div class="ui-block-a"><span class="minWord" >' + $.mbank.utils.formatAccountNo(element.accountNo + '', 'hide') + '</span></div></div>';
				$(document).off("click", ".balanceQuery", balanceQueryBtn).on("click", ".balanceQuery", balanceQueryBtn);
			}
		});
		bankinfoshtml += '</div>';
		$("#bankdetailinfo").hide();
		$("#banknoinfoshow").empty().html(bankinfoshtml);

	}

	//选择卡
	function balanceQueryBtn() {
		var accountTotal;
		var balance;
		var obj = $(this);
		var banknovalue = obj.children(".ui-block-a").children(".minWord").text();
		$("#banknoinfo").text(banknovalue);
		var bankNoId = obj.attr("id");
		$.each(bankNoArray, function(index, element) {
			if (element.accountNo == bankNoId) {
				if (element.isDynamicAccount == '1') {
					$("#isPointCard").text("(主卡)");
				} else {
					$("#isPointCard").text("");
				}
				accountTotal = element.balance;
				balance = element.balanceAvailable;
			}
		});
		$("#banknoinfoshow").empty();
		$("#bankdetailinfo").show();
		$("#down_btn").attr("class", "down_btn_w");
		$("#accountTotal").empty().text($.mbank.infos.fmoney(accountTotal, 2)).append("元");
		$("#balance").empty().text($.mbank.infos.fmoney(balance, 2)).append("元");
	};

	function closeWindow() {
		$.mbank.closeWindow();
	}


})();