(function() {
	$(document).on("pageinit", "#bankDetailInfoView", function() {
		activityId = $.mbank.context.activityId;
		init();
		$.mbank.hideLoading();
	});

	function init() {
		var bankActivityList = pictureList;
		$.each(bankActivityList, function(index, element) {
			if (element.activityId == activityId) {
				startTime = element.activityStartTime;
				stopTime = element.activityTime;
				$("#frontPicture").html('<img src="' + picAddressPath + element.activityPicture + '"/>');
				$("#title").text(element.activityTitle);
				$("#activeTime").text(startTime.substring(0,4)+"年"+startTime.substring(4,6)+"月"+startTime.substring(6,8)+"日"
				+ '--' + stopTime.substring(0,4)+"年"+stopTime.substring(4,6)+"月"+stopTime.substring(6,8)+"日");
				$("#activeContent").text(element.activityMessage);
			}
		});
	}
})();