var backNum = 1;
(function(){
	$(document).ready(function(){
		backNum = 1;
		//获取卡号
		mobileutils.getBankNoInfo(function (data){
			pointCard = data.bankNo;
			var reqData = {
					"currentBusinessCode":"MB000006",
					"logRecordFlag":"0"
						};
			$.mbank._pajax("mbCardDetails.do",reqData,processResponse);
		},function(){});
		
		$("#cardDetailQuery").on("click",closeWindow);
		document.addEventListener("backbutton",onBackKeydown,false);
	});
	
	
	function processResponse(data){
		if(data.ec!="0"){
			$.mbank.myAlert("提醒:"+data.em);
			return ;
		}else if(data.ec=='0'){
			var mbAccountInfo = data.mbAccountInfo;
			$.each(mbAccountInfo, function(index, element) {
				if(element.accountNo==pointCard){
					if(element.accState != 2){
						var accountNo = element.accountNo;
						var accountState = element.accountState;//账户状态:0：正常；1：完全冻结；2：只进不出；3：部分冻结；X：其他不正常； *：销户；
						var noteState = element.noteState;//介质状态:0：正常；1：挂失；2：挂失换证；3：正常换证；4：已经部提；5-撤销；*：销户
						//账户状态和介质状态如果一个正常一个不正常显示不正常状态，如果两个都不正常显示账户状态
						var accountType = element.accountType;
						
						/*if(accountState==0){accountStatename="正常"};
						if(accountState==1){accountStatename="完全冻结"};
						if(accountState==2){accountStatename="只进不出"};
						if(accountState==3){accountStatename="部分冻结"};
						if(accountState=='X'){accountStatename="其他不正常"};
						if(accountState=='*'){accountStatename="销户"};*/
						if(accountState==0){//如果账户状态正常，介质状态不正常
							if(noteState==0){
								accountStatename="正常";
							}else if(noteState==1){
								accountStatename="挂失";
							}else if(noteState==2){
								accountStatename="挂失换证";
							}else if(noteState==3){
								accountStatename="正常换证";
							}else if(noteState==4){
								accountStatename="已经部提";
							}else if(noteState==5){
								accountStatename="撤销";
							}else if(noteState=='*'){
								accountStatename="销户";
							}
						}else{//如果账户状态不正常
							if(accountState==1){
								accountStatename="完全冻结";
							}else if(accountState==2){
								accountStatename="只进不出";
							}else if(accountState==3){
								accountStatename="部分冻结";
							}else if(accountState=='X'){
								accountStatename="其他不正常";
							}else if(accountState=='*'){
								accountStatename="销户";
							}
						}
						
						if(accountType == 1){accountTypeName="活期存折"};
						if(accountType == 2){accountTypeName="定期"};
						if(accountType == 3){accountTypeName="贷款"};
						if(accountType == 4){accountTypeName="活期借记卡"};
						if(accountType == 'X'){accountTypeName="其他"};
						var cardHtml='<div class="ui-grid-solo">';
							cardHtml += '<div class="ui-block-a"><p class="minWord">'+formatAccountNo(accountNo+'','hide') + '<span class="grewWord fr3">'+accountTypeName+'</span></p>';
							cardHtml += '<p class="yellowWord" id="balanceQuery">账户余额：'+fmoney(element.balance,2)+'元</p>';
							cardHtml += '<p class="yellowWord" id="balanceQuery">可用余额：'+fmoney(element.balanceAvailable,2)+'元</p>';
							cardHtml += '<p class="smallWord">状态:'+accountStatename+'</p>';
							cardHtml += 	'</div>';
							cardHtml += 		'</div>';
							cardHtml += 	'<div class="ui-grid-solo noLine">';
							cardHtml += '<div class="ui-block-a"><p class="smallWord">开户姓名:'+element.accountName+'</p>';
							cardHtml += '<p class="smallWord">开户银行:'+element.accountOpenBankName+'</p>';
							cardHtml += '<p class="smallWord">开户网点:'+element.accountOpenNode+'</p>';
							cardHtml += '<p class="smallWord">开户日期:'+element.openDate+'</p>';
							cardHtml += '</div>';
							cardHtml += '</div>';
							$("#cardList").empty().html(cardHtml);
					}else{
						$.mbank.myAlert("对不起，您的卡还未进行签约");
					}
					
				}
			});
		}
		$.mbank.hideLoading();
		$.mbank.hideLoading();
	}
	
	function onBackKeydown(){
		if(backNum == 2){
			navigator.app.backHistory();
		}else{
			$.mbank.closeWindow();
		}
	}
	
	
	function closeWindow(){
		$.mbank.closeWindow();//调取原生
	}
	
	function formatAccountNo(accountNo, hide, start, end) {
            var formatStr = "";
            start = start || accountNo.length - 8;
            end = end || accountNo.length - 5;
            $.each(accountNo, function(index, element) {
                if (hide == "hide") {
                    if (index >= start && index <= end) {
                        element = "*";
                    }
                }
                if (index != 0 && index % 4 == 0) {
                    element = " " + element;
                }
                formatStr = formatStr + element;
            });
            return formatStr;
        }
	function fmoney(s, n) {
			n = n > 0 && n <= 20 ? n : 2;
			s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
			var l = s.split(".")[0].split("").reverse(),
				r = s.split(".")[1];
			t = "";
			for (i = 0; i < l.length; i++) {
				t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
			}
			return t.split("").reverse().join("") + "." + r;
		}
	
})();