(function() {
	var flag = true;//是否先点密码框标志
	$("#buyconfirmView").live("pageinit", function(event) {
		backnum = 3;
		initbuyData();
		$("#lkgmBtn").off().on("click", lkgmBtn);
		$("#password").off().on("click", function() {
			//清空原有密码
			$("#password").val("");
			$("#passwordHidden").val("");
			//输入购买金额不满足那就先不弹密码框
			if(flag){
				$.mbank.myAlert("请先正确输入购买金额！");
				return;
			}
			if(!checkMoney()){
				flag = true;
				return;
			}
			//改变密码框位置
			setTimeout(function() {
				$("#toHide1").hide();
				$("#period1").hide();
			}, 100);
			//开启密码键盘
			$.mbank.openKeyboard("password", "passwordHidden", function(data) {
					setTimeout(function() {
						$("#toHide1").show();
						$("#period1").show();
					}, 100);
					document.getElementById("password").setAttribute("placeholder", "请输入");
				},
				function(data) {});
		});
		$("#buyconfirmBack").off().on("click", closeWindow);
		$("#buyMoney").off();
		$("#buyMoney").on("blur", formatMoney1);
		$("#buyMoney").on("focus", function() {
			$("#buyMoneyHidden").val("");
			$("#buyMoney").val("");
		})
		initbuyData();
		$("#forMessageCodeBtn").off().on("click", sendCodeMessage);
		timestamp1 = new Date().format("yyyymmddhhmissms");
		$.mbank.hideLoading();

	});

	function checkMoney() {
		
		var money = $("#buyMoneyHidden").val();
		if($.mbank.utils.isNoValue(money)) {
			return false;
		}
		if(parseFloat(money) <= 0) {
			return false;
		}
		if(parseFloat(money) > parseFloat($.mbank.context.productAvaBalance)) {
			return false;
		}
		if(parseFloat(money) % parseFloat($.mbank.context.buyStepAmt) != 0) {
			return false;
		}
		if(parseFloat(money) > parseFloat($.mbank.context.payBalance)) {
			return false;
		}
		return true;
	}

	function formatMoney1() {
		flag = false;
		var buyMoney = this.value;
		if($.mbank.utils.isNoValue(buyMoney)) {
			$("#buyMoneyHidden,#buyMoney").val("");
			flag = true;
			return;
		} else {
			if(parseFloat(buyMoney) > parseFloat($.mbank.context.productAvaBalance)) {
				$.mbank.myAlert("剩余额度为" + (parseFloat($.mbank.context.productAvaBalance) / 10000) + "万");
				$("#buyMoneyHidden,#buyMoney").val("");
				return;
			}
			//这边判断不了是否首次购买，不需要校验起购金额
//			if(parseFloat(buyMoney) < parseFloat($.mbank.context.buyBeginAmt)) {
//				$.mbank.myAlert("起购金额为" + (parseFloat($.mbank.context.buyBeginAmt) / 10000) + "万");
//				$("#buyMoneyHidden,#buyMoney").val("");
//				return
//			}
//			if((parseFloat(buyMoney) - parseFloat($.mbank.context.buyBeginAmt)) % parseFloat($.mbank.context.buyStepAmt) != 0) {
			if(parseFloat(buyMoney) % parseFloat($.mbank.context.buyStepAmt) != 0) {
				$.mbank.myAlert("递增金额" + (parseFloat($.mbank.context.buyStepAmt) / 10000) + "万");
				$("#buyMoneyHidden,#buyMoney").val("");
				return;
			}
			if(parseFloat(buyMoney) <= 0) {
				$.mbank.myAlert("金额不能为0");
				$("#buyMoneyHidden,#buyMoney").val("");
				return;
			}
			if(parseFloat(buyMoney) > parseFloat($.mbank.context.payBalance)) {
				$.mbank.myAlert("购买金额不能大于卡内余额");
				$("#buyMoneyHidden,#buyMoney").val("");
				return;
			}
			$("#buyMoneyHidden").val(buyMoney);
			$("#buyMoney").val($.mbank.infos.fmoney(buyMoney, 2));
		}
	}
	//初始化数据
	function initbuyData() {
		//账号
		$("#bankinfo1").text($.mbank.utils.formatAccountNo($.mbank.context.payAccount + '', 'hide'));
		$("#balance1").text($.mbank.infos.fmoney($.mbank.context.payBalance, 2))
		$("#period1").empty().html($.mbank.context.productName + " <b>" + $.mbank.context.productNo + "</b>")
		$("#buyTip").empty().html("起购金额" + (parseFloat($.mbank.context.buyBeginAmt) / 10000) + "万，递增金额" + (parseFloat($.mbank.context.buyStepAmt) / 10000) + "万");
	}

	//获取短信验证码
	var InterValObj; //timer变量，控制时间
	var count = 60; //间隔函数
	var timeInit = 0;
	var smsFlowno = "";

	function sendCodeMessage() {
		if($.mbank.utils.isNoValue($("#buyMoney").val())) {
			$.mbank.myAlert("请先输入购买金额！");
			return;
		}else{
			$("#buyMoney").attr("disabled","true");
		}

		var param = {
			"bsnCode": "00000008", //交易码
			"mobileNo": LoginPhoneNo, //手机号
			"payAccount": $.mbank.context.payAccount, //账号
			"transferSum": $("#buyMoneyHidden").val(),
			"logRecordFlag": "0",
			"currentBusinessCode": "MB000001"
		};
		$.mbank._pajax("verifyCodeSend.do", param, sendCodeResponse);
	}

	function sendCodeResponse(data) {
		if(data.ec == 0) {
			// 获取短信验证码
			timeInit = count;
			$("#forMessageCodeBtn").off();
			$("#forMessageCodeBtn").html(timeInit + "秒");
			smsFlowno = data.smsFlowno;
			$.mbank.hideLoading();
			// timer处理函数
			SetRemainTime();
		}
	}

	function SetRemainTime() {
		if(timeInit == 0) {
			$("#forMessageCodeBtn").off().on("click", sendCodeMessage);
			$("#forMessageCodeBtn").html("获取验证码").css("color", "#2781d3");
		} else {
			timeInit--;
			$("#forMessageCodeBtn").html("重新获取(" + timeInit + ")").css("color", "gray");
			InterValObj = window.setTimeout(SetRemainTime, 1000);
		}
	}

	//立即购买
	function lkgmBtn() {
		$.mbank.hideLoading();
		if($.mbank.utils.isNoValue($("#buyMoney").val())) {
			$.mbank.myAlert("请输入购买金额！");
			return;
		}
		if(!$.mbank.infos.queryAmount($("#buyMoneyHidden").val())) return;
		if(parseFloat($("#buyMoneyHidden").val()) > parseFloat($.mbank.context.productAvaBalance)) {
			$.mbank.myAlert("剩余额度为" + (parseFloat($.mbank.context.productAvaBalance) / 10000) + "万");
			return
		}
//		if(parseFloat($("#buyMoneyHidden").val()) < parseFloat($.mbank.context.buyBeginAmt)) {
//			$.mbank.myAlert("起购金额为" + (parseFloat($.mbank.context.buyBeginAmt) / 10000) + "万");
//			return
//		}
//		if((parseFloat($("#buyMoneyHidden").val()) - parseFloat($.mbank.context.buyBeginAmt)) % parseFloat($.mbank.context.buyStepAmt) != 0) {
		if(parseFloat($("#buyMoneyHidden").val()) % parseFloat($.mbank.context.buyStepAmt) != 0) {
			$.mbank.myAlert("递增金额" + (parseFloat($.mbank.context.buyStepAmt) / 10000) + "万");
			return
		}
		if($("#buyMoneyHidden").val() - 0 <= 0) {
			$.mbank.myAlert("金额不能为0");
			return
		}
		if(parseFloat($("#buyMoneyHidden").val()) > parseFloat($.mbank.context.payBalance)) {
			$.mbank.myAlert("购买金额不能大于卡内余额");
			return
		}
		if(!$.mbank.infos.queryMoneyPassWord($("#password").val())) return;
		if(!$.mbank.infos.queryMessage($("#messagequery").val())) return;
		//if($.mbank.utils.isNoValue($("#manageCode").val())) {
		//	$.mbank.myAlert("请输入客户经理代码！");
		//	return;
		//}
		if ($.mbank.utils.isNoValue(smsFlowno)) {
			$.mbank.myAlert("请输入正确验证码！");
			return;
		}
		// 随机数（加密）
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		var psw = $("#passwordHidden").val();
		var a3Data = {
			"key1": key1,
			"payAccount": $.mbank.context.payAccount, //账号
			"password": psw, //密码
//			"cstType":$.mbank.context.cstType, //产品性质或者客户类型
			"proCode": $.mbank.context.productNo, //产品代码
			"proName":$.mbank.context.productName,
			"buyAmt": $("#buyMoneyHidden").val(), //认购金额
			"mobileNo": LoginPhoneNo, //手机号
			"custManageNo": $("#manageCode").val(), //客户经理代码
			"smsFlowno": smsFlowno,
			"verifyCode": $("#messagequery").val(),
			"isAgree": "1", //是否同意取消剩余预约额度    默认为  1 是
			"logRecordFlag": "1",
			"submitTimestamp": timestamp1,
			"currentBusinessCode": "MB000079"
		};
		$.mbank._pajax("buyProductSubmit.do", a3Data, a3, '', function(data) {
			if(data.ec == 'EBMB0017' || data.ec == 'EBPB0021' || data.ec == 'EBPB0020' || data.ec == 'GM44' || data.ec == 'GM93' || data.ec == 'SW01' ||
				data.ec == 'SW02' || data.ec == 'CD41' || data.ec == 'CD42' || data.ec == 'CD43' || data.ec == 'CD44' || data.ec == 'CD45' ||
				data.ec == 'CD46' || data.ec == 'CD47' || data.ec == 'CD48' || data.ec == 'CD49' || data.ec == 'CD50' || data.ec == 'CD51' ||
				data.ec == 'CD52' || data.ec == 'CD53' || data.ec == 'CD54' || data.ec == 'CD55' || data.ec == 'CD56' || data.ec == 'CD57' ||
				data.ec == 'CD58' || data.ec == 'CD59' || data.ec == 'CD60' || data.ec == 'CD61' || data.ec == 'CD62' || data.ec == 'CD68' ||
				data.ec == 'CE41' || data.ec == 'GM58' || data.ec == 'GM30' || data.ec == 'GM18' || data.ec == 'GM16' || data.ec == 'GM02' || data.ec == 'ABKG') {
				timestamp1 = new Date().format("yyyymmddhhmissms"); //防止重复提交
				$.mbank.myAlert(data.em);
				$.mbank.hideLoading();
			} else {
				$.mbank.myAlert(data.em);
			}
			$.mbank.hideLoading();

		});
	}

	function a3(data) {
		$.mbank.hideLoading();
		var confirmData3 = {
			"buyMoney": $("#buyMoneyHidden").val(),
			"payAccount": $.mbank.context.payAccount,
			"transFlowNo": data.transFlowNo, //理财流水号
			"flowno": data.flowno //平台流水号
		};
		$.mbank.context = confirmData3;
		$.mbank.goPage('finance/resultpage.html');
	}

	function closeWindow() {
		//$.mbank.closeWindow();
		timeInit = 0;
		$.mbank.hideLoading();
		$.mbank.goPage('finance/licai.html');
	}

})();