var backnum = 1;
(function() {
	var orderFlag = ""; //排序字段
	var orderBy = ""; //排序方式
	var turnPageShowNum = 10; //查询记录数
	var turnPageBeginPos = 0; //查询起始行数

	$(document).ready(function() {
		//刚进入页面初始化
		onlineWrapperHeight = $("#onlineWrapper").height();
		onLineFinaceShowHeight = $("#onLineFinaceShow").height(); //避免筛选后刷新弹跳
		$.mbank.hideLoading();
		$("#onLineFinace,#openFinace").off().on("click", onLineFinace);
		$("#myFinace").off().on("click", myFinace);
		//		$("#chooseOnLine").off().on("click",chooseOnLine);//筛选
		$("#ceQixian,#ceShouYi,#ceFengXian,#canBuyFlag").off().on("click", ceQixian); //按期限、收益、风险等级排序、和产品操作标志查询
		loaded2(); //加载我的理财分页  iScroll控件
		loaded(); //加载在线理财分页 iScroll控件
		$("#goBack").on("click", goBack);
		pageNum = 0;
		turnPageBeginPos = 0;
		initdata();
	});

	$(document).on("pagebeforeshow","#licai_listView",function(){ // 当进入页面二时
	  	var s1 = sessionStorage.getItem("backnum");
		if(s1 != null && s1 != "") {
			backnum = s1;
			sessionStorage.removeItem("backnum");
			onBackKeyDown();
		}
	});
	
	//监控物理返回键
	document.addEventListener("backbutton", onBackKeyDown, false);

	function onBackKeyDown() {
		$.mbank.hideLoading();
		if(backnum == 1) {
			$.mbank.closeWindow();
		} else if(backnum == 2) { //返回上一步操作
			navigator.app.backHistory();
			backnum = 1;
		} else if(backnum == 3) { //在线理财
			$.mbank.hideLoading();
			backnum = 1;
			$.mbank.goPage('finance/licai_list.html');
//			window.location.href = './licai_list.html';
		} else if(backnum == 4) {//赎回页面返回
			$.mbank.hideLoading();
			$.mbank.goPage('finance/licai_list.html');
			pageNum2 = 0;
			turnPageBeginPos = 0;
			initMydata(myFinaceStatus = "");//持有中
			backnum = 1;
		} else if(backnum == 6) {//撤销页面返回
			$.mbank.hideLoading();
			$.mbank.goPage('finance/licai_list.html');
			pageNum2 = 0;
			turnPageBeginPos = 0;
			initMydata(myFinaceStatus = "0");//募集期
			backnum = 1;
		} else if(backnum == 5) {
			$.mbank.hideLoading();
			backnum = 1;
			$.mbank.goPage('finance/licai_list.html');
		}
	}

	//点击在线理财（开放式、封闭式）触发方法
	function onLineFinace() {
		pageNum = 0;
		turnPageBeginPos = 0;
		orderFlag = "";
		orderBy = "";
		var sid = $(this).attr("id");
		if("openFinace" == sid) { //选择开放式理财
			$("#myFinace,#onLineFinace").removeClass("active");
		} else if("onLineFinace" == sid) { //选择封闭式理财
			$("#myFinace,#openFinace").removeClass("active");
		}
		$("#" + sid).addClass("active");
		$("#myWrapper").removeClass("myWrapper1");
		$("#ceQixian,#ceShouYi,#ceFengXian").removeClass("syl qx syl fxdj").addClass("fxdj");
		$("#canBuyFlag").children("a").html("全部<i></i>");
		$("#canBuyFlag").attr("class", "gm");
		$("#myFinaceShow").hide();
		$("#onLineFinaceShow").show();
		initdata();
	}

	/**
	 * 根据排序情况和产品操作标识查询
	 */
	function ceQixian() {
		pageNum = 0;
		turnPageBeginPos = 0;
		var sid = $(this).attr("id");
		var clazz = $(this).attr("class");
		if(sid == "canBuyFlag") { //产品操作标识
			if(clazz == "gm") { //全部
				$(this).children("a").html("可购买<i></i>");
				$(this).removeClass("gm").addClass("gm1");
			} else if(clazz == "gm1") {
				$(this).children("a").html("全部<i></i>");
				$(this).removeClass("gm1").addClass("gm");
			}
		} else {
			if(sid == "ceQixian") { //期限
				orderFlag = "3";
			} else if(sid == "ceShouYi") { //收益率
				orderFlag = "1";
			} else if(sid == "ceFengXian") { //风险等级
				orderFlag = "2";
			}
			//1-降序    2-升序
			if(clazz == "fxdj") { //向下未选中
				$("#ceQixian,#ceShouYi,#ceFengXian").removeClass("syl qx syl fxdj").addClass("fxdj");
				$(this).removeClass("fxdj").addClass("syl"); //此时执行向下选中
				orderBy = "1";
			} else if(clazz == "syl") { //向下选中
				$(this).removeClass("syl").addClass("qx"); //此时仲系那个向上选中
				orderBy = "2";
			} else if(clazz == "qx") { //向上选中
				$(this).removeClass("qx").addClass("syl"); //此时执行向下选中
				orderBy = "1";
			} else if(clazz == "qxl") { //向上未选中
				$("#ceQixian,#ceShouYi,#ceFengXian").removeClass("syl qx syl fxdj").addClass("fxdj");
				$(this).removeClass("fxdj").addClass("qx"); //此时执行向上选中
				orderBy = "2";
			} else {
				$("#ceQixian,#ceShouYi,#ceFengXian").removeClass("syl qx syl fxdj").addClass("fxdj");
				$(this).removeClass("fxdj").addClass("syl"); //此时执行向下选中
				orderBy = "1";
			}
		}
		initdata();
	}

	//初始化数据
	function initdata() {
		//产品类型   0全部   1开放型   2封闭型
		var productType = $(".listTab li.active").attr("id");
		if("onLineFinace" == productType) { //封闭式理财
			productType = "2";
		} else if("openFinace" == productType) { //开放式理财
			productType = "1";
		} else {
			productType = "0";
		}
		//产品操作标识   0-全部（默认）  1-可购买
		var purchaMark = $("#canBuyFlag").attr("class");
		if("gm" == purchaMark) {
			purchaMark = "0";
		} else if("gm1" == purchaMark) {
			purchaMark = "1";
		}
		var a1Data = {
			"turnPageBeginPos": turnPageBeginPos, //查询起始记录号
			"turnPageShowNum": turnPageShowNum, //查询记录数
			"purchaMark": purchaMark, //产品操作标识   0-全部（默认）  1-可购买
			"productType": productType, //产品类型   0全部   1开放型   2封闭型
			"orderFlag": orderFlag, //排序字段
			"orderBy": orderBy, //排序标志
			"currentBusinessCode": "MB000076",
			"logRecordFlag": "0"
		};
		//理财产品信息查询（mk5051）
		$.mbank._pajax("investProductQuery.do", a1Data, a1, null, function (data) {
			//交易失败处理
			$.mbank.hideLoading();
			$.mbank.myAlert("提醒："+data.em);
			if(pageNum > 0) {
				pageNum--;
			} else {
//				$("#onlineWrapper").css("position", "static")
				$("#pullUp").hide();
				$("#onlinethelist").html('<li><div class="selectHank_box"><div class="fillmsg_box"><div class="nodataicon"></div></div></div></li>');
			}
			myScroll.refresh();
		});
	}

	function a1(data) {
		$.mbank.hideLoading();
		if(data.ec == '0') {
			if(data.productLists != null && data.productLists.length > 0) {
				if(data.productLists.length < turnPageShowNum || (turnPageShowNum * (pageNum + 1)) == data.proSum){
					$("#pullUp").hide();
				}else{
					$("#pullUp").show();
				}
				var proArray = data.productLists;
				var html = "";
				$.each(proArray, function(index, element) {
					html += "<li><article class='model1' id='" + element.productNo + "'><div class='modelTitle clearfix'><h3>" + element.productName + "</h3>";
					html += "<div>" + element.productNo + "（" + $.mbank.param.getDisplay("PROD_RISK_LEVEL", element.riskLevel) + "）</div></div><div class='modelCon'>";
					html += "<ul class='clearfix'><li><b>" + element.maxExpectIncome + "</b><em>%</em><span>预期收益率</span></li>";
					html += "<li><b>" + (parseFloat(element.buyBeginAmt) / 10000) + "</b><em>万</em><span>起购金额</span></li>";
					//计算理财期限
					element.period = $.mbank.utils.getDateDiff(changeDateFormat(element.windingDay), changeDateFormat(element.establishDay));
					proArray[index].period = element.period; //保存到对象中，方便详情调用
					html += "<li class='blueLi'><b>" + element.period + "</b><em>天</em><span>理财期限</span></li></ul>";
					//计算购买进度
					element.proProgress = (parseFloat(element.totalAmt) - parseFloat(element.productAvaBalance)) / parseFloat(element.totalAmt);
					proArray[index].proProgress = element.proProgress; //保存到对象中，方便详情调用
					if(element.proProgress >= 1) {
						//html += "<div class='ed_rq clearfix'><div class='ed'><div class='active' data-perc='100' style='width:0%;-webkit-border-radius:5px;-moz-border-radius:5px;-o-border-radius:5px;border-radius:5px;'></div>";
						html += "<div class='ed_rq clearfix'><div class='ed1'><div class='active' data-perc='100' style='width:0%;'></div>";
						html += "<div class='txt'>购买进度<em>" + 100 + "%</em></div>";
					} else if(element.proProgress < 0.025 && element.proProgress > 0) {
						html += "<div class='ed_rq clearfix'><div class='ed1'><div class='active' data-perc='2.5' style='width:0%;'></div>";
						html += "<div class='txt'>购买进度<em>" + ((element.proProgress * 100).toFixed(2)) + "%</em></div>";
					} else {
						html += "<div class='ed_rq clearfix'><div class='ed1'><div class='active' data-perc='" + ((element.proProgress * 100).toFixed(2)) + "' style='width:0%;'></div>";
						html += "<div class='txt'>购买进度<em>" + ((element.proProgress * 100).toFixed(2)) + "%</em></div>";
					}

					html += "</div><span class='rq'>" + changeDateFormat(element.subsBeginDate) + "至" + changeDateFormat(element.subsEndDate) + "</span></div></div></article></li>";
				});
				if(pageNum == 0) {
					$("#onlinethelist").empty().html(html);
					$("#onlineWrapper").css("height", onlineWrapperHeight);
					$("#onLineFinaceShow").css("height", onLineFinaceShowHeight);
				} else {
					$("#onlinethelist").append(html);
				}

				$(".model1").off().on("click", function() { //查看详情
					var productNo = $(this).attr("id");
					for(var i = 0; i < proArray.length; i++) {
						if(productNo == proArray[i].productNo) {
							$.mbank.context = proArray[i];
							$.mbank.hideLoading();
							$.mbank.goPage('finance/product_detail.html');
							break;
						}
					}
				});
				myScroll.refresh();
				//动态进度条
				$('#onlinethelist .active').each(function() {
					var dataperc = $(this).attr('data-perc');
					$(this).animate({
						width: dataperc + "%"
					}, dataperc * 25);
				});
			} else {
				if(pageNum > 0) {
					$.mbank.myAlert("对不起，已经是最后一页了");
					pageNum--;
				} else {
//					$("#onlineWrapper").css("position", "static");
					$("#pullUp").hide();
					$("#onlinethelist").html('<li><div class="selectHank_box"><div class="fillmsg_box"><div class="nodataicon"></div></div></div></li>');
				}
				myScroll.refresh();
			}
		}
	}

	/*
	//筛选(没有筛选功能)
	function chooseOnLine(){
		$("#productName1").val("");
		$("#productId1").val("");
		if($(".sx_droplist").is(":hidden")){//如果隐藏了，则显示
			$("#licai_listView").css("min-height",window.screen.height-20);
			$("#finaceContent").css("min-height",window.screen.height-40);
			$("#chooseOnLine").addClass("active");
			$(".sx_droplist").show();
			$(".maskLayer").show();
			$("#complete").off().on("click",complete1);//完成
			$("#resetbtn").off().on("click",function(){
				$("#productName1").val("");
				$("#productId1").val("");
			});
			$("#onlineWrapper").css("position","static")
		}else{
			$("#chooseOnLine").removeClass("active");
			$(".sx_droplist").hide();
			$(".maskLayer").hide();
			$("#onlineWrapper").css("position","absolute")
		}
	}
	//完成筛选
	function complete1(){
		pageNum=0;
		$("#chooseOnLine").removeClass("active");
		$(".sx_droplist").hide();
		$(".maskLayer").hide();
		var switchval="";
		if($("#switch1").val()=="on"){
			switchval="1";
		}else{//可购买
			switchval="0";
		}
		$("#onlineWrapper").css("position","absolute")
		$("#licai_listView").css("min-height",window.screen.height-24);
		$("#finaceContent").css("min-height",window.screen.height-40);
		var a1Data = {
				"orderFlag":"0", //排序字段
				"orderBy":"1", //排序标志
				"proName":$("#productName1").val(), //产品名称字段
				"proCode":$("#productId1").val(), //产品代码
				"purchaMark":switchval, //能否购买标志
				"turnPageBeginPos": "1", //查询起始记录号
				"currentBusinessCode":"MB000076",
				"logRecordFlag":"0",
				"turnPageShowNum": "30" //请求记录数
			};
		$.mbank._pajax("investProductQuery.do", a1Data, a1);
	}
	*/

	//-----------------------------------------------------------------------------------------------------选择我理财
	var myFinaceStatus = ""; //我的理财状态     ""-持有中   0-募集期   2-已撤销   3-已到期
	function myFinace() {
		pageNum2 = 0;
		turnPageBeginPos = 0;
		$("#onLineFinace,#openFinace").removeClass("active");
		$("#myFinace").addClass("active");
		$("#myWrapper").addClass("myWrapper1");
		$("#onLineFinaceShow").hide();
		$("#myFinaceShow").show();
		$("#holding").addClass("current").siblings().removeClass("current");
		//隐藏筛选
//		$("#chooseOnLine").removeClass("active");
//		$(".sx_droplist").hide();
//		$(".maskLayer").hide();
		$("#onlineWrapper").css("position", "absolute");
		
		$("nav ul li").off().on("click", function() {
			pageNum2 = 0;
			turnPageBeginPos = 0;
			$(this).addClass("current").siblings().removeClass("current");
			var index = $(this).index();
			if(index == 0) {//持有中
				initMydata(myFinaceStatus = "");
			} else if(index == 1) {//募集期
				initMydata(myFinaceStatus = "0");
			} else if(index == 2) {//已撤销
				initMydata(myFinaceStatus = "2");
			} else if(index == 3) {//已到期
				initMydata(myFinaceStatus = "3");
			}
		});
		initMydata(myFinaceStatus = "");
	}

	//我的理财数据
	function initMydata(orderState) {
		/**
		 * 7.我的理财记录查询
		 */
		var param = {
			"turnPageBeginPos": turnPageBeginPos,
			"turnPageShowNum": turnPageShowNum,
			"currentBusinessCode": "MB000080",
			"logRecordFlag": "0",
			"orderState": orderState
		};
		if("0" == orderState){//募集期
			param.capitalStatus = "1";//资金状态 
			param.productState = "";//产品状态
		}else if("3" == orderState){//已到期
			param.capitalStatus = "3";//资金状态
			param.productState = "4";//产品状态
		}
		//理财产品客户交易记录查询（mk5056）   客户份额查询（mk5151）   调用同个请求， 根据orderState后台判断
		$.mbank._pajax("productBuyOrderList.do", param, a8, null, function (data) {
			//失败处理
			$.mbank.hideLoading();
			$.mbank.myAlert("提醒："+data.em);
			if(pageNum2 > 0) {
				pageNum2--;
			} else {
				$("#pullUp2").hide();
				$("#myFinacethelist").html('<div class="selectHank_box"><div class="fillmsg_box"><div class="nodataicon"></div></div></div>');
			}
			myScroll2.refresh();
		});
	}

	//金额动态增长
	function magic_number(value) {
		var num = $("#total_num");
		num.animate({
			count: value
		}, {
			duration: 1000,
			step: function(now, fx) {
				num.text($.mbank.infos.fmoney(now, 2));
			}
		});
	};

	function a8(data) {
		$.mbank.hideLoading();
		if(data.ec == '0') {
			//$("#total_num").text($.mbank.infos.fmoney(data.totalAmount, 2))
			var buyproArray = [];
			myFinaceStatus? buyproArray = data.iProTransferList : buyproArray = data.fenEList;
			if(buyproArray != null && buyproArray.length > 0) {
//				var nowDate1 = new Date(); //当前日期
//				var nowDate = new Date(nowDate1.getFullYear(), nowDate1.getMonth(), nowDate1.getDate());
//				magic_number(totalVol);	//动态流水显示理财总金额
				if(buyproArray.length < turnPageShowNum || (turnPageShowNum * (pageNum2 + 1)) == data.recordNo){
					$("#pullUp2").hide();
				}else{
					$("#pullUp2").show();
				}
				var html = "";
				if(!myFinaceStatus){// 3-持有中   
					$.each(buyproArray, function(index, element) {
					
						html += "<article class='model1' id='" + element.productNo+element.payAccount + "'><div class='modelTitle clearfix'>";
						html += "<div style='width:100%'><h3>" + element.productName + "</h3></div></div>";
						html += "<div class='modelCon'><ul class='clearfix myfinancing_data'><li><b>" + element.annualYieldRate + "</b><em></em><span>预期收益率</span></li>";
						html += "<li><b>" + (parseFloat(element.canUsedVol) / 10000) + "</b><em>万</em><span>购买金额</span></li>" +
							"<li class='blackLi'><b><em>" + changeDateFormat(element.confirmDate) + "</b></em><span>购买日期</span></li></ul></div></article>"
					});
					
				}else{	//0-募集期   2-已撤销   4-已到期
					$.each(buyproArray, function(index, element) {
					
//						var endDate1 = element.endDate;
//						var proDate = new Date(parseInt(endDate1.substring(0, 4), 10), parseInt(endDate1.substring(4, 6), 10) - 1, parseInt(endDate1.substring(6, 8), 10));
//						var days = parseInt(Math.abs(proDate - nowDate) / 1000 / 60 / 60 / 24)
//						if(proDate < nowDate) {
//							days = 0;
//						}
						html += "<article class='model1' id='" + element.orderFlowNo + "'><div class='modelTitle clearfix'>";
//						html += "<div style='width:100%'><span style='float:right'>还有<b>" + days + "</b>天到期</span></div><div style='width:100%'><h3>" + element.proName + "</h3></div></div>";
						html += "<div style='width:100%'><h3>" + element.productName + "</h3></div></div>";
						html += "<div class='modelCon'><ul class='clearfix myfinancing_data'><li><b>" + element.annualYieldRate + "</b><em></em><span>预期收益率</span></li>";
						html += "<li><b>" + (parseFloat(element.applyAmt) / 10000) + "</b><em>万</em><span>购买金额</span></li>" +
							"<li class='blackLi'><b><em>" + changeDateFormat(element.transferDatetime) + "</b></em><span>购买日期</span></li></ul></div></article>"
					});
				}
				if(pageNum2 == 0) {
					$("#myFinacethelist").html(html);
				} else {
					$("#myFinacethelist").append(html);
				}

				$(".model1").off().on("click", function() { //查看详情
					var confirmData2 = {};
					var id = $(this).attr("id");
					if(!myFinaceStatus){// 3-持有中
						$.each(buyproArray, function(i,c) {
							if(id == c.productNo+c.payAccount){
								confirmData2.productNo = c.productNo; //产品代码
								//confirmData2.buyAmt = c.totalVol; //购买金额
								confirmData2.buyAmt = c.canUsedVol; //购买金额
								confirmData2.buyDate = c.confirmDate; //起息日
								confirmData2.payAccount = c.payAccount; //账户
								confirmData2.annualYieldRate = c.annualYieldRate; //收益率区间
								//sessionStorage.setItem("annualYieldRate",element.annualYieldRate);
								return false;
							}
						});
					}else{	//0-募集期   2-已撤销   4-已到期
						$.each(buyproArray, function(i,c) {
							if(id == c.orderFlowNo){
								confirmData2.orderFlowNo = c.orderFlowNo; //理财流水号
								confirmData2.productNo = c.productNo; //产品代码
								confirmData2.buyAmt = c.applyAmt; //购买金额
								confirmData2.buyDate = c.transferDatetime; //起息日
								confirmData2.payAccount = c.accountNo; //账户
								confirmData2.annualYieldRate = c.annualYieldRate; //收益率区间
								//sessionStorage.setItem("annualYieldRate",element.annualYieldRate);
								return false;
							}
						});
					}
					confirmData2.orderState = myFinaceStatus;//产品状态
					
					var a1Data = {
						"turnPageBeginPos": "0", //查询起始记录号
						"turnPageShowNum": "10", //查询记录数
						"proCode": confirmData2.productNo, //产品代码
						"purchaMark": "0", //产品操作标识   0-全部（默认）  1-可购买
						"productType": "0", //产品类型   0全部   1开放型   2封闭型
						"currentBusinessCode": "MB000076",
						"logRecordFlag": "0"
					};
					$.mbank._pajax("investProductQuery.do", a1Data, function(data) {
						$.mbank.hideLoading();
						if(data.ec == '0') {
							if(data.productLists != null && data.productLists.length > 0) {
								var obj = data.productLists[0];
								$.mbank.context = $.extend(obj, confirmData2);
								$.mbank.hideLoading();
								$.mbank.goPage('finance/product_info.html');
							} else {
								$.mbank.myAlert("未查询到产品详情！");
							}
						}
					});
					
				});

			} else {
				if(pageNum2 > 0) {
					$.mbank.myAlert("对不起，已经是最后一页了");
					pageNum2--;
				} else {
					$("#pullUp2").hide();
					$("#myFinacethelist").html('<div class="selectHank_box"><div class="fillmsg_box"><div class="nodataicon"></div></div></div>');
				}
			}
		}
		myScroll2.refresh();
	}

	function goBack() {
		$.mbank.closeWindow();
	}
	//格式化日期
	function changeDateFormat(str) {
		strone = str.substring(0, 4) + "-" + str.substring(4, 6) + "-" + str.substring(6, 8);
		return strone;
	}

	//在线理财分页==================================
	//==============分页===================
	var myScroll,
		pullDownEl, pullDownOffset,
		pullUpEl, pullUpOffset,
		generatedCount = 0;
	var payerAccount; //账号
	var pageNum = 0;

	/**
	 * 下拉刷新 （自定义实现此方法）
	 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
	 */
	function pullDownAction() {
		pageNum = 0;
		turnPageBeginPos = 0;
		setTimeout(function() { // <-- Simulate network congestion, remove setTimeout from production!
			initdata();
			myScroll.refresh(); //数据加载完成后，调用界面更新方法   Remember to refresh when contents are loaded (ie: on ajax completion)
		}, 0); // <-- Simulate network congestion, remove setTimeout from production!
	}

	/**
	 * 滚动翻页 （自定义实现此方法）
	 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
	 */
	function pullUpAction() {
		pageNum++;
		turnPageBeginPos = pageNum * turnPageShowNum;
		setTimeout(function() { // <-- Simulate network congestion, remove setTimeout from production!
			initdata();
			myScroll.refresh(); // 数据加载完成后，调用界面更新方法 Remember to refresh when contents are loaded (ie: on ajax completion)
		}, 0); // <-- Simulate network congestion, remove setTimeout from production!
	}

	/**
	 * 初始化iScroll控件
	 */
	function loaded() {
		pullDownEl = document.getElementById('pullDown');
		pullDownOffset = pullDownEl.offsetHeight;
		pullUpEl = document.getElementById('pullUp');
		pullUpOffset = pullUpEl.offsetHeight;
		myScroll = new iScroll('onlineWrapper', {
			scrollbarClass: 'myScrollbar',
			/* 重要样式 */
			useTransition: false,
			/* 此属性不知用意，本人从true改为false */
			topOffset: 51,
			onRefresh: function() {
				if(pullDownEl.className.match('loading')) {
					pullDownEl.className = '';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
				} else if(pullUpEl.className.match('loading')) {
					pullUpEl.className = '';
					pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
				}
			},
			onScrollMove: function() {
				if(this.y > 5 && !pullDownEl.className.match('flip')) {
					pullDownEl.className = 'flip';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '松手开始更新...';
					this.minScrollY = 0;
				} else if(this.y < 5 && pullDownEl.className.match('flip')) {
					pullDownEl.className = '';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
					this.minScrollY = -pullDownOffset;
				} else if(this.y < (this.maxScrollY - 5) && this.maxScrollY < 0 && !pullUpEl.className.match('flip')) {
					pullUpEl.className = 'flip';
					pullUpEl.querySelector('.pullUpLabel').innerHTML = '松手开始更新...';
					this.maxScrollY = this.maxScrollY;
				} else if(this.y > (this.maxScrollY + 5) && pullUpEl.className.match('flip')) {
					pullUpEl.className = '';
					pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
					this.maxScrollY = this.maxScrollY;
				}
			},
			onScrollEnd: function() {
				if(pullDownEl.className.match('flip')) {
					pullDownEl.className = 'loading';
					pullDownEl.querySelector('.pullDownLabel').innerHTML = '加载中...';
					pullDownAction(); // Execute custom function (ajax call?)
				} else if(pullUpEl.className.match('flip')) {
					pullUpEl.className = 'loading';
					pullUpEl.querySelector('.pullUpLabel').innerHTML = '加载中...';
					if(!$(pullUpEl).is(":hidden"))pullUpAction(); // Execute custom function (ajax call?)
				}
			}
		});
		setTimeout(function() {
			document.getElementById('onlineWrapper').style.left = '0';
		}, 800);
	}

	//我的理财分页==================================
	//==============分页===================
	var myScroll2,
		pullDownEl2, pullDownOffset2,
		pullUpEl2, pullUpOffset2,
		generatedCount2 = 0;
	var payerAccount2; //账号
	var pageNum2 = 0;
	/**
	 * 下拉刷新 （自定义实现此方法）
	 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
	 */
	function pullDownAction2() {
		pageNum2 = 0;
		turnPageBeginPos = 0;
		setTimeout(function() { // <-- Simulate network congestion, remove setTimeout from production!
			initMydata(myFinaceStatus);
			myScroll2.refresh(); //数据加载完成后，调用界面更新方法   Remember to refresh when contents are loaded (ie: on ajax completion)
		}, 0); // <-- Simulate network congestion, remove setTimeout from production!
	}

	/**
	 * 滚动翻页 （自定义实现此方法）
	 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
	 */
	function pullUpAction2() {
		pageNum2++;
		turnPageBeginPos = pageNum2 * turnPageShowNum;
		setTimeout(function() { // <-- Simulate network congestion, remove setTimeout from production!
//			/**
//			 * 1.我的理财列表
//			 */
//			var param = {
//				"turnPageBeginPos": (pageNum2 * 10) + 1,
//				"turnPageShowNum": "10",
//				"currentBusinessCode": "MB000080",
//				"logRecordFlag": "0",
//				"flag": myFinaceStatus
//			};
//			$.mbank._pajax("productBuyOrderList.do", param, a8);
			initMydata(myFinaceStatus);
			myScroll2.refresh(); // 数据加载完成后，调用界面更新方法 Remember to refresh when contents are loaded (ie: on ajax completion)
		}, 0); // <-- Simulate network congestion, remove setTimeout from production!
	}

	/**
	 * 初始化iScroll控件
	 */
	function loaded2() {
		pullDownEl2 = document.getElementById('pullDown2');
		pullDownOffset2 = pullDownEl2.offsetHeight;
		pullUpEl2 = document.getElementById('pullUp2');
		pullUpOffset2 = pullUpEl2.offsetHeight;
		myScroll2 = new iScroll('myWrapper', {
			scrollbarClass: 'myScrollbar',
			/* 重要样式 */
			useTransition: false,
			/* 此属性不知用意，本人从true改为false */
			topOffset: 51,
			onRefresh: function() {
				if(pullDownEl2.className.match('loading')) {
					pullDownEl2.className = '';
					pullDownEl2.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
				} else if(pullUpEl2.className.match('loading')) {
					pullUpEl2.className = '';
					pullUpEl2.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
				}
			},
			onScrollMove: function() {
				if(this.y > 5 && !pullDownEl2.className.match('flip')) {
					pullDownEl2.className = 'flip';
					pullDownEl2.querySelector('.pullDownLabel').innerHTML = '松手开始更新...';
					this.minScrollY = 0;
				} else if(this.y < 5 && pullDownEl2.className.match('flip')) {
					pullDownEl2.className = '';
					pullDownEl2.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
					this.minScrollY = -pullDownOffset;
				} else if(this.y < (this.maxScrollY - 5) && this.maxScrollY < 0 && !pullUpEl2.className.match('flip')) {
					pullUpEl2.className = 'flip';
					pullUpEl2.querySelector('.pullUpLabel').innerHTML = '松手开始更新...';
					this.maxScrollY = this.maxScrollY;
				} else if(this.y > (this.maxScrollY + 5) && pullUpEl2.className.match('flip')) {
					pullUpEl2.className = '';
					pullUpEl2.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
					this.maxScrollY = this.maxScrollY;
				}
			},
			onScrollEnd: function() {
				if(pullDownEl2.className.match('flip')) {
					pullDownEl2.className = 'loading';
					pullDownEl2.querySelector('.pullDownLabel').innerHTML = '加载中...';
					pullDownAction2(); // Execute custom function (ajax call?)
				} else if(pullUpEl2.className.match('flip')) {
					pullUpEl2.className = 'loading';
					pullUpEl2.querySelector('.pullUpLabel').innerHTML = '加载中...';
					if(!$(pullUpEl2).is(":hidden"))pullUpAction2(); // Execute custom function (ajax call?)
				}
			}
		});
		setTimeout(function() {
			document.getElementById('myWrapper').style.left = '0';
		}, 800);
	}

})();