(function() {
	$(document).ready(function() {
		backnum = 1;
		preferentialInfo='';
		loaded();
		mobileutils.getPreferentialSearch(
			function(data) {
				preferentialInfo = data.preferentialInfo;
				if (preferentialInfo != null && preferentialInfo != '') {
					$("#couponTitle").text(preferentialInfo);
				} else {
					$("#couponTitle").text("全部");
				}

				init();
			},
			function(data) {}
		);

		$("#couponFood").on("click", function() {
			$.mbank.closeWindow();
		});
	});

	function init() {
		sessionStorage.setItem("pageType", "mbMerchantInfo");
		mobileutils.getPoint(function(data) {
			xPoint = data.xPoint;
			yPoint = data.yPoint;
			sessionStorage.setItem("coordinate", xPoint + "," + yPoint);
			coordinate = sessionStorage.getItem("coordinate");
			var queryData = {
				"searchFlag": preferentialInfo,
				"turnPageBeginPos": "0",
				"turnPageShowNum": "10",
				"coordinate": coordinate,
				"currentBusinessCode": "MB000051",
				"logRecordFlag": "0"
			};
			$.mbank._pajax("MBMerchantList.do", queryData, submitResponse);
		}, function(data) {});
	}

	function submitResponse(data) {
		if (data.ec == 0) {
			if (data.mbMerchantInfo != null && data.mbMerchantInfo.length > 0) {
				$("#mapController").css("display", "block");
				mbMerchantInfo = new Array();
				mbMerchantInfo = data.mbMerchantInfo;
				sessionStorage.setItem("mbFavourableInfo",JSON.stringify(data));
				var html = '';
				coordinateList = new Array();
				$.each(mbMerchantInfo, function(index, element) {
					numValue = index + 1;
					html += '<li id="' + element.merchantNumber + '" class="foodPullQuery" style="-moz-border-radius:5px; -webkit-border-radius: 5px; border-radius:5px; background:#FFFFFF; padding:.6em; margin-bottom:.3em; overflow:auto;border:0;">' + '<img src="' + picAddressPath + element.thumbnail + '"/>' + '<p class="minWord">' + numValue + '.' + element.merchantName + '</p>' //店铺名称
						+ '<p class="grewWord">' + element.merchantAddress + '</p>' + '<span class="grewWord">' + element.merchantPhone + '</span>' + '<span class="grewWord_fr">' + element.distance + 'km</span>' + '</li>';
					coordinateList.push(element.coordinate);
				});
				sessionStorage.setItem("coordinateList", coordinateList);
				$("#pullList").empty().append(html);
				$("#pullUp").show();
			} else {
				$("#mapController").css("display", "none");
				$("#scroller").css("background","#ffffff");
				$("#pullList").empty().html('<div class="selectHank_box"><div class="fillmsg_box"><div class="nodataicon"></div></div></div>');
				
			}
			myScroll.refresh();	
			$.mbank.hideLoading();
			$.mbank.hideLoading();
		}
	}

	$(document).on("click", ".foodPullQuery", function() {
		var idValue = this.id;
		backnum = 2;
		sessionStorage.setItem("shopId",idValue);
		$.mbank.goPage("listQueryDetail/listQueryDetailSelect.html");

	});
	
	//==============分页===================
	var myScroll,
	pullDownEl, pullDownOffset,
	pullUpEl, pullUpOffset;
	var pageNum=0;
/**
 * 下拉刷新 （自定义实现此方法）
 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
 */
function pullDownAction () {
	
	setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
		if(pageNum<1){
			pageNum=0;
			$.mbank.myAlert("对不起，已经是第一页了");
		}else{
			pageNum--;
			 var params={
					 "searchFlag": preferentialInfo,
						"turnPageBeginPos": (pageNum*10)+1,
						"turnPageShowNum": "10",
						"coordinate": coordinate,
						"currentBusinessCode": "MB000051",
						"logRecordFlag": "0"
					};
			  $.mbank._pajax("MBMerchantList.do",params,processPullDownResponse);
		}
		
		
		myScroll.refresh();		//数据加载完成后，调用界面更新方法   Remember to refresh when contents are loaded (ie: on ajax completion)
	}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
}
function processPullDownResponse(data){
  	sessionStorage.setItem("mbFavourableInfo",JSON.stringify(data));
	  L2ShopArray = data.mbMerchantInfo;
	  coordinateList = new Array();
	  	newContent = "";
		  for (var i=0; i<L2ShopArray.length; i++) { 
		  	numValue = i + 1;
		    newContent += '<li id="' + L2ShopArray[i].merchantNumber + '" class="foodPullQuery" style="-moz-border-radius:5px; -webkit-border-radius: 5px; border-radius:5px; background:#FFFFFF; padding:.6em; margin-bottom:.3em; overflow:auto;border:0;">' 
			+ '<img src="' + picAddressPath + L2ShopArray[i].thumbnail + '"/>' 
			+ '<p class="minWord">' + numValue + '.' + L2ShopArray[i].merchantName + '</p>' 
			+ '<p class="grewWord">' + L2ShopArray[i].merchantAddress + '</p>' 
			+ '<span class="grewWord">' + L2ShopArray[i].merchantPhone + '</span>' 
			+ '<span class="grewWord_fr">' + L2ShopArray[i].distance + 'km</span>' + '</li>';
			  coordinateList.push(L2ShopArray[i].coordinate);
		  }
	  sessionStorage.setItem("coordinateList",coordinateList);
	  $("#pullList").empty().append(newContent);
	  
	  $.mbank.hideLoading();
  }
/**
 * 滚动翻页 （自定义实现此方法）
 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
 */
function pullUpAction () {
	
	pageNum++;
	setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
		 var params={
				 "searchFlag": preferentialInfo,
					"turnPageBeginPos":(pageNum*10)+1,
					"turnPageShowNum": "10",
					"coordinate": coordinate,
					"currentBusinessCode": "MB000051",
					"logRecordFlag": "0"
				};
		  $.mbank._pajax("MBMerchantList.do",params,processPullUpResponse);
		
		myScroll.refresh();		// 数据加载完成后，调用界面更新方法 Remember to refresh when contents are loaded (ie: on ajax completion)
	}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
}

function processPullUpResponse(data){
	  L2ShopArray = data.mbMerchantInfo;
	  if(L2ShopArray!=null&&L2ShopArray.length>0){
	  	sessionStorage.setItem("mbFavourableInfo",JSON.stringify(data));
	  	$("#pullList").empty();
	  	coordinateList = new Array();
	  	newContent = "";
		  for (var i=0; i<L2ShopArray.length; i++) { 
		  	numValue = i + 1;
		    newContent += '<li id="' + L2ShopArray[i].merchantNumber + '" class="foodPullQuery"  style="-moz-border-radius:5px; -webkit-border-radius: 5px; border-radius:5px; background:#FFFFFF; padding:.6em; margin-bottom:.3em; overflow:auto;border:0;">' 
			+ '<img src="' + picAddressPath + L2ShopArray[i].thumbnail + '"/>' 
			+ '<p class="minWord">' + numValue + '.' + L2ShopArray[i].merchantName + '</p>' 
			+ '<p class="grewWord">' + L2ShopArray[i].merchantAddress + '</p>' 
			+ '<span class="grewWord">' + L2ShopArray[i].merchantPhone + '</span>' 
			+ '<span class="grewWord_fr">' + L2ShopArray[i].distance + 'km</span>' + '</li>';
			   coordinateList.push(L2ShopArray[i].coordinate);
		  }
		  sessionStorage.setItem("coordinateList",coordinateList);
		  $("#pullList").empty().append(newContent);
	  }else{
	  	$.mbank.myAlert("对不起，已经是最后一页了");
	  	pageNum--;
	  }
	 $.mbank.hideLoading();
}


/**
 * 初始化iScroll控件
 */
function loaded() {
	pullDownEl = document.getElementById('pullDown');
	pullDownOffset = pullDownEl.offsetHeight;
	pullUpEl = document.getElementById('pullUp');	
	pullUpOffset = pullUpEl.offsetHeight;
	myScroll = new iScroll('wrapper', {
		scrollbarClass: 'myScrollbar', /* 重要样式 */
		useTransition: false, /* 此属性不知用意，本人从true改为false */
		topOffset: 51,
		onRefresh: function () {
			if (pullDownEl.className.match('loading')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
			} else if (pullUpEl.className.match('loading')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
			}
		},
		onScrollMove: function () {
			if (this.y > 5 && !pullDownEl.className.match('flip')) {
				pullDownEl.className = 'flip';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '松手开始更新...';
				this.minScrollY = 0;
			} else if (this.y < 5 && pullDownEl.className.match('flip')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
				this.minScrollY = -pullDownOffset;
			} else if (this.y < (this.maxScrollY - 5)&& this.maxScrollY<0 && !pullUpEl.className.match('flip')) {
				pullUpEl.className = 'flip';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '松手开始更新...';
				this.maxScrollY = this.maxScrollY;
			} else if (this.y > (this.maxScrollY + 5) && pullUpEl.className.match('flip')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
				this.maxScrollY = this.maxScrollY;
			}
		},
		onScrollEnd: function () {
			if (pullDownEl.className.match('flip')) {
				pullDownEl.className = 'loading';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '加载中...';				
				pullDownAction();	// Execute custom function (ajax call?)
			} else if (pullUpEl.className.match('flip')) {
				pullUpEl.className = 'loading';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '加载中...';				
				pullUpAction();	// Execute custom function (ajax call?)
			}
		}
	});
	
	setTimeout(function () { document.getElementById('wrapper').style.left = '0'; }, 800);
}
	
	
	
	

	//监控物理返回键
	document.addEventListener("backbutton", onBackKeyDown, false);

	function onBackKeyDown() {
		if (backnum == 1) {
			$.mbank.closeWindow();
		} else if (backnum == 2) {
			navigator.app.backHistory();
			backnum = 1;
		}

	}

})();