(function() {
	$(document).ready(function() {
		mobileutils.getLoginInfo(function(data) {
			successfulLab = data.successfulLab;
			
			userName = data.name;
			phoneModel = data.phoneModel;
			refreshVerifyImg();
			if (userName != null && userName != '') {
				document.getElementById("bankAccountNumorUserName").value = userName;
			}
			if (successfulLab == 1) {
				$("#verifyImgBlock").css("display", "block");
			} else {
				$("#verifyImgBlock").css("display", "block");
			}
		}, function(data) {});
		$.mbank.hideLoading();
		$("#firstPageGoback").on("click", closeWindow);
		$("#bankAccountNumorUserName").on("blur", blurUsr);
		$("#verifyImg").off().on("click", refreshVerifyImg);
		$("#loginBtn").off().on("click", login);
		$("#goRegisterBtn").off().on("click", goRegister);
		$("#clearInput").off().on("click", clearInput);
		$("#inputtedCode").off().on("click", inputtedCode);
		$("#password_zimu").on("click", function() {

			//清空原有密码
			$("#password_zimu").val("");
			$("#passwordHidden").val("");
			//改变密码框位置
			setTimeout(function(){$("#logoid").hide();},100);
			$.mbank.openKeyboard("password_zimu", "passwordHidden", function(data) {
				setTimeout(function(){$("#logoid").show();},100);
				document.getElementById("password_zimu").setAttribute("placeholder","请输入密码");
			}, function(data) {});
		});

	});

	var pw = "";
	//关闭窗口
	function closeWindow() {
		//把登录信息传递给原生
		var responseData = {
			"methodName": "loginFail",
			"successfulLab": successfulLab //0登录成功，1登录失败
		};
		var filterArray = new Array();
		filterArray[0] = "methodName";
		filterArray[1] = "successfulLab";

		var jsonData = JSON.stringify(responseData, filterArray);
		$.mbank.closeWindow(jsonData);
	}

	/* 用户模糊 */
	function blurUsr() {
		if (userName != document.getElementById("bankAccountNumorUserName").value) {
			mobileutils.setUsrBlur(function () {
			}, function () {
			});
		}
	}

	//页面跳转，跳转到注册页
	function goRegister() {
		$.mbank.goPage("register/register.html");
	}

	function login() {
		if (!checkForm()) return;
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";


		userName = $("#bankAccountNumorUserName").val();
		//移动客户端要取 passwordHidden
//		var password11= $("#passwordHidden").val();
		pw = $("#passwordHidden").val();
		var password11 = $("#passwordHidden").val();


		//如果验证码区显示，则请求参数中需有验证码，否则可以没有

		//此处需测试推敲
		if ($("#verifyImgBlock").css("display") != "none") {
			var reqData = {
				"key1": key1,
				"logonId": userName,
				"loginPassword": password11,
				"verifyCode": $("#inputtedCode").val(),
				"mobileType": phoneModel
			};

			//移动端用
			$.mbank._pajax("mbSignIn.do", reqData, processSuccessResponse, '', processFailResponse);

		} else {
			var reqData = {
				"key1": key1,
				"logonId": userName,
				"loginPassword": password11,
				"verifyCode": "",
				"mobileType": phoneModel
			};

			$.mbank._pajax("mbSignIn.do", reqData, processSuccessResponse, '', processFailResponse);
		}
	};


	function checkForm() {
		if ($.mbank.utils.isNoValue($("#bankAccountNumorUserName").val())) {
			$.mbank.myAlert("请输入登录名");
			return false;
		}
		if ($.mbank.utils.isNoValue($("#password_zimu").val())) {
			$.mbank.myAlert("请输入密码");
			return false;
		}

		if ($("#verifyImgBlock").css("display") != "none") {
			if ($.mbank.utils.isNoValue($("#inputtedCode").val())) {
				$.mbank.myAlert("请输入验证码");
				return false;
			}
		}

		return true;
	}

	function processSuccessResponse(data) {
		if (pw.match("^[0-9]+$")) {
			successfulLab = 0;
			//固化登录信息到全局变量
			$.mbank.initUser("", data.alias, data.sessionId);
			sessionStorage.setItem("customer", JSON.stringify($.mbank.customer));

			//把登录信息传递给原生
			var responseData = {
				"name": data.alias,
				"lastLoginTime": data.lastLogonTime,
				"preservedMsg": data.reservedInfo,
				"lastLoginDevice": data.lastMobileType,
				"sessionid": data.sessionId,
				"methodName": "loginSuccess",
				"phoneNo": data.mobileNo,
				"userName": userName,
				"successfulLab": successfulLab //0登录成功，1登录失败
			};

			var filterArray = new Array();
			filterArray[0] = "name";
			filterArray[1] = "lastLoginTime";
			filterArray[2] = "preservedMsg";
			filterArray[3] = "lastLoginDevice";
			filterArray[4] = "sessionid";
			filterArray[5] = "methodName";
			filterArray[6] = "phoneNo";
			filterArray[7] = "userName";
			filterArray[8] = "successfulLab";
			var jsonData = JSON.stringify(responseData, filterArray);
			window.location.href = getPrePath() + 'updatePassword/updatePassword.html?phone='+data.mobileNo;
		} else {
			successfulLab = 0;
			//固化登录信息到全局变量
			$.mbank.initUser("", data.alias, data.sessionId);
			sessionStorage.setItem("customer", JSON.stringify($.mbank.customer));

			//把登录信息传递给原生
			var responseData = {
				"name": data.alias,
				"lastLoginTime": data.lastLogonTime,
				"preservedMsg": data.reservedInfo,
				"lastLoginDevice": data.lastMobileType,
				"sessionid": data.sessionId,
				"methodName": "loginSuccess",
				"phoneNo": data.mobileNo,
				"userName": userName,
				"successfulLab": successfulLab //0登录成功，1登录失败
			};

			var filterArray = new Array();
			filterArray[0] = "name";
			filterArray[1] = "lastLoginTime";
			filterArray[2] = "preservedMsg";
			filterArray[3] = "lastLoginDevice";
			filterArray[4] = "sessionid";
			filterArray[5] = "methodName";
			filterArray[6] = "phoneNo";
			filterArray[7] = "userName";
			filterArray[8] = "successfulLab";

			var jsonData = JSON.stringify(responseData, filterArray);
			//mobileutils.getCustomerInfo(jsonData);
			//调用原生closeWindow方法，关闭登录窗口，回到相关页面,同时把数据返给原生

			$.mbank.closeWindow(jsonData);
			$.mbank.hideLoading();
		}
	};

	function processFailResponse(data) {
		successfulLab = 1;
		showVerifyImg();
		$("#verifyImgBlock").css('display', 'block');
		$.mbank.myAlert(data.em);
		return;
	}


	/*function errorProcess(){
	}*/

	function showVerifyImg() {
		$('#verifyImg').attr("src", serverPath + 'VerifyImage' + '?update=' + Math.random());
		$.mbank.hideLoading();
	};

	function refreshVerifyImg() {
		$.mbank.showLoading();
		$('#verifyImg').attr("src", serverPath + 'VerifyImage' + '?update=' + Math.random());
		$.mbank.hideLoading();
	};

	function clearInput(){
		$("#bankAccountNumorUserName").val("");
	}
	function inputtedCode(){
		$("#inputtedCode").val("");
	}
	/*生成并校验验证码功能
	var code ; //在全局定义验证码
	//产生验证码
	function createCode(){
		 code = "";
		 var codeLength = 4;//验证码的长度
		 var checkCode = document.getElementById("code");
		 var random = new Array(0,1,2,3,4,5,6,7,8,9,'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R',
		 'S','T','U','V','W','X','Y','Z');//随机数
		 for(var i = 0; i < codeLength; i++) {//循环操作
			var index = Math.floor(Math.random()*36);//取得随机数的索引（0~35）
			code += random[index];//根据索引取得随机数加到code上
		}
		checkCode.value = code;//把code值赋给验证码
	}*/
	/*//校验验证码
	function validate(){
		var inputCode = document.getElementById("inputtedCode").value.toUpperCase(); //取得输入的验证码并转化为大写
		if(inputCode.length <= 0) { //若输入的验证码长度为0
			$.mbank.myAlert("请输入验证码！");
			return false;
		} else if(inputCode != $("#code").val()) { //若输入的验证码与产生的验证码不一致时
			$.mbank.myAlert("验证码输入错误");
			createCode();//刷新验证码
			document.getElementById("inputtedCode").value = "";//清空输入的错误验证码
			return false;
		}
			return true;
	}*/

	//监控物理返回键
	document.addEventListener("backbutton", onBackKeyDown, false);

	function onBackKeyDown() {
		//把登录信息传递给原生
		var responseData = {
			"methodName": "loginFail",
			"successfulLab": successfulLab //0登录成功，1登录失败
		};
		var filterArray = new Array();
		filterArray[0] = "methodName";
		filterArray[1] = "successfulLab";

		var jsonData = JSON.stringify(responseData, filterArray);
		$.mbank.closeWindow(jsonData);
	}

})();