(function() {
	 var coordinate = sessionStorage.getItem("coordinate");
	$(document).ready(function() {
		$.mbank.hideLoading();

		function result() {
			window.location.href = "#pageTwo";
		}

		/*function pullFresh() {
				//下拉刷新可以再次请求服务器数据
				window.location.reload();
			}*/
			//真实数据初始化
		loaded();
		initShopList();

		$(document).on("click", ".shopListabc", function() {
			//debugger;
			var shopId = this.id;
			sessionStorage.setItem("shopId",shopId);
			$.mbank.data2 = {
				"shopId": shopId
			};
			$.mbank.goPage("preferentialShopExtend/shopDetail.html");
		});

	});

	//物理返回键
	function onBackKeydown() {
		//返回上一级
		navigator.app.backHistory();
	}

	//真实页面初始化，需调原生获得当前坐标信息，以便在列表页显示位置信息
	function initShopList() {
		sessionStorage.setItem("pageType", "mbMerchantInfo");
		preferentialData = sessionStorage.getItem("preferentialData");
		couponFoodListQuery = JSON.parse(preferentialData);
		var categoryL2id = couponFoodListQuery.category2id;
		var categoryL2Name = couponFoodListQuery.category2Name;
		$("#shopListPageTitle").text(categoryL2Name);

		var coordinate = sessionStorage.getItem("coordinate");
        showNum = sessionStorage.getItem("showNum");
		$.mbank.context.params = {
			"currentlyGenre": categoryL2id,
			"showNum": showNum,
			"coordinate": coordinate
		};

		couponFoodListQueryJSON = sessionStorage.getItem("mbFavourableInfo");
		couponFoodListQuery = JSON.parse(couponFoodListQueryJSON);
		couponFoodListQuery = couponFoodListQuery.mbMerchantInfo;
		L2ShopArray = couponFoodListQuery;

		coordinateList = new Array();
		newContent = "";
		for (var i = 0; i < L2ShopArray.length; i++) {
			numValue = i + 1;
			newContent += '<li id="' + L2ShopArray[i].merchantNumber + '" class="shopListabc" style="-moz-border-radius:5px; -webkit-border-radius: 5px; border-radius:5px; background:#FFFFFF; padding:.6em; margin-bottom:.3em; overflow:auto;border:0;">' 
			+ '<img src="' + picAddressPath + L2ShopArray[i].thumbnail + '"/>' 
			+ '<p class="minWord">' + numValue + '.' + L2ShopArray[i].merchantName + '</p>' 
			+ '<p class="grewWord">' + L2ShopArray[i].merchantAddress + '</p>' 
			+ '<span class="grewWord">' + L2ShopArray[i].merchantPhone + '</span>' 
			+ '<span class="grewWord_fr">' + L2ShopArray[i].distance + 'km</span>' + '</li>';
			coordinateList.push(L2ShopArray[i].coordinate);
		}
		sessionStorage.setItem("coordinateList", coordinateList);
		$("#pullList").empty().append(newContent);
		$("#pullUp").show();
		 myScroll.refresh();	
		$.mbank.hideLoading();
		document.addEventListener("backbutton", onBackKeydown, false);
	}

	//==============分页===================
	var myScroll,
	pullDownEl, pullDownOffset,
	pullUpEl, pullUpOffset;
	var pageNum=0;
/**
 * 下拉刷新 （自定义实现此方法）
 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
 */
function pullDownAction () {
	
	setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
		if(pageNum<1){
			pageNum=0;
			$.mbank.myAlert("对不起，已经是第一页了");
		}else{
			pageNum--;
			 var params={
			 	        "currentBusinessCode":"MB000051",
						"flag":"1",
						"searchFlag":"",
						"currentlyGenre":$.mbank.context.params.currentlyGenre,
						//分页下标
						"turnPageBeginPos":(pageNum*10)+1,
						"turnPageShowNum":"10",
						//当前坐标
						//暂时用测试数据,正式时替换为已赋值的coordinate即可
						"coordinate":coordinate
					};
			  $.mbank._pajax("MBMerchantList.do",params,processPullDownResponse);
		}
		
		
		myScroll.refresh();		//数据加载完成后，调用界面更新方法   Remember to refresh when contents are loaded (ie: on ajax completion)
	}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
}
function processPullDownResponse(data){
  	sessionStorage.setItem("mbFavourableInfo",JSON.stringify(data));
	  L2ShopArray = data.mbMerchantInfo;
	  coordinateList = new Array();
	  	newContent = "";
		  for (var i=0; i<L2ShopArray.length; i++) { 
		  	numValue = i + 1;
		    newContent += '<li id="' + L2ShopArray[i].merchantNumber + '" class="shopListabc" style="-moz-border-radius:5px; -webkit-border-radius: 5px; border-radius:5px; background:#FFFFFF; padding:.6em; margin-bottom:.3em; overflow:auto;border:0;">' 
			+ '<img src="' + picAddressPath + L2ShopArray[i].thumbnail + '"/>' 
			+ '<p class="minWord">' + numValue + '.' + L2ShopArray[i].merchantName + '</p>' 
			+ '<p class="grewWord">' + L2ShopArray[i].merchantAddress + '</p>' 
			+ '<span class="grewWord">' + L2ShopArray[i].merchantPhone + '</span>' 
			+ '<span class="grewWord_fr">' + L2ShopArray[i].distance + 'km</span>' + '</li>';
			  coordinateList.push(L2ShopArray[i].coordinate);
		  }
	  sessionStorage.setItem("coordinateList",coordinateList);
	  $("#pullList").empty().append(newContent);
	  
	  $.mbank.hideLoading();
  }
/**
 * 滚动翻页 （自定义实现此方法）
 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
 */
function pullUpAction () {
	
	pageNum++;
	setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
		 var params={
		  	        "currentBusinessCode":"MB000051",
					"flag":"1",
					"searchFlag":"",
					"currentlyGenre":$.mbank.context.params.currentlyGenre,
					//分页下标
					"turnPageBeginPos":(pageNum*10)+1,
					"turnPageShowNum":10,
					//当前坐标
					//暂时用测试数据,正式时替换为已赋值的coordinate即可
					"coordinate":coordinate
				};
		  $.mbank._pajax("MBMerchantList.do",params,processPullUpResponse);
		
		myScroll.refresh();		// 数据加载完成后，调用界面更新方法 Remember to refresh when contents are loaded (ie: on ajax completion)
	}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
}

function processPullUpResponse(data){
	  L2ShopArray = data.mbMerchantInfo;
	  if(L2ShopArray!=null&&L2ShopArray.length>0){
	  	sessionStorage.setItem("mbFavourableInfo",JSON.stringify(data));
	  	$("#pullList").empty();
	  	coordinateList = new Array();
	  	newContent = "";
		  for (var i=0; i<L2ShopArray.length; i++) { 
		  	numValue = i + 1;
		    newContent += '<li id="' + L2ShopArray[i].merchantNumber + '" class="shopListabc"  style="-moz-border-radius:5px; -webkit-border-radius: 5px; border-radius:5px; background:#FFFFFF; padding:.6em; margin-bottom:.3em; overflow:auto;border:0;">' 
			+ '<img src="' + picAddressPath + L2ShopArray[i].thumbnail + '"/>' 
			+ '<p class="minWord">' + numValue + '.' + L2ShopArray[i].merchantName + '</p>' 
			+ '<p class="grewWord">' + L2ShopArray[i].merchantAddress + '</p>' 
			+ '<span class="grewWord">' + L2ShopArray[i].merchantPhone + '</span>' 
			+ '<span class="grewWord_fr">' + L2ShopArray[i].distance + 'km</span>' + '</li>';
			   coordinateList.push(L2ShopArray[i].coordinate);
		  }
		  sessionStorage.setItem("coordinateList",coordinateList);
		  $("#pullList").empty().append(newContent);
	  }else{
	  	$.mbank.myAlert("对不起，已经是最后一页了");
	  	pageNum--;
	  }
	 $.mbank.hideLoading();
}


/**
 * 初始化iScroll控件
 */
function loaded() {
	pullDownEl = document.getElementById('pullDown');
	pullDownOffset = pullDownEl.offsetHeight;
	pullUpEl = document.getElementById('pullUp');	
	pullUpOffset = pullUpEl.offsetHeight;
	myScroll = new iScroll('wrapper', {
		scrollbarClass: 'myScrollbar', /* 重要样式 */
		useTransition: false, /* 此属性不知用意，本人从true改为false */
		topOffset: 51,
		onRefresh: function () {
			if (pullDownEl.className.match('loading')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
			} else if (pullUpEl.className.match('loading')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
			}
		},
		onScrollMove: function () {
			if (this.y > 5 && !pullDownEl.className.match('flip')) {
				pullDownEl.className = 'flip';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '松手开始更新...';
				this.minScrollY = 0;
			} else if (this.y < 5 && pullDownEl.className.match('flip')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
				this.minScrollY = -pullDownOffset;
			} else if (this.y < (this.maxScrollY - 5)&& this.maxScrollY<0 && !pullUpEl.className.match('flip')) {
				pullUpEl.className = 'flip';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '松手开始更新...';
				this.maxScrollY = this.maxScrollY;
			} else if (this.y > (this.maxScrollY + 5) && pullUpEl.className.match('flip')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
				this.maxScrollY = this.maxScrollY;
			}
		},
		onScrollEnd: function () {
			if (pullDownEl.className.match('flip')) {
				pullDownEl.className = 'loading';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '加载中...';				
				pullDownAction();	// Execute custom function (ajax call?)
			} else if (pullUpEl.className.match('flip')) {
				pullUpEl.className = 'loading';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '加载中...';				
				pullUpAction();	// Execute custom function (ajax call?)
			}
		}
	});
	
	setTimeout(function () { document.getElementById('wrapper').style.left = '0'; }, 800);
}
	
	
	
	
})();