var depositTypeValue = '';
(function() {
	$(document).ready(function() {
		$("#down_btn").on("click", depositType);
		$("#selectDate").on("click", selectDate);
		depositTypeValue = $("#depositTypeValue").text();
		$("#selectDateInt").on("click", selectDate);
		$("#cancelbg1page").off().on("click", cancelbg1page);
		$("#rateSearchBack").off().on("click", rateSearchBack);
		changeRate();
		$.mbank.hideLoading();
	});
	
	function rateSearchBack(){
		$.mbank.closeWindow();
	}

	var currentList = [{
		"key": "3M",
		"value": "三个月"
	}, {
		"key": "6M",
		"value": "六个月"
	}, {
		"key": "1Y",
		"value": "一年"
	}, {
		"key": "2Y",
		"value": "两年"
	}, {
		"key": "3Y",
		"value": "三年"
	}, {
		"key": "5Y",
		"value": "五年"
	}]
	var incomeSaveList = [{
		"key": "1Y",
		"value": "一年"
	}, {
		"key": "2Y",
		"value": "三年"
	}, {
		"key": "3Y",
		"value": "五年"
	}]

	var saveDateList = [{
		"key": "1",
		"value": "<90天"
	}, {
		"key": "2",
		"value": ">=90天"
	}]


	//选择计算类型
	function depositType() {
		if ($("#down_btn").attr("class") == 'down_btn_w2') {
			$("#down_btn").attr("class", "down_btn_w");
			$("#rateDetailInfo").show();
			$("#rateDetailInfoShow").empty();
		} else {
			$("#down_btn").attr("class", "down_btn_w2");
			var depositTypeValue = $("#depositTypeValue").text();
			var depositList = [{
				"depositKeyList": "CURRENT_V",
				"depositTypeList": "活期存储"
			}, {
				"depositKeyList": "financeCalculator",
				"depositTypeList": "整存整取"
			}, {
				"depositKeyList": "INSTALLSAVE",
				"depositTypeList": "零存整取"
			}, {
				"depositKeyList": "INCOME",
				"depositTypeList": "存本取息"
			}, {
				"depositKeyList": "VARIATERM",
				"depositTypeList": "定活两便"
			}];
			var depositTypeHtml = '<div class="pop_box">';
			$.each(depositList, function(index, element) {
				if (element.depositTypeList == depositTypeValue) {
					depositTypeHtml += '';
				} else {
					depositTypeHtml += '<div class="ui-grid-solo deposit" id=' + element.depositKeyList + '><div class="ui-block-a"><span class="minWord" >' + element.depositTypeList + '</span></div></div>';
				}

			});
			depositTypeHtml += '</div>';
			$("#rateDetailInfo").hide();
			$("#rateDetailInfoShow").empty().html(depositTypeHtml);
		}
	}


	//对计算类型的跳转
	$(document).on("click", ".deposit", function() {
		var obj = $(this);
		depositTypeValue = obj.text();
		depositType = $("#depositTypeValue").text();
		$("#depositTypeValue").text(depositTypeValue);
		$("#rateDetailInfo").show();
		$("#rateDetailInfoShow").empty();
		changeRate();
		$("#down_btn").attr("class", "down_btn_w");
	});

	function changeRate() {
		if (depositTypeValue == '整存整取') {
			$("#limitDateBox").show();
			$("#beginDateBox").hide();
			$("#endDateBox").hide();
			$("#saveDate").hide();
			calculatorRate();
			depositTypeValue = '';
		}
		if (depositTypeValue == '存本取息') {
			$("#limitDateBox").show();
			$("#beginDateBox").hide();
			$("#endDateBox").hide();
			$("#saveDate").hide();
			$("#defineAmountDate").text("一年");
			calculatorRate();
			depositTypeValue = '';
		}
		if (depositTypeValue == '活期存储') {
			$("#beginDateBox").show();
			$("#endDateBox").show();
			$("#limitDateBox").hide();
			$("#saveDate").hide();
			calculatorRate();
			depositTypeValue = '';
		}
		if (depositTypeValue == '零存整取') {
			$("#limitDateBox").show();
			$("#beginDateBox").hide();
			$("#endDateBox").hide();
			$("#saveDate").hide();
			$("#defineAmountDate").text("一年");
			calculatorRate();
			depositTypeValue = '';
		}
		if (depositTypeValue == '定活两便') {
			$("#saveDate").show();
			$("#beginDateBox").hide();
			$("#endDateBox").hide();
			$("#limitDateBox").hide();
			calculatorRate();
			depositTypeValue = '';
		}
	}

	//查询当前利率
	function calculatorRate() {
		var params;
		defineLimit = "";
		defineLimitDate = "";
		var depositType = $("#depositTypeValue").text();
		var defineDays = $("#defineAmountDate").text();
		var defineDate = $("#defineDate").text();
		var beginTime = $('#beginDateText').val();
		var endTime = $('#endDateText').val();
		if (defineDays == '三个月') {
			defineLimit = '0';
		} else if (defineDays == '六个月') {
			defineLimit = '1';
		} else if (defineDays == '一年') {
			defineLimit = '2';
		} else if (defineDays == '两年') {
			defineLimit = '3';
		} else if (defineDays == '三年') {
			defineLimit = '4';
		} else if (defineDays == '五年') {
			defineLimit = '5';
		}

		if (defineDate == '<90天') {
			defineLimitDate = '5';
		} else if (defineDate == '>=90天') {
			defineLimitDate = '6';
		}

		if (depositType.trim() == '活期存储') {
			params = {
				"rateClass": "0",
				"rateTime": "",
				"logRecordFlag": "0",
				"currentBusinessCode": "MB000056"
			};
		}
		if (depositType.trim() == '整存整取') {
			params = {
				"rateClass": "1",
				"rateTime": defineLimit,
				"logRecordFlag": "0",
				"currentBusinessCode": "MB000056"
			};
		}
		if (depositType.trim() == '零存整取') {
			params = {
				"rateClass": "2",
				"rateTime": defineLimit,
				"currentBusinessCode": "MB000056"
			};
		}
		if (depositType.trim() == '存本取息') {
			params = {
				"rateClass": "3",
				"rateTime": defineLimit,
				"logRecordFlag": "0",
				"currentBusinessCode": "MB000056"
			};
		}
		if (depositType.trim() == '定活两便') {
			params = {
				"rateClass": "4",
				"rateTime": defineLimitDate,
				"logRecordFlag": "0",
				"currentBusinessCode": "MB000056"
			};
		}

		$.mbank._pajax("mbBankRateQuery.do", params, submitCalculatorRateResponse);

	}

	function submitCalculatorRateResponse(data) {
			if (data.ec != "0") {
				$.mbank.myAlert("ERROR:" + data.em);
				return;
			} else if (data.ec == '0') {
				var depositType = $("#depositTypeValue").text();
				$("#inRate").text(data.rate + "%");
			}
			$.mbank.hideLoading();
		}
		//选择存款期限

	function selectDate() {
		var defineDate;
		defineDate = $("#defineAmountDate").text();
		var depositType = $("#depositTypeValue").text();
		var commonList;
		if (depositType == '整存整取') {
			commonList = currentList;
		}
		if (depositType == '零存整取' || depositType == '存本取息') {
			commonList = incomeSaveList;
		}
		if (depositType == '定活两便') {
			commonList = saveDateList;
			defineDate = $("#defineDate").text();
		}
		var selectDateHtml = '';
		selectDateHtml += '<div class="bind-header" data-theme="none">选择存款期限</div>';
		$.each(commonList, function(index, element) {
			if (defineDate.trim() == element.value) {
				selectDateHtml += '<div class="ui-radio select"  ><div class="selectDate select-o select-o-select" id="' + element.key + '">' + element.value + '</div></div>';
			} else {
				selectDateHtml += '<div class="ui-radio select"  ><div class="selectDate select-o"  id="' + element.key + '">' + element.value + '</div></div>';
			}
		});
		selectDateHtml += '</div>';
		$("#selectTypeinfo").empty();
		$("#selectTypeinfoShow").empty().html(selectDateHtml);
		$.mbank.infos.showbankdiv('show1', 'bg1');
	}

	//取消存款期限
	function cancelbg1page() {
			$.mbank.infos.hidebankdiv('show1', 'bg1');
		}
		//选择存款期限
	$(document).on("click", ".selectDate", function() {
		var obj = $(this);
		var defineAmountDate = obj.text();
		var depositType = $("#depositTypeValue").text();
		if (depositType == '定活两便') {
			$("#defineDate").text(defineAmountDate);
		} else {
			$("#defineAmountDate").text(defineAmountDate);
		}
		calculatorRate();
		cancelbg1page();
	});

})();