(function() {
	var InterValObj; //timer变量，控制时间
	var count = 60; //间隔函数
	var timeInit;
	var smsFlowno="";
	$(document).ready(function() {
		$.mbank.hideLoading();
		$("#registerBtn").off().on("click", register);

		$("#withdrawPassword").off().on("click", function() {
			//清空原有密码
			$("#withdrawPassword").val("");
			$("#withdrawPasswordHidden").val("");

			//开启密码键盘
			$.mbank.openKeyboard("withdrawPassword", "withdrawPasswordHidden",function(data) {
				document.getElementById("withdrawPassword").setAttribute("placeholder","输入取款密码");
			},function(data) {});
		});

		$("#password_zimu").off().on("click", function() {
			//清空原有密码
			$("#password_zimu").val("");
			$("#passwordHidden").val("");
			//改变密码框位置
			setTimeout(function(){$("#toHideDiv2").hide();},100);
			//开启密码键盘
			$.mbank.openKeyboard("password_zimu", "passwordHidden",function(data) {
					document.getElementById("password_zimu").setAttribute("placeholder","6-20位字母及数字组合");
					setTimeout(function(){$("#toHideDiv2").show();},100);
				},
				function(data) {});
		});

		$("#rePassword_zimu").off().on("click", function() {
			//清空原有密码
			$("#rePassword_zimu").val("");
			$("#rePasswordHidden").val("");
			//改变密码框位置
			setTimeout(function(){$("#toHideDiv2").hide();},100);
			//开启密码键盘
			$.mbank.openKeyboard("rePassword_zimu", "rePasswordHidden",function(data) {
					document.getElementById("rePassword_zimu").setAttribute("placeholder","6-20位字母及数字组合");
					setTimeout(function(){$("#toHideDiv2").show();},100);
				},function(data) {});
		});

		$("#chk").on("click", checkCheckbox);
		$("#butSMS").on("click",getSMScode);
		
		// 查看《晋中银行手机银行个人服务协议》
		$("#page1").off().on("click", page1);
		// 查看《晋中银行手机银行安全提示》
		$("#page2").off().on("click", page2);
		//未选中同意协议时复选框一下不可用
		$("#phoneNum").attr("readonly","readonly");
		$("#smsVerifyCode").attr("readonly","readonly");
		
	//	$("#password").attr("disabled","disabled");
	//	$("#rePassword").attr("disabled","disabled");
		$("#reservedMsg").attr("readonly","readonly");
		$("#phoneNum").off().on("click",function(){
			$.mbank.myAlert("请阅读并同意以上协议 ");
		});
	});
	
	function page1(){
		$.mbank.hideLoading();
		$.mbank.goPage("agreement/page1.html");
		//window.location.href="../agreement/page1.html";
	}
	
	function page2(){
		$.mbank.hideLoading();
		$.mbank.goPage('agreement/page2.html');	
		//window.location.href="../agreement/page2.html";
	}
	
	//本页核心方法，注册
	function register() {
		if (!checkForm()) return;
		
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		
		 var password1 = $("#withdrawPasswordHidden").val();
		 var password2 = $("#passwordHidden").val();
		
		var params = {
				"key1": key1,
			"accountNo": $("#bankAccountNum").val(),
			"password": password1,
			"mobileNo": $("#phoneNum").val(),
			"smsFlowno": smsFlowno, //验证码id
			"verifyCode": $("#smsVerifyCode").val(),
			"loginPassword": password2,
			"reservedInfo": $("#reservedMsg").val(),
			"logRecordFlag": "1", //是否打印日志
			"currentBusinessCode": "MB000021"
		};

		$.mbank._pajax("mbCustSelfRegist.do", params, processSuccessResponse, "", processFailResponse);
	}

	function processSuccessResponse(data) {
		$.mbank.showLoading();
		$.mbank.goPage("register/registerSuccess.html");
	}

	function processFailResponse(data) {
			$.mbank.myAlert("注册失败： " + data.em);
			$.mbank.hideLoading();
			return;
		}
		//工具方法，阅读信息复选框选中或者取消

	function checkCheckbox() {
			var chk = document.getElementById("chk");
			if (chk.className == "chk checked") {
				chk.className = "chk";
				//未选中同意协议时复选框一下不可用
				$("#phoneNum").attr("readonly","readonly");
				$("#smsVerifyCode").attr("readonly","readonly");
			//	$("#password").attr("disabled","disabled");
			//	$("#rePassword").attr("disabled","disabled");
				$("#reservedMsg").attr("readonly","readonly");
				$("#phoneNum").off().on("click",function(){
					$.mbank.myAlert("请阅读并同意以上协议 ");
				});
			} else {
				//$('input').removeAttr("disabled");
				$("#phoneNum").removeAttr("readonly");
                $("#smsVerifyCode").removeAttr("readonly");
                $("#userName").removeAttr("readonly");
                $("#reservedMsg").removeAttr("readonly");
				$("#phoneNum").off();
				chk.className = "chk checked";
				
			}
		}
		//校验注册前的各项数据,前端仅做形式校验

	function checkForm() {
		//校验银行卡号
		if ($.mbank.utils.isDebtCard($("#bankAccountNum").val()) == false) {
			$.mbank.myAlert("不是有效的借记卡号");
			return false;
		}
		//取款密码非空校验
		if ($.mbank.utils.isNoValue($("#withdrawPasswordHidden").val())) {
			$.mbank.myAlert("请输入取款密码");
			return false;
		}
		//取款密码格式校验
		if(!$.mbank.infos.queryMoneyPassWord($("#withdrawPassword").val())) return;
		//同意协议校验
		if ($("#chk").attr('class') != "chk checked") {
			$.mbank.myAlert("需同意协议！");
			return false;
		}
		//手机号码校验
		if ($.mbank.utils.isMobile($("#phoneNum").val()) == false) {
			$.mbank.myAlert("不是有效的手机号码");
			return false;
		}
		//校验短信验证码是否为空
		if (!checkSmsCode()) {
			return false;
		}
		//验证码是否正确 
		if ($.mbank.utils.isNoValue(smsFlowno)) {
			$.mbank.myAlert("请输入正确的验证码");
			return false;
		}
		//登录密码非空校验
		if ($.mbank.utils.isNoValue($("#passwordHidden").val())) {
			$.mbank.myAlert("请输入登录密码");
			return false;
		}
		//登录密码格式校验 
		if(!$.mbank.infos.queryPassWord($("#password_zimu").val())){
			return ;
		}
		var str=$("#passwordHidden").val();
		
		//再次输入登录密码非空校验
		if ($.mbank.utils.isNoValue($("#rePasswordHidden").val())) {
			$.mbank.myAlert("请再次输入登录密码");
			return false;
		}
		//两次输入密码是否一致校验
		if ($("#passwordHidden").val() != $("#rePasswordHidden").val()) {
			$.mbank.myAlert("两次输入的密码不一致");
			return false;
		}
		//预留信息非空校验
		if ($.mbank.utils.isNoValue($("#reservedMsg").val())) {
			$.mbank.myAlert("请输入预留信息");
			return false;
		}
		return true;
	}

	//校验短信验证码
	function checkSmsCode() {
		var smsCode = $("#smsVerifyCode").val();
		if (smsCode == '' || smsCode == null) {
			$.mbank.myAlert("短信验证码不能为空");
			return false;
		} else {
			return true;
		}
	}

	
	function sendCodeResponse(data) {
		if (data.ec == '0') {
			$("#butSMS").attr("disabled", true);
			time();
			
			smsFlowno = data.smsFlowno;
			timeInit = count;
//			$("#smsVerifyBtn").off();
//			$("#smsVerifyBtn").html(timeInit + "秒");
//			SetRemainTime();
			$.mbank.hideLoading();
		}

	}
	//短信验证码倒计时
	function time() {
		if(0 == wait){
			$("#butSMS").attr("disabled", false);
			$("#butSMS").html("获取验证码").css("color","#2781d3");
			wait = wait_rest;
		}else{
			$("#butSMS").html("重新获取(" + wait + ")").css("color","gray");
			wait--;
			setTimeout(function() {
				time()
			}, 1000)
		}
	}
	// 短信验证码有效时间
	var wait = 60;
	var wait_rest = wait;
	//获取短信验证码
	function getSMScode() {
			if (!$.mbank.utils.isDebtCard($("#bankAccountNum").val())) {
				$.mbank.myAlert("请输入有效的卡号");
				return false;
			}
			if ($.mbank.utils.isMobile($("#phoneNum").val()) == false) {
				$.mbank.myAlert("请输入有效的手机号码");
				return;
			}
			
			var param = {
				"mobileNo": $("#phoneNum").val(),
				"currentBusinessCode": "MB000090",
				"payAccount":$("#bankAccountNum").val(),
				"logRecordFlag":0,
				"bsnCode": "00000001"
			};
			if(wait == 60){
	     		$.mbank._pajax("noSessionVerifyCodeSend.do", param, sendCodeResponse);
	     	}

		}
		//timer处理函数

	function SetRemainTime() {
			if (timeInit == 0) {
				clearTimeout(InterValObj);
				$("#smsVerifyBtn").off().on("click", getSMScode);
				$("#smsVerifyBtn").html("重新发送");
			} else {
				timeInit--;
				$("#smsVerifyBtn").html(timeInit + "秒");
				InterValObj = window.setTimeout(SetRemainTime, 1000);
			}
		}
		//监控物理返回键
	document.addEventListener("backbutton", onBackKeyDown, false);

	function onBackKeyDown() {
		navigator.app.backHistory();
	}
})();