/*jslint browser: true, sloppy: true, white: true, nomen: true, plusplus:true, maxerr: 50, indent: 2 */
/*global jQuery:false, iScroll:false */

/*jshint forin:true, noarg:true, noempty:true, eqeqeq:true, bitwise:true, strict:true,
         undef:true, curly:true, browser:true, jquery:true, indent:2, maxerr:50,
         white:false, nomen:false */

//-------------------------------------------------------
// Pull-Up and Pull-Down callbacks for "Pull" page
//-------------------------------------------------------
(function pullPagePullImplementation($) {
	"use strict";
	var pullDownGeneratedCount = 0,
		pullUpGeneratedCount = 0,
		listSelector = "div.faX_box ul.ui-listview",
		lastItemSelector = listSelector + " > li:first-child";
	var n = 1;
	var total = 10;

	function gotPullDownData(event, data) {
		if (n == 1) {
			$.mbank.myAlert("对不起，已经是第一页了");
			pullFresh();
		} else {
			n--;
			var i,
				iscrollview = data.iscrollview,
				newContent = "";
			var reqData = {
				"currentBusinessCode": "MB000020",
				"logRecordFlag": "0",
				"turnPageBeginPos": n,
				"turnPageShowNum": "10"
			};
			//pc端使用
			$.mbank._pajax("BankNoticeSearch.do", reqData, processResponseDown);
}
			function processResponseDown(data) {
				if (data.bkNoticeList != null && data.bkNoticeList.length > 0) {
					Notice = new Array();
					bkNoticeList = data.bkNoticeList;
					if (bkNoticeList != null && bkNoticeList.length > 0) {
						$.each(bkNoticeList, function(index, element) {
							bkNoticeId = element.bkNoticeId; //银行公告id
							bkNoticePicture = element.bkNoticePicture; //银行公告图片路径
							bkNoticeTitle = element.bkNoticeTitle; //银行公告标题
							bkNoticeTime = element.bkNoticeTime; //银行公告时间
							bkNoticeMessage = element.bkNoticeMessage; //银行公告内容
							var noticeElement = {
								"Message": bkNoticeTitle,
								"MessageNo": bkNoticeId,
								"img": bkNoticePicture,
								"time": bkNoticeTime
							}
							Notice.push(noticeElement);
						});
						$.mbank.data = {
							"Notice": Notice
						};
						var Date = nowDate;
						var Notice = $.mbank.data.Notice;
						var html = "";
						for (var i = 0; i < Notice.length; i++) {
							var Message = Notice[i].Message;
							var MessageNo = Notice[i].MessageNo;
							var img = Notice[i].img;
							var time = Notice[i].time;
							var time1 = time.toString().replace(/\-|\:|\ /g, '');
							var Date1 = Date.toString().replace(/\-|\:|\ /g, '');
							var time2 = time1.substring(4, 8);
							var Date2 = Date1.substring(4, 8);
							if (time2 == Date2) {
								var a = "今天";
								var b = time1.substring(8, 10);
								var c = time1.substring(10, 12);
								var d = a + "&nbsp;&nbsp;" + b + ":" + c;
							} else {
								var a = time1.substring(4, 6);
								var a1 = time1.substring(6, 8);
								var b = time1.substring(8, 10);
								var c = time1.substring(10, 12);
								var d = a + "月" + a1 + "日" + "&nbsp;&nbsp;" + b + ":" + c;
							}

							if (img != '' && img != null && img != 'null') {
								html += '<li>';
								html += '<h1>' + d + '</h1>';
								html += '<div class="whiteBox" id = "' + MessageNo + '">';
								html += '<img src="' + picAddressPath + img + '"/>';
								html += '<div class="line"></div>';
								html += '<p class="minWord">' + Message + '</p>';
								html += '</div>';
								html += '</li>';
							} else {
								html += '<li>';
								html += '<h1>' + d + '</h1>';
								html += '<div class="whiteBox" id = "' + MessageNo + '">';
								html += '<p class="minWord">' + Message + '</p>';
								html += '</div>';
								html += '</li>';
							}

						}
						$("#Notice").empty().append(html);
						$(".whiteBox").live("click", select);
						$.mbank.hideLoading();
						$.mbank.hideLoading();
					}
				}
			}
			iscrollview.refresh(null, null,
				$.proxy(function afterRefreshCallback(iscrollview) {
					this.scrollToElement(lastItemSelector, 400);
				}, iscrollview));
		}
	

	function gotPullUpData(event, data) {
		var i,
			iscrollview = data.iscrollview,
			newContent = "";
		n++;
		var reqData = {
			"currentBusinessCode": "MB000020",
			"logRecordFlag": "0",
			"turnPageBeginPos": n,
			"turnPageShowNum": "10"
		};
		//pc端使用
		$.mbank._pajax("BankNoticeSearch.do", reqData, processResponseUp);

		function processResponseUp(data) {
				if (data.bkNoticeList != null && data.bkNoticeList.length > 0) {
					Notice = new Array();
					bkNoticeList = data.bkNoticeList;
					if (bkNoticeList != null && bkNoticeList.length > 0) {
						$.each(bkNoticeList, function(index, element) {
							bkNoticeId = element.bkNoticeId; //银行公告id
							bkNoticePicture = element.bkNoticePicture; //银行公告图片路径
							bkNoticeTitle = element.bkNoticeTitle; //银行公告标题
							bkNoticeTime = element.bkNoticeTime; //银行公告时间
							bkNoticeMessage = element.bkNoticeMessage; //银行公告内容
							var noticeElement = {
								"Message": bkNoticeTitle,
								"MessageNo": bkNoticeId,
								"img": bkNoticePicture,
								"time": bkNoticeTime
							}
							Notice.push(noticeElement);
						});
						$.mbank.data = {
							"Notice": Notice
						};
						var Date = nowDate;
						var Notice = $.mbank.data.Notice;
						var html = "";
						for (var i = 0; i < Notice.length; i++) {
							var Message = Notice[i].Message;
							var MessageNo = Notice[i].MessageNo;
							var img = Notice[i].img;
							var time = Notice[i].time;
							var time1 = time.toString().replace(/\-|\:|\ /g, '');
							var Date1 = Date.toString().replace(/\-|\:|\ /g, '');
							var time2 = time1.substring(4, 8);
							var Date2 = Date1.substring(4, 8);
							if (time2 == Date2) {
								var a = "今天";
								var b = time1.substring(8, 10);
								var c = time1.substring(10, 12);
								var d = a + "&nbsp;&nbsp;" + b + ":" + c;
							} else {
								var a = time1.substring(4, 6);
								var a1 = time1.substring(6, 8);
								var b = time1.substring(8, 10);
								var c = time1.substring(10, 12);
								var d = a + "月" + a1 + "日" + "&nbsp;&nbsp;" + b + ":" + c;
							}

							if (img != '' && img != null && img != 'null') {
								html += '<li>';
								html += '<h1>' + d + '</h1>';
								html += '<div class="whiteBox" id = "' + MessageNo + '">';
								html += '<img src="' + picAddressPath + img + '"/>';
								html += '<div class="line"></div>';
								html += '<p class="minWord">' + Message + '</p>';
								html += '</div>';
								html += '</li>';
							} else {
								html += '<li>';
								html += '<h1>' + d + '</h1>';
								html += '<div class="whiteBox" id = "' + MessageNo + '">';
								html += '<p class="minWord">' + Message + '</p>';
								html += '</div>';
								html += '</li>';
							}

						}
						$("#Notice").empty().append(html);
						$(".whiteBox").live("click", select);

					}
				} else {
					$.mbank.myAlert("对不起，已经是最后一页了");
					n--;
				}

				$.mbank.hideLoading();
				$.mbank.hideLoading();
				}
		
		    iscrollview.refresh(null, null,
			$.proxy(function afterRefreshCallback(iscrollview) {
				this.scrollToElement(lastItemSelector, 400);
			}, iscrollview));
	}

	function select() {
		var number = $(this).attr("id");
		$.mbank.showLoading();
		$.mbank.goPage('systemMessage/chatTransfer_system_messageDetail.html');
	}

	function onPullDown(event, data) {
		setTimeout(function fakeRetrieveDataTimeout() {

				gotPullDownData(event, data);
			},
			900);
	}

	function onPullUp(event, data) {
		setTimeout(function fakeRetrieveDataTimeout() {
				gotPullUpData(event, data);
			},
			900);
	}
	$(document).on("pageinit", "#chatTransfer_system_messageListview",
		function bindPullPagePullCallbacks(event) {
			$(".search_con", this).bind({
				iscroll_onpulldown: onPullDown,
				iscroll_onpullup: onPullUp
			});
		});
}(jQuery));