(function() {
	$(document).ready(function() {
		
//		var data2 = {
//			"EMP_SID":$.mbank.customer.sessionid,
//			"logRecordFlag":"0",
//			"currentBusinessCode":"MB000006",
//			"channel":"1301",
//			"responseFormat":"JSON"
//		};
//		$.mbank._pajax("mbCardDetails.do", data2, resDate2);
//		function resDate2(data){
//		}
		
		mobileutils.getTransferDetailInfo(function(data) {
			transferId = data.transferId;//交易id
		    var params = {
			"accountNo": data.bankNo, //卡号
			"beginDate": "19700101", //开始日期
			"endDate": "20200101", //结束时间
			"turnPageBeginPos": "1", //分页下标
			"turnPageShowNum": "10", //显示条数(默认10条)
			"currentBusinessCode": "MB000007"
		};
		$.mbank._pajax("MBDetailQuery.do", params, trandDetailResponse);
		}, function() {});
	});

	function trandDetailResponse(data) {
		if (data.ec == 0) {
			if (data.itransferList != null && data.itransferList.length > 0) {
				$.each(data.itransferList, function(index, element) {
					//debugger;
					if (element.traceno == transferId) {
						if (element.debitCreditCode == 0) {
							payAmount = element.debitAmt; //转出金额
							amountTypt = "转出"; //金额类型-转出
						} else {
							payAmount = element.creditAmt; //转入金额	
							amountTypt = "转入"; //金额类型-转入
						}
						noteMsg = null==element.noteMsg?"":element.noteMsg; //交易类型
						recAccount = null==element.recAccount?"":element.recAccount; //收款账户
						recAccountName = null==element.recAccountName?"":element.recAccountName; //收款账户户名
						recAccountOpenBank = null==element.recAccountOpenBank?"":element.recAccountOpenBank; //收款账户银行
						recOpenOrg = null==element.recOpenOrg?"":element.recOpenOrg; //收款账户银行网点
						accountName = null==element.accountName?"":element.accountName; //付款账户别名
						accountNo = null==element.accountNo?"":element.accountNo; //付款账户
						accountOpnBrNm = null==element.accountOpnBrNm?"":element.accountOpnBrNm; //付款账户银行
						openOrg = null==element.openOrg?"":element.openOrg; //付款账户银行网点
						debitCreditCode = null==element.debitCreditCode?"":element.debitCreditCode; //出入账标志
						transferDate = null==element.transferDate?"":element.transferDate; //交易日期
						if (element.noteMsg == "AMT取款") {
							var reciveHtml = "";
							reciveHtml += '<p class="minWord">' + "名称:" + recAccountName + '<span class="fr smallWord">' + recAccountOpenBank + '</span></p>';
							reciveHtml += '<p class="smallWord">' + formatAccountNo(recAccount + '', 'hide') + '</p>';
							reciveHtml += '<div class="h10"></div>';
							reciveHtml += '<p class="smallWord">银行网点:' + recOpenOrg + '</p>';
							$("#reciveMessage1").empty().append(reciveHtml);

							var payHtml = "";
							payHtml += '<p class="yellowWordBig2">' + fmoney(payAmount, "2") + "元" + '</p>';
							payHtml += '<p class="smallWord">' + "交易：" + element.noteMsg + '</p>';
							payHtml += '<p class="smallWord">' + "时间：" + changeDateFormat(transferDate) + '</p>';
							$("#payMessage1").empty().append(payHtml);
							document.getElementById("reciveMessage1").className = "noLine";
							$("#reciveMessage2").empty();
						} else if (element.noteMsg != "AMT取款") {
							var reciveHtml = "";
							reciveHtml += '<p class="minWord">收款：'  + recAccountName + '<span class="fr smallWord">' + recAccountOpenBank + '</span></p>';
							reciveHtml += '<p class="smallWord">' + formatAccountNo(recAccount + '', '') + '</p>';
							reciveHtml += '<div class="h10"></div>';
							reciveHtml += '<p class="smallWord">银行网点:' + recOpenOrg + '</p>';
							$("#reciveMessage1").empty().append(reciveHtml);

							var payHtml = "";
							payHtml += '<p class="yellowWordBig2">' + amountTypt + ':'+ fmoney(payAmount+'', "2") + "元" + '</p>';
							payHtml += '<p class="smallWord">' + "交易：" + element.noteMsg + '</p>';
							payHtml += '<p class="smallWord">' + "时间：" + changeDateFormat(transferDate) + '</p>';
							$("#payMessage1").empty().append(payHtml);
							document.getElementById("reciveMessage1").className = "";

							var reciveHtml1 = "";
							reciveHtml1 += '<p class="minWord">付款:' + accountName + '<span class="grewWord"></span><span class="fr smallWord">' + accountOpnBrNm + '</span></p>';
							reciveHtml1 += '<p class="smallWord">' + formatAccountNo(accountNo + '', 'hide') + '</p>';
							$("#reciveMessage2").empty().append(reciveHtml1);
						}

						$(document).on("click", "#transferMessageback", transferMessageback);
					}
				});
			}
		}
		$.mbank.hideLoading();
		$.mbank.hideLoading();
	}

	//组装日期格式
	function changeDateFormat(str) {
		strone = str.substring(0, 4) + "-" + str.substring(4, 6) + "-" + str.substring(6, 8);
		return strone;
	}

	function transferMessageback() {
		$.mbank.closeWindow();
	}
	function formatAccountNo(accountNo, hide, start, end) {
            var formatStr = "";
            start = start || accountNo.length - 8;
            end = end || accountNo.length - 5;
            $.each(accountNo, function(index, element) {
                if (hide == "hide") {
                    if (index >= start && index <= end) {
                        element = "*";
                    }
                }
                if (index != 0 && index % 4 == 0) {
                    element = " " + element;
                }
                formatStr = formatStr + element;
            });
            return formatStr;
        }
	function fmoney(s, n) {
			n = n > 0 && n <= 20 ? n : 2;
			s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
			var l = s.split(".")[0].split("").reverse(),
				r = s.split(".")[1];
			t = "";
			for (i = 0; i < l.length; i++) {
				t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
			}
			return t.split("").reverse().join("") + "." + r;
		}
})();