var backNum = 1; 
(function (){
	$(document).ready(function(){
		backNum = 1; 
		init();
		$("#twoCodeTrans").on("click",function(){
			$.mbank.closeWindow();
		});
		$.mbank.hideLoading();
	});
	
	function onBackKeydown(){
		if(backNum == 2){
			window.location.href = getPrePath() + 'twoCodeTrans/twoCodeTrans.html';
		}else{
			$.mbank.closeWindow();
		}
	}
	
	function init(){
		var param={
				"currentBusinessCode":"MB000030",
				"logRecordFlag":"0"
		};
		$.mbank._pajax("queryOrcList.do",param,processResponse);
	}
	
	function processResponse(data){
		if(data.ec!="0"){
			$.mbank.myAlert("ERROR:"+data.em);
			return ;
		}else if(data.ec=='0'){
			var transferDetail = data.iORCList;
			var transferListHtml = '<ul>';
			var num;
			$.each(transferDetail,function(index,element){
				var orcodeAcctNo = $.mbank.utils.formatAccountNo(element.orcodeAcctNo+'','hide');
				transferListHtml += '<li class="icon1 transferList">';
				transferListHtml += '<p class="minWord" id="'+element.orcodeAcctNo+'">'+orcodeAcctNo+'</p>';
				transferListHtml += '<p class="grewWord ">'+element.orcodeCstNickName+'&nbsp;</p>';
				transferListHtml += '<p class="icon_arrow1"></p>';
				transferListHtml += '</li>';
			});
				transferListHtml += '</ul>';
			$("#transferDetail").html(transferListHtml);
			$.mbank.context.transferDetail = transferDetail;
		}
		$.mbank.hideLoading();
	}

	$(document).on("click",".transferList",function(){
		var transferList = $.mbank.context.transferDetail;
		var obj = $(this);
		var transferAccountNo = obj.children(".minWord").attr("id");
		//var transferAccountName = obj.children(".grewWord").text();
		$.each(transferList,function(index,element){
			if(element.orcodeAcctNo == transferAccountNo ){
				$.mbank.context.orcodeCstNickName = element.orcodeCstNickName;
				$.mbank.context.orcodeAcctNo = element.orcodeAcctNo;
				$.mbank.context.orcodeAcctName = element.orcodeAcctName;
				$.mbank.context.orcodeOpenBank = element.orcodeOpenBank;
				$.mbank.context.orcodeCstno=element.orcodeCstno;
			}
		});
		$.mbank.goPage("twoCodeTrans/twoCodeTransDetail.html");
		backNum = 2;
	});
	document.addEventListener("backbutton",onBackKeydown,false);
})();


