var serverPath = 'https://www.jzbank.org:7006/mobileServer/'; // 地址需要改。。
var imgPath = 'https://www.jzbank.org:7006/mobileServer/'; //二维码处理 // 地址需要改。。
var corePath = '../../js/core/mbank.core.js';
var utilPath = '../../js/core/mbank.utils.js';
var paramPath = '../../js/core/mbank.param.js';
var infosPath = '../../js/core/mbank.infos.js';
var fastClickPath = '../../js/core/fastclick.js';
var picAddressPath = 'https://www.jzbank.org:7006/mobileServer/img/'; //普通图片地址   地址需要改。。
var weixinChanelID = '2501';
var LoginPhoneNo;

var devMode = false;
var empid;
var cname;
var _deviceReady = false;
var did;
var chanelId;
var mobileutils;


var gapReady = $.Deferred();
var jqmReady = $.Deferred();

if (!devMode) {
	document.addEventListener("deviceReady", deviceReady, false);

	console.log('cordova load!');
}

function deviceReady() {
	console.log('deviceReady..');
	mobileutils = cordova.require('com.yuchengtech.mobileapp.mobileutils.mobileutils');
	mobileutils.getCustomInfo(null, function(data) {
		login = data.login;
		if (data.login == "0") {
			serverPath = data.ServerURL;
			did = data.did;
			_deviceReady = true;
			gapReady.resolve();
		}
		if (data.login == "1") {
			cname = data.session_customerNameCN;
			empid = data.sessionId;
			serverPath = data.ServerURL;
			did = data.did;
			LoginPhoneNo = data.phoneNo;
			console.log(cname);
			console.log(empid);
			console.log('server:' + serverPath);
			_deviceReady = true;
			gapReady.resolve();
		}
	}, function(data) {
		alert('系统异常!');
	});

	/*	if (device.platform == 'iOS') {
			chanelId = '1201';
		} else if (device.platform == 'iOS_Pad') {
			chanelId = '1203';
		} else if (device.platform == 'Android') {
			chanelId = '1202';
		} else if (device.platform == 'Android_Pad') {
			chanelId = '1204';
		}*/

	// gapReady.resolve();
}
$(document).one("mobileinit", function() {
	console.log('mobileinit..');
	jqmReady.resolve();
});

if (isWeixin() || devMode) {
	console.log('devMode:' + devMode);
	gapReady.resolve();
};
$.when(gapReady, jqmReady).then(mbankLoad);

// App Logic
function mbankLoad() {
	var str = 'none';
	/***************************************************************************
	 * if(WL.Client.getEnvironment() == "iphone" || WL.Client.getEnvironment() ==
	 * "ipad"){ str = 'slide'; }
	 **************************************************************************/
	$.extend($.mobile, {
		// forbid page transition animation
		defaultPageTransition: str,
		minScrollBack: 'infinity',
		pushStateEnabled: false, // android and ios bug on HTML5 pushState,
		// see:
		// https://github.com/$uery/$uery-mobile/issues/3939
		loadingMessage: false
			// cancel $uery default loading message
	});
	$.mobile.buttonMarkup.hoverDelay = "false";

	//增加了fastclick工具类
	$.getScript(fastClickPath, function() {
		console.log('fastClickPath loaded!');
	});
	$.getScript(corePath, function() {
		console.log('core loaded!');
	});
	//增加了infos工具类
	$.getScript(infosPath, function() {
		console.log('infosPath loaded!');
	});
	$.getScript(utilPath, function() {
		console.log('utils loaded!');
	});
	$.getScript(paramPath, function() {
		console.log('params loaded!');
	});


	if (_deviceReady)
		registEventForWave();
	console.log('mbankLoad finish!');

}

function registEventForWave() {
	if (window.DeviceMotionEvent) {
		console.log('window.DeviceMotionEvent..');
		window.addEventListener('devicemotion', deviceMotionHandler, true);
	}
	// var options={frequency:100};
	// navigator.accelerometer.watchAcceleration(deviceMotionHandler, null,
	// options);
}

var SHAKE_THRESHOLD = 10;
var last_update = 0;
var last_x, last_y, last_z;

function deviceMotionHandler(eventData) {
	var curTime = new Date().getTime();
	// different time
	if ((curTime - last_update) > 100) {
		var acceleration = eventData.accelerationIncludingGravity;
		var x = acceleration.x;
		var y = acceleration.y;
		var z = acceleration.z;
		var diffTime = curTime - last_update;
		var rate = Math.abs(x + y + z - last_x - last_y - last_z) / 3 / diffTime * 100;
		if (rate > SHAKE_THRESHOLD) {
			waveHandler();
		}
		last_update = curTime;
		last_x = x;
		last_y = y;
		last_z = z;
	}
}

function waveHandler() {
	//alert('摇一摇事件触发');
}

function getPrePath() {
	var pat = RegExp('views');
	var path = null;
	var Hpath = window.location;
	if (pat.test(Hpath)) {
		path = "../../views/";
	} else {
		path = "views/";
	}
	return (path);
}

Date.prototype.format = function(format) {
	var o = {
		"M+": this.getMonth() + 1, // month
		"d+": this.getDate(), // day
		"h+": this.getHours(), // hour
		"m+": this.getMinutes(), // minute
		"s+": this.getSeconds(), // second
		"q+": Math.floor((this.getMonth() + 3) / 3), // quarter
		"S": this.getMilliseconds()
			// millisecond
	};

	if (/(y+)/.test(format)) {
		format = format.replace(RegExp.$1, (this.getFullYear() + "")
			.substr(4 - RegExp.$1.length));
	}

	for (var k in o) {
		if (new RegExp("(" + k + ")").test(format)) {
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
		}
	}
	return format;
};

Date.prototype.formatWithTimezone = function(format, timezone) {
	var localTimezone = -this.getTimezoneOffset() / 60;
	var copy = new Date(this.getTime() + (timezone - localTimezone) * 60 * 60 * 1000);
	return copy.format(format);
};

function isWeixin() {
	// weixin
	var cPath = window.location.href;
	if (sessionStorage.getItem("wxChanel") != null) {
		return true;
	} else if (cPath.indexOf('?c=w') != -1) {
		sessionStorage.setItem("wxChanel", weixinChanelID);
		if (sessionStorage.getItem("customer") == null) {
			sessionStorage.setItem("previousURL", cPath);
			document.location.href = '../../views/weixinLogin/weixinLogin.html';
			return true;
		}
	}
	return false;
}
document.addEventListener("showkeyboard", function() {
	$('[data-role="footer"]').hide();
}, false);
document.addEventListener("hidekeyboard", function() {
	$('[data-role="footer"]').show();
}, false);