cordova.define("com.yuchengtech.mobileapp.mobileutils.mobileutils", function(require, exports, module) { 
var cordova = require('cordova');
var MobilePlugin = function() {};
MobilePlugin.prototype.getRandom = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getRandom', []);
};
MobilePlugin.prototype.signOut = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'signOut', []);
};
MobilePlugin.prototype.getCustomInfo = function(data,success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getCustomInfo', [data]);
};
MobilePlugin.prototype.closeWindow = function(data, success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'closeWindow', [data]);
};
MobilePlugin.prototype.openWindow = function(data, success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'openWindow', [data]);
};
MobilePlugin.prototype.showLoading = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'showLoading', []);
};
MobilePlugin.prototype.hideLoading = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'hideLoading', []);
};
MobilePlugin.prototype.isLoading = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'isLoading', []);
};
MobilePlugin.prototype.openKeyboard = function(data,success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'openKeyboard', [data]);
};
/*MobilePlugin.prototype.getDataInfom = function(data,success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getDataInfom', []);
};*/

//获取登录信息
MobilePlugin.prototype.getCustomerInfo = function(data,success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getCustomerInfo', [data]);
};

//获取提醒信息
MobilePlugin.prototype.getDataInfom = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getDataInfom', []);
};

//获取事件信息
MobilePlugin.prototype.getEventDataInfo = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getEventDataInfo', []);
};

//获取预约转账信息
MobilePlugin.prototype.getTransferDataInfo = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getTransferDataInfo', []);
};

//获取当前日程日期
MobilePlugin.prototype.getAgendaDay = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getAgendaDay', []);
};

//获取卡信息
MobilePlugin.prototype.getBankNoInfo = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getBankNoInfo', []);
};

//获取手机号
MobilePlugin.prototype.getPhone = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getPhone', []);
};


//获取电话薄
MobilePlugin.prototype.getPhoneNumber = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getPhoneNumber', []);
};


//获取地图坐标
MobilePlugin.prototype.getPoint = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getPoint', []);
};

//获取二维码加密信息
MobilePlugin.prototype.getTwoCode = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getTwoCode', []);
};


//发送电话号码
MobilePlugin.prototype.sendPhone = function(data,success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'sendPhone', [data]);
};

//发送登录信息
MobilePlugin.prototype.getCustomerInfo = function(data,success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getCustomerInfo', [data]);
};

//获取预留信息
MobilePlugin.prototype.getReservedInfo = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getReservedInfo', []);
};

//优惠搜索
MobilePlugin.prototype.getPreferentialSearch = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getPreferentialSearch', []);
};

//三条交易信息
MobilePlugin.prototype.getTransferDetailInfo = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getTransferDetailInfo', []);
};


//优惠活动进详情
MobilePlugin.prototype.getFavourableInfo = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getFavourableInfo', []);
};

//获取登录信息
MobilePlugin.prototype.getLoginInfo = function(success, error) {
    cordova.exec(success, error, 'MobilePlugin', 'getLoginInfo', []);
};

/* 用户模糊 */
MobilePlugin.prototype.setUsrBlur = function (success, error) {
  cordova.exec(success, error, 'MobilePlugin', 'setUsrBlur', []);
};

module.exports = new MobilePlugin();


});
