(function() {
	$(document).ready(function(){
		$.mbank.hideLoading();
		mobileutils.getFavourableInfo(
			function(data) {
				activityId = data.favourableNumber;
				init();
			},
			function(data) {}
		);
		$("#bankDetailBack").off().on("click",bankDetailBack);
		$.mbank.hideLoading();
	});

	function init() {
		var reqData = {
				"currentBusinessCode": "MB000055",
				"logRecordFlag":"0",
				"turnPageBeginPos": "1",
				"turnPageShowNum": "50"
			};
			$.mbank._pajax("mbBankActivitySearch.do", reqData, processResponse);
		
	}
	function processResponse(data) {
		var bankActivityList = data.bankActivityList;
		if(bankActivityList!=null&&bankActivityList.length>0){
			$.each(bankActivityList, function(index, element) {
				if (element.activityId == activityId) {
					startTime = element.activityStartTime;
					stopTime = element.activityTime;
					$("#frontPicture").html('<img src="' + picAddressPath + element.activityPicture + '"/>');
					$("#title").text(element.activityTitle);
					$("#activeTime").text(startTime.substring(0,4)+"年"+startTime.substring(4,6)+"月"+startTime.substring(6,8)+"日"
					+ '--' + stopTime.substring(0,4)+"年"+stopTime.substring(4,6)+"月"+stopTime.substring(6,8)+"日");
					$("#activeContent").text(element.activityMessage);
				}
			});
		}
		
		$.mbank.hideLoading();
	}
	function bankDetailBack() {
		$.mbank.closeWindow();
	}

	
})();