(function() {
	$(document).on("pageinit", "#charitableTrans_Step1View", function() {
		backnum=3;
		$("#bankInfoCardselected").on("click", cardNoInfoShow);
		$("#sendCodeMessage").off().on("click", sendCodeMessage);
		$("#passwordText").on("click", checkPassword);
		$("#cancelbg1page").on("click", cancelbg1page);
		$("#submitTransBtn").on("click", submitTrans);
		$("#charitableAmountText").off();
		$("#charitableAmountText").on("blur",formatmoeny1);
		$("#charitableAmountText").on("focus",function(){
			$("#charitableAmountTextHidden").val("");
			$("#charitableAmountText").val("");
		});
		$("#charitableTrans_Step1").off().on("click",function(){
			window.location.href="./charitableTrans.html";
		})
		init2();
		timestamp1=new Date().format("yyyymmddhhmissms");
		$.mbank.hideLoading();
	});

	//格式化金额
	function formatmoeny1(){
		
		if (!$.mbank.utils.isNoValue($("#charitableAmountText").val())) {
			if($("#charitableAmountText").val()-0 <= 0){
				$("#charitableAmountTextHidden").val("");
				$("#charitableAmountText").val("");
				$.mbank.myAlert("交易金额必须大于0元");
				return;
			}
			$("#charitableAmountTextHidden").val($("#charitableAmountText").val());
			$("#charitableAmountText").val($.mbank.infos.fmoney($("#charitableAmountText").val(), 2));
		}
	}
	function init2() {
		bankNoArray = new Array();
		$.mbank.infos.movableCardInterface(function(cardInterfaceArray) {
			bankNoArray = cardInterfaceArray;
			importCard = bankNoArray[0].accountNo;
			payerUserName = bankNoArray[0].accountName;
			payerBalance = bankNoArray[0].balanceAvailable;
			accountOpenNode = bankNoArray[0].accountOpenNode;
			$("#bankNoInfoInit").text($.mbank.utils.formatAccountNo(importCard + '', 'hide'));
			$("#balance").text($.mbank.infos.fmoney(payerBalance, 2)).append("元");
			$("#isPointCard").text("");
		});
	}


	function cardNoInfoShow() {
		var bankCardNoInfos = $("#bankNoInfoInit").text();
		var banknoInfoHtml = '';
		banknoInfoHtml += '<div class="bind-header" data-theme="none">选择我的卡</div>';
		$.each(bankNoArray, function(index, element) {
			if ($.mbank.utils.formatAccountNo(element.accountNo + '', 'hide') == bankCardNoInfos) {
				banknoInfoHtml += '<div class="ui-radio select"><div class="selectCard select-o select-o-select"  id="' + element.accountNo + '">' + $.mbank.utils.formatAccountNo(element.accountNo + '', 'hide') + '</div></div>';
			} else {
				banknoInfoHtml += '<div class="ui-radio select"><div class="selectCard select-o"  id="' + element.accountNo + '">' + $.mbank.utils.formatAccountNo(element.accountNo + '', 'hide') + '</div></div>';
			}
		});
		banknoInfoHtml += '</div>';
		$("#cardTypeInfoShow").empty().html(banknoInfoHtml);
		$.mbank.infos.showbankdiv('show1', 'bg1');
	}

	$(document).on("click", ".selectCard", function() {
		var obj = $(this);
		var bankCardNoInfo = obj.text();
		$("#bankNoInfoInit").text(bankCardNoInfo);
		importCard = obj.attr("id");
		$.each(bankNoArray, function(index, element) {
			if (element.accountNo == importCard) {
				$("#isPointCard").text("");
				payerBalance = element.balanceAvailable;
				payerUserName = element.accountName;
				$("#balance").text($.mbank.infos.fmoney(payerBalance, 2)).append("元");
			}
		});
		cancelbg1page();
	});

	function cancelbg1page() {
		$.mbank.infos.hidebankdiv('show1', 'bg1');
	}

	// 短信验证码有效时间
	var wait = 60;
	var wait_rest = wait;
	//获取短信验证码
	function sendCodeMessage() {
		/*var phone = $("#phoneText").val();
		
		if ($.mbank.utils.isMobile($("#phoneText").val()) == false) {
			$.mbank.myAlert("不是有效的手机号码");
			return;
		}*/
		var amount1 = $("#charitableAmountTextHidden").val();
		if ($.mbank.utils.isNoValue($("#charitableAmountText").val())) {
			$.mbank.myAlert("请输入捐款金额");
			return false;
		}
		if (!$.mbank.infos.queryAmount(amount1)) {
			return;
		}
		if (parseFloat(amount1) > parseFloat(payerBalance)) {
			$.mbank.myAlert("捐款金额不能大于卡内余额");
			return
		}
	     var param={
			"bsnCode":"00000016",//交易码
			"mobileNo":LoginPhoneNo,//手机号
			"currentBusinessCode":"MB000001",
			"charityNo": charityNo, //慈善捐款编号
			"payAccount": importCard, //付款账号
			"payAmount": $("#charitableAmountText").val(), //转账金额
			"logRecordFlag":"0",
			"payAccountName": payerUserName//付款人名称	
			
		};
     	if(wait == 60){
     		$.mbank._pajax("verifyCodeSend.do",param,sendsmsFlowno);
     	}
		function sendsmsFlowno(data){
			if(data.ec==0){
				
				$("#sendCodeMessage").attr("disabled", true);
				$("#charitableAmountText").attr("readonly","readonly");
				$("#charitableAmountText").off();
				$("#bankInfoCardselected").off();
				time();
			     smsFlowno = data.smsFlowno;
			     $.mbank.hideLoading();
			}
		}
	}
	
	//短信验证码倒计时
	function time() {
		if(0 == wait){
			$("#sendCodeMessage").attr("disabled", false);
			$("#sendCodeMessage").html("获取验证码").css("color","#2781d3");
			wait = wait_rest;
		}else{
			$("#sendCodeMessage").html("重新发送(" + wait + ")").css("color","gray");
			wait--;
			setTimeout(function() {
				time()
			}, 1000)
		}
	}
	
	//密码的校验
	function checkPassword() {
		$("#passwordText").val("");
		$("#passwordHideText").val("");
	//	$("#passwordHideText").hide();
		$.mbank.openKeyboard("passwordText", "passwordHideText", function(data) {
		//	$("#passwordHideText").show();
			document.getElementById("passwordText").setAttribute("placeholder","请输入");
		}, function(data) {});

	}

	function submitTrans() {
		var password = $("#passwordHideText").val();
		amount = $("#charitableAmountTextHidden").val();
		var checkMessage = $("#sendCodeMessageText").val();
		if ($.mbank.utils.isNoValue($("#charitableAmountText").val())) {
			$.mbank.myAlert("请输入捐款金额");
			return false;
		}
		if (!$.mbank.infos.queryAmount(amount)) {
			return;
		}
		if (amount > parseFloat(payerBalance)) {
			$.mbank.myAlert("捐款金额不能大于卡内余额");
			return
		}
		if (!$.mbank.infos.queryMoneyPassWord($("#passwordText").val())) {
			return;
		}
		if (!$.mbank.infos.queryMessage(checkMessage)) {
			return;
		}
		//验证码是否正确 
		if ($.mbank.utils.isNoValue(smsFlowno)) {
			$.mbank.myAlert("请输入正确的验证码");
			return false;
		}
		
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		
		
		var reqData = {
				"key1": key1,
			"charityNo": charityNo, //慈善捐款编号
			"payAccountName": payerUserName, //付款人名称	
			"payAccount": importCard, //付款账号
			"payAmount": amount, //转账金额
			"password": password, //取款密码
			"verifyCode": checkMessage, //短信验证码
			"smsFlowno": smsFlowno, //短信验证码id
			"mobileNo": LoginPhoneNo,
			"logRecordFlag": "1", //是否打印日志
			"submitTimestamp":timestamp1,
			"currentBusinessCode": "MB000049" //接口交易码
		};
		$.mbank._pajax("MBCharityTransfer.do", reqData, processResponse,'',function(data){
			if(data.ec=='EBMB0017'||data.ec=='EBPB0021'||data.ec=='EBPB0020'||data.ec=='GM44'||data.ec=='GM93'||data.ec=='SW01'||
					data.ec=='SW02'||data.ec=='CD41'||data.ec=='CD42'||data.ec=='CD43'||data.ec=='CD44'||data.ec=='CD45'||
					data.ec=='CD46'||data.ec=='CD47'||data.ec=='CD48'||data.ec=='CD49'||data.ec=='CD50'||data.ec=='CD51'||
					data.ec=='CD52'||data.ec=='CD53'||data.ec=='CD54'||data.ec=='CD55'||data.ec=='CD56'||data.ec=='CD57'||
					data.ec=='CD58'||data.ec=='CD59'||data.ec=='CD60'||data.ec=='CD61'||data.ec=='CD62'||data.ec=='CD68'||
					data.ec=='CE41'||data.ec=='GM58'||data.ec=='GM30'||data.ec=='GM18'||data.ec=='GM16'||data.ec=='GM02'||data.ec=='ABKG'){
				timestamp1=new Date().format("yyyymmddhhmissms");//防止重复提交
				$.mbank.myAlert(data.em);
				$.mbank.hideLoading();
			}else{
				$.mbank.myAlert(data.em);
			}
			$.mbank.hideLoading();
		});
	}

	function processResponse(data) {
		$.mbank.hideLoading();
		if (data.ec == 0) {
			$.mbank.context = {
				"money": amount,
				"charitableType": charityDetailTitle
			};
			$.mbank.goPage("charitableTrans/charitableTransResult.html"); //成功跳入结果页面
			$.mbank.hideLoading();
		}
	}

})();