(function (){
	$(document).on("pageinit","#couponFoodDetailView",function(){
		backNum = 2;
		favourableNumber = $.mbank.context.favourableNumber;
		init();
		$(".tele-icon2").on("click",couponCallPhone);
		$("#titleDetail").text($.mbank.context.couponTitle);
		$(document).on("click","#mapController",mapController);
	});
	
	 function mapController(){
	    	$.mbank.goPage('couponManage/aboutMap.html');	
	    }
	
	//详情页初始化信息
	function init(){
		var params = {
				"favourableNumber":favourableNumber,
				"logRecordFlag":"0",
				"currentBusinessCode":"MB000054"
		};
		$.mbank._pajax("mbFavourableInfo.do",params,processResponse);
	}
	
	function processResponse(data){
		$("#artwork").html('<img src="'+picAddressPath + data.artwork+'"/>');
		$("#price").text(data.favourableMoney);
		$("#favourableCostprice").text(data.favourableCostprice);
		$("#favourableName").text(data.favourableName);
		$("#titleDetail").text(data.favourableName);
		
		var mbMerchantServiceInfo= data.mbMerchantServiceInfo;
		if(mbMerchantServiceInfo!=null&&mbMerchantServiceInfo.length>0){
			for(var i=0;i<mbMerchantServiceInfo.length;i++){
				if(i%4==0){
					if(i!=0){
						$("#tWord1").append("<br/>");
					}
					$("#tWord1").append("<span class=\"icon3\" style='background:url("+picAddressPath +mbMerchantServiceInfo[i].msLcon+") no-repeat 0 .2em;background-size:auto 30px;'>"+mbMerchantServiceInfo[i].msName+"</span>")
				}else{
					$("#tWord1").append("<span class=\"icon5\" style='background:url("+picAddressPath +mbMerchantServiceInfo[i].msLcon+") no-repeat 0 .2em;background-size:auto 30px;'>"+mbMerchantServiceInfo[i].msName+"</span>")
				}
			}
		}
		if(null!=data.favourableStartTime && ""!=data.favourableStartTime && null!=data.favourableEndTime && ""!=data.favourableEndTime){
			$("#tWord2").append("<span>" + changeDateFormat(data.favourableStartTime) + "-" + changeDateFormat(data.favourableEndTime) + "</span>");
		}
		
		/*if(null!=data.furnishFood && "1"==data.furnishFood){
			$("#tWord1").append("<span class=\"icon3\" id=\"furnishFood\">4-5人精选菜品</span>");
		}
		if(null!=data.furnishWifi && "1"==data.furnishWifi){
			$("#tWord1").append("<span class=\"icon1 marLeft\" id=\"furnishWifi\">提供wifi</span>");
		}
		if(null!=data.furnishBespeak && "1"==data.furnishBespeak){
			$("#tWord2").append("<span class=\"icon4\" id=\"furnishBespeak\">提前一天预约</span>");
		}*/
		// <span class="icon5" id="favourableTime"></span>
	//	$("#favourableTime").text(data.favourableTime);
		$("#merchantName").text(data.merchantName);
		$("#merchantAddress").text(data.merchantAddress);
		if(null!=data.distance && ""!=data.distance){
			$("#distance").text(data.distance+"km");
		}
		merchantName = data.merchantName;
		merchantPhone = data.merchantPhone;
		
		
		$("#favourableDetails").html(data.favourableDetails);
		$("#favourableHint").html(data.favourableHint);
		
		$.mbank.hideLoading();
	}
	
	//打电话联系商户
	function couponCallPhone(){
		var callPhoneHtml ='<div data-role="content" class="select" id="selectshow">';
			callPhoneHtml += '<div class="bind-header" data-theme="none">联系商户</div>';
			callPhoneHtml += '<div class="popMsg_con"><p class="bigWord">'+merchantName+'</p>';
			callPhoneHtml += '<p class="minWord" id="telephone">'+merchantPhone+'</p>';
			callPhoneHtml += '</div>';
			callPhoneHtml += '<div class="bottomBtn_box">';
			callPhoneHtml += '<div class="ui-grid-a">';
			callPhoneHtml += '<div class="ui-block-a"><a href="#" class="queD_btn2" data-transition="none" onClick="" id="callPhone">呼&nbsp;&nbsp;叫 </a></div>';
			callPhoneHtml += '<div class="ui-block-b"><a href="#" class="cancel_btn2" data-transition="none" onClick="">取&nbsp;&nbsp;消</a></div>';
			callPhoneHtml += '</div>';
			callPhoneHtml += '</div>';
			callPhoneHtml += '</div>';
			$("#show1").empty().html(callPhoneHtml);
			
			$.mbank.infos.showbankdiv('show1','bg1');
	}
	
	$(document).on("click","#callPhone",function(phoneNum){
			//把电话信息传递给原生
			var requestData={
				"phone":$("#telephone").text()
			};
			var filterArray = new Array();
			filterArray[0]="phone";
			var jsonData = JSON.stringify(requestData,filterArray);
			mobileutils.sendPhone(jsonData);
			$.mbank.infos.hidebankdiv('show1','bg1');
	});
	
	$(document).on("click",".cancel_btn2",function(){
		$.mbank.infos.hidebankdiv('show1','bg1');
	});
	//格式化日期
	function changeDateFormat(str) {
		var strone = str.substring(0, 4) + "年" + str.substring(4, 6) + "月" + str.substring(6, 8)+"日";
		return strone;
	}
	
})();