(function() {
	$("#product_detail2View").live("pageinit", function(event) {
		backnum = 2;
		if("" == $.mbank.context.orderState || "0" == $.mbank.context.orderState){
			initMyUseCard();
		}
		initMyData();
		$.mbank.hideLoading();
	});
	var chooseFlag = false;

	function initMyUseCard() {

		var reqData = {
			"currentBusinessCode": "MB000006"
		};
		$.mbank._pajax("mbCardDetails.do", reqData, CareProcessResponse);

		function CareProcessResponse(data) {
			var oneIndexValue;
			if(data.mbAccountInfo != null && data.mbAccountInfo.length > 0) {
				var movableBankNoArrayList = data.mbAccountInfo;
				$.each(movableBankNoArrayList, function(index, element) {
					if(element.accState == "1") {
						//（0：网上普通签约；1：柜台签约；2：未签约）
						chooseFlag = true;
					}
				});
			}
			$.mbank.hideLoading();
		}
	}

	//数据初始化
	function initMyData() {
		$("#productName").text($.mbank.context.productName); //产品名称
		var orderState = $.mbank.context.orderState;
		var profitType = $.mbank.context.profitType;
		if(profitType == "1"){
				profitType = "非保本浮动收益类";
		}else if(profitType == "2"){
			profitType = "保本浮动收益类";
		}else if(profitType == "3"){
			profitType = "保证收益类";
		}
		var productType = $.mbank.context.productType;
		if(productType == "1"){
			productType = "开放型";
		}else if(productType == "2"){
			productType = "封闭型";
		}
		
		var html = "";
		html += "<tr><th>产品代码</th><td>" + $.mbank.context.productNo + "</td><th>风险等级</th><td>" + $.mbank.param.getDisplay("PROD_RISK_LEVEL", $.mbank.context.riskLevel) + "</td></tr>";
		html += "<tr><th>起息日</th><td>" + changeDateFormat($.mbank.context.establishDay) + "</td><th>到期日</th><td>" + changeDateFormat($.mbank.context.windingDay) + "</td></tr>";
		html += "<tr><th>开放起始日</th><td>" + changeDateFormat($.mbank.context.beginDate) + "</td><th>开放结束日</th><td>" + changeDateFormat($.mbank.context.endDate) + "</td></tr>";

		if("" == orderState) {
			orderState = "持有中";
			//html += "<tr><th>赎回确认天数</th><td>" + $.mbank.context.returnConfirmDay + "天</td><th>浮动收益率</th><td>" + $.mbank.context.minExpectIncome + "%</td></tr>";
			html += "<tr><th>赎回确认天数</th><td>" + $.mbank.context.returnConfirmDay + "天</td><th>收益类型</th><td>" + profitType + "</td></tr>";
			$("#cxBtn").html("赎&nbsp;回");
			if($.mbank.context.redeemFlag == "1"){
				setTimeout(function () {
					$("#cxbtn2").show();
				},200);
			}
			$("#cxBtn").off().on("click", function() {
				if(!chooseFlag) {
					$.mbank.myAlert("您没有可动账的账户信息");
					return;
				}
				$.mbank.goPage('finance/product_repeal.html');
			});
		} else if("0" == orderState) {
			orderState = "募集中";
			//html = "<tr><th>理财流水号</th><td>" + $.mbank.context.orderFlowNo + "</td><th>浮动收益率</th><td>" + $.mbank.context.minExpectIncome + "%</td></tr>" + html;
			html = "<tr><th>理财流水号</th><td>" + $.mbank.context.orderFlowNo + "</td><th>收益类型</th><td>" + profitType + "</td></tr>" + html;
			$("#cxBtn").html("撤&nbsp;销");
			setTimeout(function () {
				$("#cxbtn2").show();
			},200);
			$("#cxBtn").off().on("click", function() {
				if(!chooseFlag) {
					$.mbank.myAlert("您没有可动账的账户信息");
					return;
				}
				$.mbank.goPage('finance/product_repeal.html');
			});
		} else if("2" == orderState) {
			orderState = "已撤销";
			//html = "<tr><th>理财流水号</th><td>" + $.mbank.context.orderFlowNo + "</td><th>浮动收益率</th><td>" + $.mbank.context.minExpectIncome + "%</td></tr>" + html;
			html = "<tr><th>理财流水号</th><td>" + $.mbank.context.orderFlowNo + "</td><th>收益类型</th><td>" + profitType + "</td></tr>" + html;
		} else if("4" == orderState) {
			orderState = "已到期";
			//html = "<tr><th>理财流水号</th><td>" + $.mbank.context.orderFlowNo + "</td><th>浮动收益率</th><td>" + $.mbank.context.minExpectIncome + "%</td></tr>" + html;
			html = "<tr><th>理财流水号</th><td>" + $.mbank.context.orderFlowNo + "</td><th>收益类型</th><td>" + profitType + "</td></tr>" + html;
		}
		html += "<tr><th>产品类型</th><td>" + productType + "</td></tr>";
		$("#mytab").empty().html(html);
		html = "";
		html += "<ul class='clearfix'><li class='income'><b>" + $.mbank.context.annualYieldRate + "</b><span>预期收益率</span></li></ul>";
		$("#productInfoIncome ul").empty().html(html);
		
		html="";
		//html += "<div class='modelCon'><ul class='clearfix myfinancing_data'><li><b>" + $.mbank.context.annualYieldRate + "</b><em></em><span>预期收益率</span></li>";
	//	html += "<li><b>" + (parseFloat($.mbank.context.buyAmt) / 10000)+ "</b><em>万</em><span>持有金额</span></li>";
		html += "<li style='border-right:1px dashed #e5e5e5'><b>" +(parseFloat($.mbank.context.buyAmt) / 10000)+ "</b><em>万</em><span>持有金额</span></li>";
		html += "<li><b>" + $.mbank.utils.getDateDiff(changeDateFormat($.mbank.context.windingDay), changeDateFormat($.mbank.context.establishDay)) + "天</b><span>产品期限</span></li>";
		$("#oState").text("　　　　　"+orderState); //交易状态
		$("#productInfoAmtandPriod ul").empty().html(html);
		//$(".modelCon4 ul").empty().html(html);
	}

	//格式化日期
	function changeDateFormat(str) {
		strone = str.substring(0, 4) + "-" + str.substring(4, 6) + "-" + str.substring(6, 8);
		return strone;
	}
})();