(function(){
	var flag = true;//赎回时,是否先点的密码框标识
	$("#product_repealView").live("pageinit", function(event){
		backnum=4;
		$("#productRepealBack").off().on("click",closeWindow);
		$.mbank.hideLoading();
		initRepealData();
		$("#password").off().on("click", function() {
			//清空原有密码
			$("#password").val("");
			$("#passwordHidden").val("");
			if(!$.mbank.context.orderState){//持有中
				if(flag){
					$.mbank.myAlert("请先正确输入赎回金额！");
					return;
				}
				if(!checkMoney()){
					flag = true;
					return;
				}
			}
			//改变密码框位置
			setTimeout(function(){$("#mytoHide").hide();},100);
			//开启密码键盘
			$.mbank.openKeyboard("password", "passwordHidden",function(data) {
					setTimeout(function(){$("#mytoHide").show();},100);
					document.getElementById("password").setAttribute("placeholder","请输入");
				},function(data) {});
		});
		$("#forMessageCodeBtn").off().on("click",sendCodeMessage);
		
	});
	function initRepealData(){
		if(!$.mbank.context.orderState){//持有中
			$("#h2Name").html("产品赎回");
			$("#redeemMoneyDiv").show();
			$("#cx1Btn").html("赎&nbsp;回");
			$("#redeemMoney").on("blur", formatMoney);
			$("#cx1Btn").off().on("click",redeemBtn);
			
			minRedeem = $.mbank.context.minRedeem == '-1' ? '无限制': (parseFloat($.mbank.context.minRedeem)/10000) + "万";
			holdMin = $.mbank.context.holdMin == "-1" ? "无限制" : (parseFloat($.mbank.context.holdMin)/10000) + "万";
			$("#buyTip").html("单笔赎回最低份额:" + minRedeem + ",最低持有份额:" + holdMin);
		}else{
			$("#h2Name").html("产品撤销");
			$("#redeemMoneyDiv").hide();
			$("#cx1Btn").html("撤&nbsp;销");
			$("#cx1Btn").off().on("click",cx1Btn);
		}
		$("#myPro3").empty().html("<h3>"+$.mbank.context.productName+"</h3><span>"+$.mbank.context.productNo+"</span>");
		$("#endDate3").empty().html(changeDateFormat($.mbank.context.windingDay));
		//$("#repealDetail3").empty().html("<li style='border-right:1px solid #c0c0c0;'><b>"+(parseFloat($.mbank.context.buyAmt)/10000)+"</b><em>万</em><span>购买金额</span></li><li><b>"+(parseFloat($.mbank.context.maxExpectIncome).toFixed(2))+"</b><em>%</em><span>预期收益率</span></li>");
		$("#repealDetail3").empty().html("<li style='border-right:1px solid #c0c0c0;'><b>"+(parseFloat($.mbank.context.buyAmt)/10000)+"</b><em>万</em><span>购买金额</span></li><li><b>&nbsp;&nbsp;"+$.mbank.context.annualYieldRate+"</b><span>预期收益率</span></li>");
	}
	
	//获取短信验证码
	var InterValObj; //timer变量，控制时间
	var count = 60; //间隔函数
	var timeInit = 0;
	var smsFlowno="";
	function sendCodeMessage() {
		var buymoney = 0;
		var bsnCode = '00000009';
		if(!$.mbank.context.orderState){//持有中
			if($.mbank.utils.isNoValue($("#redeemMoney").val())) {
				$.mbank.myAlert("请输入赎回金额！");
				return;
			}else{
				$("#redeemMoney").attr("disabled","true");
			}
			buymoney = $("#redeemMoneyHidden").val();
			bsnCode = '00000021';
		}else{
			buymoney = $.mbank.context.buyAmt;
		}
		var param={
				"bsnCode":bsnCode,//交易码
				"mobileNo":LoginPhoneNo,//手机号
				"payAccount":$.mbank.context.payAccount, //账号
				"transferSum":buymoney,
				"proCode":$.mbank.context.productNo,
				"logRecordFlag":"0",
				"currentBusinessCode":"MB000001"
			};
	 	$.mbank._pajax("verifyCodeSend.do",param,sendCodeResponse);
	}
	
	function sendCodeResponse(data) {
		if (data.ec == 0) {
			// 获取短信验证码
			timeInit = count;
			$("#forMessageCodeBtn").off();
			$("#forMessageCodeBtn").html(timeInit + "秒");
			smsFlowno = data.smsFlowno;
			$.mbank.hideLoading();
			// timer处理函数
			SetRemainTime();
		}
	}

	function SetRemainTime() {
		if (timeInit == 0) {
			$("#forMessageCodeBtn").off().on("click", sendCodeMessage);
			$("#forMessageCodeBtn").html("获取验证码").css("color","#2781d3");
		} else {
			timeInit--;
			$("#forMessageCodeBtn").html("重新获取(" + timeInit + ")").css("color","gray");
			InterValObj = window.setTimeout(SetRemainTime, 1000);
		}
	}
	
	function checkMoney() {
		var redeemMoney = $("#redeemMoneyHidden").val();
		if($.mbank.utils.isNoValue(redeemMoney)) {
			return false;
		}
		if(parseFloat(redeemMoney) <= 0) {
			return false;
		}
		if(parseFloat(redeemMoney) < parseFloat($.mbank.context.minRedeem)) {
			return false;
		}
		if(parseFloat(redeemMoney) > parseFloat($.mbank.context.buyAmt)) {
			return false;
		}
		
		//非全部赎回进行 最低持有金额判断
		if(parseFloat($.mbank.context.buyAmt) != parseFloat(redeemMoney)){
			if((parseFloat($.mbank.context.buyAmt) - parseFloat(redeemMoney)) < parseFloat($.mbank.context.holdMin)) {
				return false;
			}
		}
		return true;
	}
	
	function formatMoney() {
		flag = false;
		var redeemMoney = this.value;
		if($.mbank.utils.isNoValue(redeemMoney)) {
			$("#redeemMoneyHidden,#redeemMoney").val("");
			flag = true;
			return;
		} else {
			if(redeemMoney <= 0) {
				$.mbank.myAlert("金额不能为0");
				$("#redeemMoneyHidden,#redeemMoney").val("");
				return
			}
			if(parseFloat(redeemMoney) < parseFloat($.mbank.context.minRedeem)) {
				$.mbank.myAlert("金额不能小于单笔赎回最低份额");
				$("#redeemMoneyHidden,#redeemMoney").val("");
				return
			}
			if(parseFloat(redeemMoney) > parseFloat($.mbank.context.buyAmt)) {
				$.mbank.myAlert("金额不能大于购买金额");
				$("#redeemMoneyHidden,#redeemMoney").val("");
				return
			}
			
			//(购买金额 – 赎回金额 ) > 最低持有金额
			if(parseFloat($.mbank.context.buyAmt) != parseFloat(redeemMoney)){
				if((parseFloat($.mbank.context.buyAmt) - parseFloat(redeemMoney)) < parseFloat($.mbank.context.holdMin)) {
					$.mbank.myAlert("不能低于最低持有份额");
					$("#redeemMoneyHidden,#redeemMoney").val("");
					return
				}
			}
			
			
			$("#redeemMoneyHidden").val(redeemMoney);
			$("#redeemMoney").val($.mbank.infos.fmoney(redeemMoney, 2));
		}
	}
	
	//赎回操作
	function redeemBtn(){
		var redeemMoney = $("#redeemMoney").val();
		if($.mbank.utils.isNoValue(redeemMoney)) {
			$.mbank.myAlert("请输入赎回金额！");
			return;
		}
		redeemMoney = $("#redeemMoneyHidden").val();
		if(!$.mbank.infos.queryAmount(redeemMoney)){
			return;
		}else{
			if(redeemMoney <= 0) {
				$.mbank.myAlert("金额不能为0");
				return
			}
			if(parseFloat(redeemMoney) < parseFloat($.mbank.context.minRedeem)) {
				$.mbank.myAlert("赎回金额不能小于单笔赎回最低份额");
				return
			}
			if(parseFloat(redeemMoney) > parseFloat($.mbank.context.buyAmt)) {
				$.mbank.myAlert("赎回金额不能大于购买金额");
				return
			}
			//(购买金额 – 赎回金额 ) > 最低持有金额
			if(parseFloat($.mbank.context.buyAmt) != parseFloat(redeemMoney)){
				if((parseFloat($.mbank.context.buyAmt) - parseFloat(redeemMoney)) < parseFloat($.mbank.context.holdMin)) {
					$.mbank.myAlert("不能低于最低持有份额");
					return
				}
			}
		}
		if (!$.mbank.infos.queryMoneyPassWord($("#password").val())) return;
		if (!$.mbank.infos.queryMessage($("#messagequery").val())) return;
		if ($.mbank.utils.isNoValue(smsFlowno)) {
			$.mbank.myAlert("请输入正确验证码！");
			return;
		}
		// 随机数（加密）
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		var psw=$("#passwordHidden").val();
		var param={
				"key1": key1,
				"payAccount":$.mbank.context.payAccount, //账号
				"redeemAmt":redeemMoney, //赎回金额
				"custType":"0",	//客户类型  默认送0 个人    1企业
				"flag":"2",	//1 撤销  2 赎回
				"smsFlowno":smsFlowno,
				"verifyCode":$("#messagequery").val(),
				"mobileNo":LoginPhoneNo,//手机号
				"password":psw,
				"buyAmt":redeemMoney,//$.mbank.context.buyAmt,
				"proName":$.mbank.context.productName,
				"proCode":$.mbank.context.productNo,
				"logRecordFlag":"1",
				"currentBusinessCode":"MB000081"
			};
			timeInit = 0;
	 		$.mbank._pajax("proCancel.do",param,a10);	
	}
	
	
	//撤销操作
	function cx1Btn(){
		if (!$.mbank.infos.queryMoneyPassWord($("#password").val())) return;
		if (!$.mbank.infos.queryMessage($("#messagequery").val())) return;
		if ($.mbank.utils.isNoValue(smsFlowno)) {
			$.mbank.myAlert("请输入正确验证码！");
			return;
		}
		// 随机数（加密）
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		var psw=$("#passwordHidden").val();
		
		var param={
				"key1": key1,
				"payAccount":$.mbank.context.payAccount, //账号
				"buyDate":$.mbank.context.buyDate, //认购日期
				"oldFlowNo":$.mbank.context.orderFlowNo, //原流水号
				"custType":"0",	//客户类型  默认送0 个人    1企业
				"flag":"1",	//1 撤销  2 赎回
				"smsFlowno":smsFlowno,
				"verifyCode":$("#messagequery").val(),
				"mobileNo":LoginPhoneNo,//手机号
				"password":psw,
				"buyAmt":$.mbank.context.buyAmt,
				"proName":$.mbank.context.productName,
				"proCode":$.mbank.context.productNo,
				"logRecordFlag":"1",
				"currentBusinessCode":"MB000081"
			};
			timeInit = 0;
	 		$.mbank._pajax("proCancel.do",param,a10);	
	}
	
	function a10(data){
		if(!$.mbank.context.orderState){//持有中
			$.mbank.context.redeemMoney = $("#redeemMoneyHidden").val();//赎回金额
		}
		$.mbank.hideLoading();
		$.mbank.goPage('finance/cancelpage.html');
	}
	
	function closeWindow(){
		//$.mbank.closeWindow();
		timeInit = 0;
		$.mbank.hideLoading();
		//$.mbank.goPage('finance/product_info.html');
		$.mbank.goPage('finance/licai_list.html');
	}
	//格式化日期
	function changeDateFormat(str) {
		strone = str.substring(0, 4) + "-" + str.substring(4, 6) + "-" + str.substring(6, 8);
		return strone;
	}
})();
