(function() {
	$("#transDateCancelView").live("pageinit", function(event){
		inittransData();
		$("#reservPsd").off().on("click",openPsdKeytrCancel);//密码
		$("#reservSendMessage").off().on("click",reservSendCodeMessage);//发送验证码
		$("#reservSubmit").off().on("click", reservSubmit);
		$("#trDateCanceBack").off().on("click", closeWindow);
		messageCountTrc = 60; //间隔函数
	});
	
	function inittransData(){
		backnum=2;
		$("#reservAmount").text($.mbank.context.payAmount);//预约金额
		$("#reservDate").text(changeDateFormat2($.mbank.context.scheduDate));//预约时间
		//预约状态:0 未处理  1 成功  2 失败 *撤销
		var status=$.mbank.context.tranfStats;
		var status1="";
		if(status=='0'){
			status1="未处理";
		}else if(status=='1'){
			status1="成功";
		}else if(status=='2'){
			status1="失败";
		}else if(status=='*'){
			status1="撤销";
		}
		$("#reservStatus").text(status1);
		$("#reservReason").text($.mbank.context.tranfMessage);//原因
		$("#transChargeFee").text($.mbank.infos.fmoney($.mbank.context.chargeFee, 2)+"元");
		var transferChannel=$.mbank.context.payType;
			var showtype1=""
			if (transferChannel == "0") {
				showtype1 = "行内实时转账";
			} else if (transferChannel == "3") {
				showtype1 = "跨行实时转账";
			} else if (transferChannel == "7") {
				showtype1 = "跨行普通转账";
			} else if (transferChannel == "5") {
				showtype1 = "跨行加急转账";
			}
		$("#transPayType").text(showtype1);
		$("#reservRecAccountName").text($.mbank.context.recAccountName);
		$("#reservRecAccount").html( $.mbank.utils.formatAccountNo($.mbank.context.recAccount + '', ''));
		$("#reservRecBankName").text($.mbank.context.recBankName);
		$("#reservPayAcName").text($.mbank.context.payAccountName);
		$("#reservAccountNo").html($.mbank.utils.formatAccountNo($.mbank.context.payAccount + '', 'hide'));
		var bank=$.mbank.context.payAccountOpenNode=='undefined'?"晋中银行":$.mbank.context.payAccountOpenNod;
		$("#reservPayBankName").text(bank);
	}
	//提交
	function reservSubmit() {
		//检查取款密码
		if (!checkPassWord($("#reservPsd").val())) return;
		var codeMessage = $("#reservMessage").val();
		if ($.mbank.utils.isNoValue(codeMessage)) {
			$.mbank.myAlert("短信验证码不能为空！");
			return;
		}
		if ($.mbank.utils.isNoValue(smsFlownoTrc)) {
			$.mbank.myAlert("请输入正确验证码！");
			return;
		}
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		var password2 = $("#reservPsdHidden").val();
		var paramsSub = {
				"key1": key1,
				"currentBusinessCode":"MB000066",
				"logRecordFlag":"1",
				"accountNo":$.mbank.context.payAccount,
				"password":password2,
				"orderFlowNo":$.mbank.context.orderFlowNo,
				"scheduChannel":"2",
				"scheduDate":$.mbank.context.scheduDate,
				"verifyCode": codeMessage, //短信验证码
				"smsFlowno": smsFlownoTrc, //短信验证码ID
				"mobileNo":LoginPhoneNo
				
			};
	
			$.mbank._pajax("mbScheduledRevoke.do", paramsSub, function(data){
				if(data.ec=='0'){
					var confirmData3={
							"payAmount":$.mbank.context.payAmount,
							"scheduDate":$.mbank.context.scheduDate
					};
					$.mbank.context=confirmData3;
					$.mbank.hideLoading();
					$.mbank.goPage("financialCalendar/transDateSucceess.html");
				}
			});

	}
	function checkPassWord(str) {
		if ($.mbank.utils.isNoValue(str)) {
			$.mbank.myAlert("请填写银行密码");
			return false;
		} else {
			if (str.length != 6) {
				$.mbank.myAlert("银行密码须为6位");
				return false;
			} else {
				return true;
			}

		}
	}

	var InterValTrc; //timer变量，控制时间
	var timeInitTrc;
	var smsFlownoTrc="";
	//获取短信验证码
	function reservSendCodeMessage() {
		var paramMes = {
			"bsnCode": "00000020", //交易码
			"mobileNo": LoginPhoneNo, //手机号
			"currentBusinessCode": "MB000001",
			"logRecordFlag":"0",
			"payAccount":$.mbank.context.payAccount
		};
		$.mbank._pajax("verifyCodeSend.do", paramMes, reservSendsmsFlowno);
	}
	function reservSendsmsFlowno(data) {
			if (data.ec == 0) {
				timeInitTrc = messageCountTrc;
				$("#reservSendMessage").off();
				$("#reservSendMessage").html(timeInitTrc + "s");
				smsFlownoTrc = data.smsFlowno;
				$.mbank.hideLoading();
				reservSetRemainTime();
			}
		}
		//timer处理函数
	function reservSetRemainTime() {
		if (timeInitTrc == 0) {
			clearTimeout(InterValTrc);
			$("#reservSendMessage").off().on("click", reservSendCodeMessage);
			$("#reservSendMessage").html("获取验证码").css("color","#2781d3");
		} else {
			timeInitTrc--;
			$("#reservSendMessage").html("重新获取(" + timeInitTrc + ")").css("color","gray");
			InterValTrc = window.setTimeout(reservSetRemainTime, 1000);
		}
	}
	
	function openPsdKeytrCancel() {
		//清空原有密码
		$("#reservPsd").val("");
		$("#reservPsdHidden").val("");
		//改变密码框位置
		setTimeout(function(){$("#chongZ_boxHide").hide();},100);
		//开启密码键盘
		$.mbank.openKeyboard("reservPsd", "reservPsdHidden",function(data) {
				setTimeout(function(){$("#chongZ_boxHide").show();},100);
				document.getElementById("reservPsd").setAttribute("placeholder","请输入");
			},
			function(data) {});
	}
	function closeWindow() {
		backnum=1;
		window.location.href = '../financialCalendar/moneyDateMain.html';
	}
	//格式化日期
	function changeDateFormat2(str) {
		var strone = str.substring(0, 4) + "-" + str.substring(4, 6) + "-" + str.substring(6, 8);
		return strone;
	}
	
})();