(function() {
	$(document).ready(function() {
		$("#newPassword_zimu").off().on("click", showMessage); //输入新密码
		$("#sendPassword").off().on("click", sendMessage); //当点击获取验证码按钮时执行发送密码函数
		$("#newPassword1_zimu").off().on("click", showMessage1); //确认新密码
		$("#submit").off().on("click", submitpassword);
		$("#password").off().on("click", passwordOpenKeyboard);
		$.mbank.hideLoading();
		//监控物理返回键
		document.addEventListener("backbutton", onBackKeyDown, false);
	});

	function onBackKeyDown() {
		navigator.app.backHistory();
	}

	//password的密码键盘
	function passwordOpenKeyboard() {
		$("#password").val("");
		$("#passwordHide").val("");
		$.mbank.openKeyboard("password", "passwordHide",function(data){
			document.getElementById("password").setAttribute("placeholder","输入取款密码");
		},function(data){});
	}

	//校验取款密码
	function chickPassword() {
			var newPassword = $("#passwordHide").val();
			var reg = /^[0-9]+$/;
			var error = "密码输入不正确";
			$("#Message").hide();
			if (!reg.test(newPassword)) {
				$.mbank.myAlert(error);
				return false;
			} else {
				var length = newPassword.length;
				if (length != 6) {
					$.mbank.myAlert(error);
					return false;
				}
			}
			return true;
		}
		//检查账号输入长度是否在15到22位之间

	function chickAccount() {
		var account = $("#account").val();
		return $.mbank.infos.querybankno(account);
	}

	//检查手机号码是否正确
	function chickPhonenumber() {
		var phoneNumber = $("#phoneNumber").val();
		var length = phoneNumber.length;
		if (!$.mbank.utils.isMobile(phoneNumber)) {
			$.mbank.myAlert("只支持中国移动、中国联通、中国电信手机号码!");
			return false;
		} else {
			return true;
		}
	}

	function newpasswordhide() {
			$("#Message").hide();
		}
		//校验密码规则

	function chicknewPassword() {
		var str = $("#newPassword_zimu").val();
		if ($.mbank.utils.isNoValue(str)) {
			$.mbank.myAlert("请设置新密码");
			return false;
		} else {
			if (str.length < 6 || str.length > 20) {
				$.mbank.myAlert("新密码须为6-20位");
				return false;
			} 
			return true;
		}
	}

	//校验密码规则
	function chicknewPassword1() {
		var str = $("#newPassword1_zimu").val();
		if ($.mbank.utils.isNoValue(str)) {
			$.mbank.myAlert("请输入确认密码");
			return false;
		} else {
			return true;
		}

	}


	//显示密码规则
	function showMessage() {
		
		setTimeout(function(){$("#forgetPasswordHideid").hide();},100);
		$("#newPassword_zimu").val("");
		$("#newPasswordHide").val("");
		$.mbank.openKeyboard("newPassword_zimu", "newPasswordHide", function(data) {
			setTimeout(function(){$("#forgetPasswordHideid").show()},100);
			document.getElementById("newPassword_zimu").setAttribute("placeholder","请输入");
		}, function(data) {

		});
	}

	function showMessage1() {
		
		setTimeout(function(){$("#forgetPasswordHideid").hide();},100);
		$("#newPassword1_zimu").val("");
		$("#newPassword1Hide").val("");
		$.mbank.openKeyboard("newPassword1_zimu", "newPassword1Hide", function(data) {
			setTimeout(function(){$("#forgetPasswordHideid").show()},100);
			document.getElementById("newPassword1_zimu").setAttribute("placeholder","请输入");
		}, function(data) {

		});
	}

	//发送短信验证码
	var InterValObj;
	var count = 60;
	var no = null;

	function sendMessage() {
		if (!$.mbank.utils.isDebtCard($("#account").val())) {
			$.mbank.myAlert("请输入有效的卡号");
			return false;
		}
		
		// 随机数（加密）
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		var password = $("#passwordHide").val();
		if($.mbank.utils.isNoValue(password)) {
			$.mbank.myAlert("请输入取款密码");
			return;
		}
		
		var phoneNumber = $("#phoneNumber").val();
		var isPhone = $.mbank.infos.isMobile(phoneNumber);
		if (!isPhone) {
			return;
		} else {

		}
		var param = {
			"bsnCode": "00000015", //交易码
			"mobileNo": phoneNumber, //手机号
			"key1" : key1,
			"password" : password,//密码
			"payAccount":$("#account").val(),
			"logRecordFlag": "0", //是否打印日志
			"currentBusinessCode": "MB000090"
		};
		$.mbank._pajax("noSessionVerifyCodeSend.do", param, sendsmsFlowno);
	}
	var smsFlowno="";
	function sendsmsFlowno(data) {
		if (data.ec == 0) {
			no = count;
			$("#sendPassword").off();
			$("#sendPassword").html(no + "秒");
			var account = $("#account").val();
			var password = $("#password").val();
			var phoneNumber = $("#phoneNumber").val();
			smsFlowno = data.smsFlowno;
			$.mbank.hideLoading();
			SetRemainTime();
		}
	}

	function SetRemainTime() {
		if (no == 0) {
			$("#sendPassword").off().on("click", sendMessage);
			$("#sendPassword").html("获取验证码").css("color","#2781d3");
		} else {
			no--;
			$("#sendPassword").html("重新获取(" + no + ")").css("color","gray");
			InterValObj = window.setTimeout(SetRemainTime, 1000);
		}
	}

	//提交
	function submitpassword() {
		
		// 随机数（加密）
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		
		//添加密码规则验证
		if (!chickAccount()) return;
		if(!$.mbank.infos.queryMoneyPassWord($("#password").val())) return;
		if (!chickPhonenumber()) return;
		var messageCode = $("#emailPassword").val();
		if (!$.mbank.infos.queryMessage(messageCode)) {
			return;
		}
		 if($.mbank.utils.isNoValue(smsFlowno)){
			 $.mbank.myAlert("请填写正确的验证码");
			 return false;
		 }
		
		if (!chicknewPassword()) return;
		if (!chicknewPassword1()) return;
		var newPassword = $("#newPasswordHide").val();
		var newPassword1 = $("#newPassword1Hide").val();
		var phoneNumber = $("#phoneNumber").val();
		if (newPassword != newPassword1) {
			$.mbank.myAlert("两次密码输入不一致");
			return;
		}
		var account = $("#account").val();
		var password = $("#passwordHide").val();
		
		var passwordHide = $("#passwordHide").val();
		var newPasswordHide = $("#newPasswordHide").val();
		var newPassword1Hide = $("#newPassword1Hide").val();
		
		
		var reqData = {
			"key1": key1,
			"password": passwordHide,
			"loginPassword": newPasswordHide,
			"loginPasswordConfirm":newPassword1Hide,
			"logRecordFlag":"1",
			"accountNo": account,
			"mobileNo": phoneNumber,
			"currentBusinessCode": "MB000022",
			"smsFlowno": smsFlowno, //验证码id
			"verifyCode": messageCode //验证码
		};
		$.mbank._pajax("mbResetPassword.do", reqData, processResponse);

	}

	function processResponse(data) {
		if (data.ec == '0') {
			$.mbank.goPage('forgetPassword/forgetPassword_success.html');
		}
		$.mbank.hideLoading();
	}
})();