var backNum = 1;
(function() {
	$(document).ready(function() {
		backNum = 1;
		mobileutils.getFavourableInfo(
			function(data) {
				favourableNumber = data.favourableNumber;
				init();
			},
			function(data) {}
		);
		$(".tele-icon2").on("click", couponCallPhone);
		$(document).on("click", "#listDetailBack", listDetailBack);
		document.addEventListener("backbutton", onBackKeydown, false);
		$.mbank.hideLoading();
	});

	function onBackKeydown() {
		$.mbank.closeWindow();
	}

	function listDetailBack() {
		$.mbank.closeWindow();
	}

	function init() {
		var params = {
			"favourableNumber": favourableNumber,
			"currentBusinessCode": "MB000054"
		};
		$.mbank.pajax("mbFavourableInfo.do", params, processResponse);
	}

	function processResponse(data) {
		$("#info").empty();
		$("#info1").empty();
		$("#artwork").attr("src", picAddressPath + data.artwork);
		$("#price").text(data.favourableMoney);
		$("#favourableCostprice").text(data.favourableCostprice);
		$("#favourableName").text(data.favourableName);
		
		/*if("1"==data.furnishFood){
			$("#info").append("<span class=\"icon3\">4-5人精选菜品</span>");
		}
		if("1"==data.furnishWifi){
			$("#info").append("<span class=\"icon1 marLeft\">提供WiFi</span>");
		}
		if("1"==data.furnishBespeak){
			$("#info1").append("<span class=\"icon4\">提前1天预约</span>");
		}
		if(null!=data.favourableStartTime && ""!=data.favourableStartTime && null!=data.favourableEndTime && ""!=data.favourableEndTime){
			$("#info1").append("<span class=\"icon5\">" + data.favourableStartTime + "-" + data.favourableEndTime + "</span>");
		}*/
		var mbMerchantServiceInfo= data.mbMerchantServiceInfo;
		if(mbMerchantServiceInfo!=null&&mbMerchantServiceInfo.length>0){
			for(var i=0;i<mbMerchantServiceInfo.length;i++){
				if(i%4==0){
					if(i!=0){
						$("#info").append("<br/>");
					}
					$("#info").append("<span class=\"icon3\" style='background:url("+picAddressPath +mbMerchantServiceInfo[i].msLcon+") no-repeat 0 .2em;background-size:auto 30px;'> "+mbMerchantServiceInfo[i].msName+"</span>")
				}else{
					$("#info").append("<span class=\"icon5\" style='background:url("+picAddressPath +mbMerchantServiceInfo[i].msLcon+") no-repeat 0 .2em;background-size:auto 30px;'> "+mbMerchantServiceInfo[i].msName+"</span>")
				}
			}
		}
		
		if(null!=data.favourableStartTime && ""!=data.favourableStartTime && null!=data.favourableEndTime && ""!=data.favourableEndTime){
			$("#info1").append("<span>" + changeDateFormat(data.favourableStartTime) + "-" + changeDateFormat(data.favourableEndTime) + "</span>");
		}
		if(null!=data.distance && ""!=data.distance){
			$("#distance").text(data.distance+"km");
		}
		$("#merchantName").text(data.merchantName);
		$("#merchantAddress").text(data.merchantAddress);
		$("#favourableDetails").html(data.favourableDetails);
		$("#favourableHint").html(data.favourableHint);
		merchantName = data.merchantName;
		merchantPhone = data.merchantPhone;
		$.mbank.hideLoading();
	}

	function couponCallPhone() {
		var callPhoneHtml = '';
		callPhoneHtml += '<div data-role="content" class="select">';
		callPhoneHtml += '<div class="bind-header" data-theme="none">联系商户</div>';
		callPhoneHtml += '<div div class="popMsg_con"><p class="bigWord">' + merchantName + '</p>';
		callPhoneHtml += '<p class="minWord" id="telephoneNumber">' + merchantPhone + '</p>';
		callPhoneHtml += '</div>';
		callPhoneHtml += '<div class="bottomBtn_box">';
		callPhoneHtml += '<div class="ui-grid-a">';
		callPhoneHtml += '<div class="ui-block-a"><a href="#" class="queD_btn2" data-transition="none" onClick="" id="callPhone">呼&nbsp;&nbsp;叫 </a></div>';
		callPhoneHtml += '<div class="ui-block-b"><a href="#" class="cancel_btn2" data-transition="none" onClick="">取&nbsp;&nbsp;消</a></div>';
		callPhoneHtml += '</div>';
		callPhoneHtml += '</div>';
		callPhoneHtml += '</div>';
		$("#callPhoneInfo").empty();
		$("#callPhoneInfoShow").empty().html(callPhoneHtml);

		$.mbank.infos.showbankdiv('show1', 'bg1');
	}

	$(document).on("click", "#callPhone", function() {
		//把电话信息传递给原生
		var requestData = {
			"phone": $("#telephoneNumber").text()
		};
		var filterArray = new Array();
		filterArray[0] = "phone";
		var jsonData = JSON.stringify(requestData, filterArray);
		mobileutils.sendPhone(jsonData);
		$.mbank.infos.hidebankdiv('show1', 'bg1');
	});

	$(document).on("click", ".cancel_btn2", function() {
		$.mbank.infos.hidebankdiv('show1', 'bg1');
	});
	//格式化日期
	function changeDateFormat(str) {
		var strone = str.substring(0, 4) + "年" + str.substring(4, 6) + "月" + str.substring(6, 8)+"日";
		return strone;
	}
})();