(function() {
	$(document).ready(function() {
		loaded();
		init();
		$("#netQuery").off().on("click", closeWindow);
		$.mbank.hideLoading();
	});

	function init() {
		sessionStorage.setItem("pageType", "netQuery");
		couponFoodListQueryJSON = sessionStorage.getItem("mbFavourableInfo");
		couponFoodListQuery = JSON.parse(couponFoodListQueryJSON);
		brachList = couponFoodListQuery.brachList;
		var html = '';
		var coordinateList = new Array();
		$.each(brachList, function(index, element) {
			if(element.branchClass == 1){
				icon = "icon1";
			}else{
				icon = "icon2";
			}
			html += '<li class="banklist" style="border-bottom:1px dotted #ccc; border-top:0px solid #fff;background:#fff" name="'+element.branchCoordinate+'">';
			html += '<p class="minWord">' + element.branchId + '.' + element.branchName + '<span class="'+icon+'"></span></p>';
			html += '<p class="grewWord">' + element.branchAddress + '</p>';
			html += '<div class="h10_3"></div>';
			html += '<p class="grewWord">' + element.branchPhone + '<span class="grewWord fr">' + element.branchDistance + 'km</span></p>';
			html += '</li>';
			coordinateList.push(element.branchCoordinate);
		});
		if(brachList!=null&&brachList.length>0){
			$("#pullUp").show();
		}
		sessionStorage.setItem("coordinateList", coordinateList);
		$("#pullList").empty().append(html);
		$(".banklist").off().on("click",chooseNet);
		
		myScroll.refresh();	
	}
	function chooseNet(){
		sessionStorage.setItem("chooseCoordinate", $(this).attr("name"));
		window.location.href="../netQueryExtend/aboutMap.html";
	}
	$(document).ready(function() {
		$(document).on("click", "#mapController", function() {
			var couponContext = $.mbank.context.netListQuery;
			sessionStorage.setItem("netListContent", couponContext);
		});
	});

	//==============分页===================
	var myScroll,
	pullDownEl, pullDownOffset,
	pullUpEl, pullUpOffset,
	generatedCount = 0;
	var payerAccount;//账号
	var pageNum=0;
/**
 * 下拉刷新 （自定义实现此方法）
 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
 */
function pullDownAction () {
	 paramValue = sessionStorage.getItem("paramsValue");
	 paramValue = JSON.parse(paramValue);
	 pageNum = paramValue.showNum;
	setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
		if(pageNum<1){
			pageNum=0;
			$.mbank.myAlert("对不起，已经是第一页了");
		}else{
			pageNum--;
		     var params = {
						"branchClass":paramValue.selectTypeNum,
						"branchName":paramValue.keyText,
						"userCoordinate":paramValue.userCoordinate,
						"currentBusinessCode":"MB000056",
						"turnPageBeginPos":(pageNum*10)+1,
						"turnPageShowNum":"10"
			};
		     $.mbank.context.params={
		     	    "selectTypeNum":paramValue.selectTypeNum,
		 		    "keyText":paramValue.keyText,
		 			"userCoordinate":paramValue.userCoordinate,
		             "showNum":pageNum
		             };
		     sessionStorage.setItem("paramsValue",JSON.stringify($.mbank.context.params));
		 	$.mbank._pajax("innerBankSearch.do",params,submitPullDownResponse);
		}
		
		
		myScroll.refresh();		//数据加载完成后，调用界面更新方法   Remember to refresh when contents are loaded (ie: on ajax completion)
	}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
}
function submitPullDownResponse(data){
	  var netListQuery = data.brachList;
	  var html="";
	  var coordinateList = new Array();
		$.each(netListQuery, function(index, element) {
			if(element.branchClass == 1){
				icon = "icon1";
			}else{
				icon = "icon2";
			}
			html+='<li class="banklist" style="border-bottom:1px dotted #ccc; border-top:0px solid #fff;background:#fff" name="'+element.branchCoordinate+'">';
		    html+='<p class="minWord">'+element.branchId+'.'+element.branchName+'<span class="'+icon+'"></span></p>';
			html+='<p class="grewWord">'+element.branchAddress+'</p>';
			html+='<div class="h10_3"></div>';
			html+='<p class="grewWord">'+element.branchPhone+'<span class="grewWord fr">'+element.branchDistance+'km</span></p>';
			html+='</li>';
			coordinateList.push(element.branchCoordinate);
		});
		sessionStorage.setItem("coordinateList",coordinateList);
		sessionStorage.setItem("mbFavourableInfo",JSON.stringify(data));
		$("#pullList").empty().append(html);
		$(".banklist").off().on("click",chooseNet);
		myScroll.refresh();	
		$.mbank.hideLoading();
}
/**
 * 滚动翻页 （自定义实现此方法）
 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
 */
function pullUpAction () {
	  paramValue = sessionStorage.getItem("paramsValue");
	  paramValue = JSON.parse(paramValue);
	  pageNum = paramValue.showNum;
	pageNum++;
	setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
		 var params = {
					"branchClass":paramValue.selectTypeNum,
					"branchName":paramValue.keyText,
					"userCoordinate":paramValue.userCoordinate,
					"currentBusinessCode":"MB000056",
					"turnPageBeginPos":(pageNum*10)+1,
					"turnPageShowNum":"10"
		};
		$.mbank._pajax("innerBankSearch.do",params,submitPullUpResponse);
		
		myScroll.refresh();		// 数据加载完成后，调用界面更新方法 Remember to refresh when contents are loaded (ie: on ajax completion)
	}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
}

function submitPullUpResponse(data){
	  var netListQuery = data.brachList;
	  var coordinateList = new Array();
	  var html="";
	  if(netListQuery!=null&&netListQuery.length>0){
	  	$.each(netListQuery, function(index, element) {
	  		if(element.branchClass == 1){
				icon = "icon1";
			}else{
				icon = "icon2";
			}
			html+='<li class="banklist" style="border-bottom:1px dotted #ccc; border-top:0px solid #fff;background:#fff" name="'+element.branchCoordinate+'">';
		    html+='<p class="minWord">'+element.branchId+'.'+element.branchName+'<span class="'+icon+'"></span></p>';
			html+='<p class="grewWord">'+element.branchAddress+'</p>';
			html+='<div class="h10_3"></div>';
			html+='<p class="grewWord">'+element.branchPhone+'<span class="grewWord fr">'+element.branchDistance+'km</span></p>';
			html+='</li>';
			coordinateList.push(element.branchCoordinate);
		});
		sessionStorage.setItem("coordinateList",coordinateList);
		sessionStorage.setItem("mbFavourableInfo",JSON.stringify(data));
		$("#pullList").empty().append(html);
		$(".banklist").off().on("click",chooseNet);
	  }else{
	   $.mbank.myAlert("对不起，已经是最后一页了");
	   pageNum--;
	  }
	  $.mbank.context.params={
          "selectTypeNum":paramValue.selectTypeNum,
		    "keyText":paramValue.keyText,
			"userCoordinate":paramValue.userCoordinate,
          "showNum":pageNum
          };
	  sessionStorage.setItem("paramsValue",JSON.stringify($.mbank.context.params));
	  myScroll.refresh();	
	  $.mbank.hideLoading();
}

/**
 * 初始化iScroll控件
 */
function loaded() {
	pullDownEl = document.getElementById('pullDown');
	pullDownOffset = pullDownEl.offsetHeight;
	pullUpEl = document.getElementById('pullUp');	
	pullUpOffset = pullUpEl.offsetHeight;
	myScroll = new iScroll('wrapper', {
		scrollbarClass: 'myScrollbar', /* 重要样式 */
		useTransition: false, /* 此属性不知用意，本人从true改为false */
		topOffset: 51,
		onRefresh: function () {
			if (pullDownEl.className.match('loading')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
			} else if (pullUpEl.className.match('loading')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
			}
		},
		onScrollMove: function () {
			if (this.y > 5 && !pullDownEl.className.match('flip')) {
				pullDownEl.className = 'flip';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '松手开始更新...';
				this.minScrollY = 0;
			} else if (this.y < 5 && pullDownEl.className.match('flip')) {
				pullDownEl.className = '';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '下拉刷新...';
				this.minScrollY = -pullDownOffset;
			} else if (this.y < (this.maxScrollY - 5)&& this.maxScrollY<0 && !pullUpEl.className.match('flip')) {
				pullUpEl.className = 'flip';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '松手开始更新...';
				this.maxScrollY = this.maxScrollY;
			} else if (this.y > (this.maxScrollY + 5) && pullUpEl.className.match('flip')) {
				pullUpEl.className = '';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
				this.maxScrollY = this.maxScrollY;
			}
		},
		onScrollEnd: function () {
			if (pullDownEl.className.match('flip')) {
				pullDownEl.className = 'loading';
				pullDownEl.querySelector('.pullDownLabel').innerHTML = '加载中...';				
				pullDownAction();	// Execute custom function (ajax call?)
			} else if (pullUpEl.className.match('flip')) {
				pullUpEl.className = 'loading';
				pullUpEl.querySelector('.pullUpLabel').innerHTML = '加载中...';				
				pullUpAction();	// Execute custom function (ajax call?)
			}
		}
	});
	
	setTimeout(function () { document.getElementById('wrapper').style.left = '0'; }, 800);
}
	
	
	function closeWindow() {
			$.mbank.closeWindow();
		}
	document.addEventListener("backbutton",onBackKeydown,false);

	function onBackKeydown() {
		window.location.href = getPrePath() + 'netQuery/netQuery.html';
	}
})();