(function(){
	$(document).ready(function(){
		$.mbank.hideLoading();
		
		//查询客户限额
		var reqData2={
				"currentBusinessCode":"MB000027",
				"logRecordFlag":"0"
			};
		$.mbank._pajax("MBqueryLimit.do",reqData2,processResponse2);
			
		function processResponse2(data){
			singleMax2 = data.singleMax;
			dayMax2 = data.dayMax;
			if(singleMax2==null){
				singleMax2="";
			}
			$("#singleTransLimit1").val($.mbank.infos.fmoney(singleMax2,2));
			$("#singleTransLimit").val(singleMax2);
			if(dayMax2==null){//日限额
				dayMax2="";
			}
			$("#dayLimit1").val($.mbank.infos.fmoney(dayMax2,2));
			$("#dayLimit").val(dayMax2);
			//查询银行限额
			var reqData={
					"currentBusinessCode":"MB000057",
					"logRecordFlag":"0"
				};
				
			$.mbank._pajax("MBqueryCSTLimit.do",reqData,processResponse);
			
		}
		
			
		function processResponse(data){
			singleMax = data.limitSingleMax;
			dayMax = data.limitDayMax;
			document.getElementById("singleTransLimit1").setAttribute("placeholder","不超过"+$.mbank.infos.fmoney(singleMax,2)+"元");
			document.getElementById("dayLimit1").setAttribute("placeholder","不超过"+$.mbank.infos.fmoney(dayMax,2)+"元");
			$.mbank.hideLoading();
		}
		
		$("#firstPageGoback").on("click",closeWindow);
		$("#confirmBtn").off().on("click", setTransLimit);
		$("#loginPassword_zimu").off().on("click",function(){
			$("#loginPassword_zimu").val("");
			$("#loginPasswordHidden").val("");
			setTimeout(function(){$(".myhide1").hide();},100);
			$.mbank.openKeyboard("loginPassword_zimu","loginPasswordHidden",function (data){
				document.getElementById("loginPassword_zimu").setAttribute("placeholder","请输入");
				setTimeout(function(){$(".myhide1").show();},100);
			 },function(data){});
		});
		$("#singleTransLimit1").on("focus",replaceTitle1);
		$("#singleTransLimit1").on("blur",replaceTitle3);
		$("#dayLimit1").on("focus",replaceTitle2);
		$("#dayLimit1").on("blur",replaceTitle4);
		document.addEventListener("backbutton", onBackKeyDown, false);
		$.mbank.hideLoading();
		
	});
	function replaceTitle1(){
		$("#singleTransLimit1").val("");
		$("#singleTransLimit").val("");
	}
	function replaceTitle3(){
		$("#singleTransLimit").val($("#singleTransLimit1").val());
		if (!$.mbank.utils.isNoValue($("#singleTransLimit1").val())) {
			if(parseFloat($("#singleTransLimit").val())>parseFloat(singleMax)){
				$("#singleTransLimit").val("");
				$("#singleTransLimit1").val("");
				$.mbank.myAlert("单笔限额不得超过"+singleMax+"元");
				return false;
			}else{
				$("#singleTransLimit1").val($.mbank.infos.fmoney($("#singleTransLimit1").val(), 2));
			}
		}
	}
	function replaceTitle2(){
		$("#dayLimit1").val("");
		$("#dayLimit").val("");
	}
	function replaceTitle4(){
		$("#dayLimit").val($("#dayLimit1").val());
		if (!$.mbank.utils.isNoValue($("#dayLimit1").val())) {
			if(parseFloat($("#dayLimit").val())>parseFloat(dayMax)){
				$("#dayLimit").val("");
				$("#dayLimit1").val("");
				$.mbank.myAlert("日累计限额不得超过"+dayMax+"元");
				return false;
			}else{
				$("#dayLimit1").val($.mbank.infos.fmoney($("#dayLimit1").val(), 2));
			}
		}
	}
	//物理返回键
	function onBackKeyDown() {
			$.mbank.closeWindow();
	}
	
	//关闭窗口
	function closeWindow(){
		$.mbank.closeWindow();
	}
	
	//本页面核心方法，设置交易限额
	function setTransLimit(){
		if(!checkForm())return;
		
		$.mbank.sessionContent = {
				"singleTransLimit" : $("#singleTransLimit").val(),
				"dayTransLimit" : $("#dayLimit").val(), 
		};
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		 var password2 = $("#loginPasswordHidden").val();

		var params={
				"key1": key1,
			"singleMax":$("#singleTransLimit").val(),
			"dayMax":$("#dayLimit").val(),
			"password":password2,
			"logRecordFlag":"1",
			"currentBusinessCode":"MB000026"
		};
		
		$.mbank._pajax("MBupdateLimit.do",params,processSuccessResponse,"",processFailResponse);
		
		function processSuccessResponse(data){
			$.mbank.hideLoading();
			$.mbank.goPage("setLimit/setLimitSuccess.html");
			
		}
		
		function processFailResponse(data){
			$.mbank.hideLoading();
			$.mbank.myAlert("设置限额失败：" + data.em);
		}
		
	}
	
	//校验表单数据
	function checkForm(){
		
		if($.mbank.utils.isNoValue($("#singleTransLimit").val())){
			$.mbank.myAlert("请输入单笔限额！");
			return false;
		}
		if($.mbank.utils.isNoValue($("#dayLimit").val())){
			$.mbank.myAlert("请输入日交易限额！");
			return false;
		}
		if(!checkSingleTransLimit()){
			return false;
		}
		
		if(!checkDayTransLimit()){
			return false;
		}
		
		if($.mbank.utils.isNoValue($("#loginPasswordHidden").val())){
			$.mbank.myAlert("请输入登录密码！");
			return false;
		}
		return true;
	}
	
	//检查单笔交易额
	function checkSingleTransLimit() {
		
		if(parseFloat($("#singleTransLimit").val())>parseFloat(singleMax)){
			$.mbank.myAlert("单笔限额不得超过"+singleMax+"元");
			return false;
		}else {
			return true;
		}
		
	}
		
	//检查日交易限额
	function checkDayTransLimit() {
		if(parseFloat($("#dayLimit").val())>parseFloat(dayMax)){
			$.mbank.myAlert("日累计限额不得超过"+dayMax+"元");
			return false;
		}
		return true;
	}
		
})();
