(function() {
	$("#sevenDaysTerminationView").live("pageinit", function(event) {
		backnum = 2;
		bankno = $.mbank.context.bankno;
		$("#signaccount").text($.mbank.utils.formatAccountNo(bankno + '', 'hide'));
		$(document).off("click", "#sevenDaysTerminationBtn", sevenDaysTerminationBtn).on("click", "#sevenDaysTerminationBtn", sevenDaysTerminationBtn);
		$("#formessagecode").off().on("click", sendCodeMessage);
		$("#codePassWord").on("click",codePassWord);
	});

	function codePassWord() {
		$("#codePassWord").val("");
		$("#codePassWordHide").val("");
		$.mbank.openKeyboard("codePassWord","codePassWordHide",function (data){
			document.getElementById("codePassWord").setAttribute("placeholder","请输入取款密码");
		 },function(data){});
	}
	
	// 短信验证码有效时间
	var wait = 60;
	var wait_rest = wait;
	var smsFlowno="";
	//获取短信验证码
	function sendCodeMessage() {
		     var param={
					"bsnCode":"00000005",//交易码
					"mobileNo":LoginPhoneNo,//手机号
					"payAccount":bankno,//付款账号
					"operationType":"解约",//交易类型
					"logRecordFlag":"0",
					"currentBusinessCode":"MB000001"
			};
	     	if(wait == 60){
	     		$.mbank._pajax("verifyCodeSend.do",param,sendsmsFlowno);
	     	}
			function sendsmsFlowno(data){
				if(data.ec==0){
					
					$("#formessagecode").attr("disabled", true);
					time();
				     smsFlowno = data.smsFlowno;
				     $.mbank.hideLoading();
				}
			}
		}
	
	//短信验证码倒计时
	function time() {
		if(0 == wait){
			$("#formessagecode").attr("disabled", false);
			$("#formessagecode").html("获取验证码").css("color","#2781d3");
			wait = wait_rest;
		}else{
			$("#formessagecode").html("重新获取(" + wait + ")").css("color","gray");
			wait--;
			setTimeout(function() {
				time()
			}, 1000)
		}
	}

	//下一步
	function sevenDaysTerminationBtn() {
		if (!$.mbank.infos.queryMoneyPassWord($("#codePassWord").val())) return;
		if (!$.mbank.infos.queryMessage($("#codemessage").val())) return;

		if ($.mbank.utils.isNoValue(smsFlowno)) {
			$.mbank.myAlert("请输入正确验证码！");
			return;
		}
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
			
			 var password2 = $("#codePassWordHide").val();
		var confirmData = {
				"key1": key1,
			"currentBusinessCode": "MB000046", //交易码
			"payAccount": bankno, //银行账号
			"password": password2, //密码
			"mobileNo":LoginPhoneNo,
			"smsFlowno": smsFlowno, //验证码id
			"verifyCode": $("#codemessage").val(), //验证码
			"logRecordFlag": "1" //日志

		};
		$.mbank.context = confirmData;
		$.mbank._pajax("MBNoticeMoneyDelete.do", confirmData, processResponse);
	}

	function processResponse(data) {
		if (data.ec == 0) {
			$.mbank.goPage('sevenDaysNotice/sevenDaysTerminationSuccess.html');
		}
		$.mbank.hideLoading();
	}
})();