var bankCardArray = null;
var hideAccountNo2 = "";
(function() {
	$("#subscribeTransferAddview").live("pageinit", function(event) {
		backnum = 3;
		bankCardNo = $.mbank.context.bankCardNo;
		$.mbank.infos.movableCardInterface(function(cardInterfaceArray) {
			bankCardArray = new Array();
			bankCardArray = cardInterfaceArray;
			$.each(cardInterfaceArray, function(index, element) {
				if (element.accountNo == bankCardNo) {
					hideAccountNo2 = bankCardNo;
					$("#accountNo2").text($.mbank.utils.formatAccountNo(bankCardNo + '', 'hide'));
					availableCredit = element.balanceAvailable; //可用额度
					availableBalance = element.balance; //可用余额
					$("#balance1").text($.mbank.infos.fmoney(availableCredit, 2) + '元');
					$("#balance").text("余额" + $.mbank.infos.fmoney(availableBalance, 2) + '元');
					if (bankCardNo == cardInterfaceArray[0].accountNo) {
						$("#accountNo2").text($.mbank.utils.formatAccountNo(bankCardNo + '', 'hide'));
					}
				}
			});
			$("#returnsend").on("click", sendEmail); //发送短信
			$("#submitMessage").on("click", submit); //点击提交
			$("#accountSearch123").die().live("click", showAccountListpage); //显示账号列表
			$("#cancelbg3page").die().live("click", close);
			$("#transferpassword").off().on("click", openKeyboard);
			$("#transferpassword2").off().on("click", openKeyboard2);
			$("#password").off().on("click", openKeyboard1);
			$("#amount11").removeAttr("readonly");
			$("#amount11").off();
			$("#amount11").on("blur",checkAmount1);
			$("#amount11").on("focus",function(){
				$("#amount11Hidden").val("");
				$("#amount11").val("");
			});
		});
		
	});

	function checkAmount1(){
		var amount = $("#amount11").val();
		var num = amount.toString().replace(/\$|\,/g, '');
		var num1 = num % 100;
		if (amount == null || amount == 'null' || amount == '') {
			$.mbank.myAlert("预约金额不能为空！");
			return false;
		}
		if (num == 0) {
			$.mbank.myAlert("预约金额不能为0元");
			$("#amount11").val("");
			return false;
		}
		if (num1 != 0) {
			$.mbank.myAlert("请输入100元的整数倍");
			$("#amount11").val("");
			return false;
		}
		if (amount - 0 > 3000) {
			$.mbank.myAlert("单笔预约金额不能大于3000元");
			$("#amount11").val("");
			return false;
		}
		if (amount - 0 > availableCredit - 0) {
			$.mbank.myAlert("预约取款金额不能大于可用额度");
			$("#amount11").val("");
			return false;
		}
		$("#amount11Hidden").val($("#amount11").val());
		if (!$.mbank.utils.isNoValue($("#amount11").val())) {
			$("#amount11").val($.mbank.infos.fmoney($("#amount11").val(),2));
		}
		
	}
	
	function openKeyboard() {
		$("#transferpassword").val("");
		$("#transferpasswordHide").val("");
		setTimeout(function(){$(".myhide1").hide();},100);
		$.mbank.openKeyboard("transferpassword", "transferpasswordHide",function (data){
			document.getElementById("transferpassword").setAttribute("placeholder","请输入6位数字");
			 setTimeout(function(){$(".myhide1").show();},100);
		 },function(data){});
	}
	function openKeyboard2() {
		$("#transferpassword2").val("");
		$("#transferpasswordHide2").val("");
		setTimeout(function(){$(".myhide1").hide();},100);
		$.mbank.openKeyboard("transferpassword2", "transferpasswordHide2",function (data){
			document.getElementById("transferpassword2").setAttribute("placeholder","请输入6位数字");
			 setTimeout(function(){$(".myhide1").show();},100);
		 },function(data){});
	}

	function openKeyboard1() {
		setTimeout(function(){$("#showHideID").hide();},100);
		$("#password").val("");
		$("#passwordHide").val("");
		$.mbank.openKeyboard("password", "passwordHide", function(data) {
			document.getElementById("password").setAttribute("placeholder","请输入");
			setTimeout(function(){$("#showHideID").show();},100);
		}, function(data) {});
	}



	//判断预约取款金额是否是100的整数倍
	function checkAmount() {
		var amount = $("#amount11").val();
		var num = amount.toString().replace(/\$|\,/g, '');
		var num1 = num % 100;
		if (amount == null || amount == 'null' || amount == '') {
			$.mbank.myAlert("预约金额不能为空！");
			return false;
		}
		if (num == 0) {
			$.mbank.myAlert("预约金额不能为0元！");
			return false;
		}
		if (num1 != 0) {
			$.mbank.myAlert("预约金额必须为100的整数倍！");
			return false;
		}
		if (amount - 0 > 3000) {
			$.mbank.myAlert("单笔预约金额不能大于3000元");
			return false;
		}
		if (amount - 0 > availableCredit - 0) {
			$.mbank.myAlert("预约取款金额不能大于可用额度");
			return false;
		}
		return true;
	}

	//校验短信验证码必输
	function checkEmailpassword() {
		var emailPassword = $("#emailPassword").val();
		if (emailPassword == null || emailPassword == 'null' || emailPassword == '') {
			$.mbank.myAlert("验证码未输入！");
			return false;
		}
	}


	//提交
	function submit() {
		//检查预约金额是否是100的整数倍
		if (!checkAmount()) return;
		//检查预约取款密码
		if (!queryMoneyPassWord($("#transferpassword").val())) return;
		//校验取款密码
		if (!$.mbank.infos.queryMoneyPassWord($("#password").val())) return;
		if($("#transferpasswordHide").val() != $("#transferpasswordHide2").val()){
			$.mbank.myAlert("预约密码输入不一致！");return;
		}
		if($.mbank.utils.isNoValue(smsFlowno)){
			$.mbank.myAlert("请输入正确验证码");
			return false;
		}
		//密码加密
		var key1 = "op45cdevwijk12mabfn3xyz6qrstughl";
		
		 var password = $("#passwordHide").val();//取款密码
		 var password1 = $("#transferpasswordHide").val();//预约取款密码
		
		//校验短信验证码必输
		checkEmailpassword();
		var confirmData = {
			"key1": key1,
			"currentBusinessCode": "MB000041", //交易码
			"payAccount": bankCardNo, //账号
			"mobileNo": LoginPhoneNo, 
			"password": password, //取款密码
			"scheduleAmount": $("#amount11Hidden").val(), //预约取款金额
			"schedulePassword": password1, //预约取款密码
			"smsFlowno": smsFlowno, //短信验证码id
			"verifyCode": $("#emailPassword").val(), //短信验证码
			"logRecordFlag": "1" //日志
		};
		$.mbank.context = confirmData;
		$.mbank._pajax("MBATMOrderMoneyAdd.do", confirmData, submitProcessResponse);

	}

	function submitProcessResponse(data) {
		if (data.ec == 0) {
			backnum = 3;
			$.mbank.goPage('subscribeTransfer/subscribeTransferResult.html');
		}
		$.mbank.hideLoading();
	}

	function queryMoneyPassWord(str) {
		if ($.mbank.utils.isNoValue(str)) {
			$.mbank.myAlert("请填写预约密码");
			return false;
		} else {
			if (str.length != 6) {
				$.mbank.myAlert("预约密码须为6位");
				return false;
			} else {
				return true;
			}

		}
	}

	function close() {
		$.mbank.infos.hidebankdiv("show5", "bg5");
	}


	function rebackbankinfo() {
		var obj = $(this);
		var account = $(this).attr('id');
		bankCardNo = account.split("|")[0];
		availableCredit = account.split("|")[2]; //可用额度
		availableBalance = account.split("|")[1]; //可用余额
		$("#accountNo2").text($.mbank.utils.formatAccountNo(bankCardNo + '', 'hide'));
		$("#balance1").text($.mbank.infos.fmoney(availableCredit, 2) + '元');
		$("#balance").text("余额" + $.mbank.infos.fmoney(availableBalance, 2) + '元');
		$.mbank.infos.hidebankdiv("show5", "bg5");
	}
	var InterValObj;
	var count = 60;
	var no = null;

	// 短信验证码有效时间
	var wait = 60;
	var wait_rest = wait;
	//获取短信验证码
	function sendEmail() {
		if($.mbank.utils.isNoValue($("#amount11").val())){
			$.mbank.myAlert("请输入预约金额");
			return false;
		}
		var param = {
			"mobileNo": LoginPhoneNo,
			"currentBusinessCode": "MB000001",
			"payAccount":hideAccountNo2,
			"bsnCode": "00000003"
		};
		if(wait == 60){
     		$.mbank._pajax("verifyCodeSend.do", param, sendCodeResponse);
     	}
	}
	var smsFlowno="";
	function sendCodeResponse(data) {
		if (data.ec == '0') {
			$("#returnsend").attr("disabled", true);
			$("#accountSearch123").die();
			$("#amount11").off();
			$("#amount11").attr("readonly","readonly");
			time();
			
			smsFlowno = data.smsFlowno;
			timeInit = count;
//			$("#smsVerifyBtn").off();
//			$("#smsVerifyBtn").html(timeInit + "秒");
//			SetRemainTime();
			$.mbank.hideLoading();
		}

	}
	//短信验证码倒计时
	function time() {
		if(0 == wait){
			$("#returnsend").attr("disabled", false).css("color","#2781d3");
			$("#returnsend").html("获取验证码");
			wait = wait_rest;
		}else{
			$("#returnsend").html("重新获取(" + wait + ")").css("color","gray");
			wait--;
			setTimeout(function() {
				time()
			}, 1000)
		}
	}

	function SetRemainTime() {
		if (no == 0) {
			$("#returnsend").html("重新获取验证码");
			$("#returnsend").on("click", sendEmail);
		} else {
			no--;
			$("#returnsend").html(no + "秒");
			InterValObj = window.setTimeout(SetRemainTime, 1000);
		}
	}


	function showAccountListpage() {
		var payBankCard = new Array();
		var loanhtml12 = "";
		$.each(bankCardArray, function(index, element) {
			var account = element.accountNo;
			if (bankCardNo == account) {
				loanhtml12 += '<div class="ui-cardInfo select" id="' + account + "|" + element.balance + "|" + element.balanceAvailable + '" ><div class="select-o select-o-select" >' + $.mbank.utils.formatAccountNo(account + '', 'hide') + '</div></div>';
			} else {
				loanhtml12 += '<div class="ui-cardInfo select" id="' + account + "|" + element.balance + "|" + element.balanceAvailable + '" ><div class="select-o" >' + $.mbank.utils.formatAccountNo(account + '', 'hide') + '</div></div>';
			}
		});
		$("#accountList123").empty().append(loanhtml12);
		$(".ui-cardInfo").die().live("click", rebackbankinfo); //选择账号信息 
		$.mbank.infos.showbankdiv("show5", "bg5");
	}
})();