(function($, undefined) {
    $.mbank = $.mbank || {};
    // JSON.parse(sessionStorage.getItem("customer"))  pc测试使用
    $.mbank.customer = JSON.parse(sessionStorage.getItem("customer")) || $.mbank.customer || {
        "customerid": "",
        "name": "",
        "sessionid": "",
        "channel": "1301",//liana 反馈 手机端用 1301
        "d":"",
        "e":""
    };
    if(typeof(empid) != "undefined")$.mbank.customer.sessionid = empid;
    if(typeof(cname) != "undefined")$.mbank.customer.name = cname;
    if(typeof(did) != "undefined")$.mbank.customer.d = did;
    if(typeof(chanelId) != "undefined")$.mbank.customer.channel = chanelId;
    
    $.mbank.config = $.mbank.config || {};
    $.mbank.context = $.mbank.context || {};
    var cfgpath = "js/mbank.action.cfg";
    var pat = RegExp('views');
    var cPath = window.location.href;
    var module="";
    if(cPath.indexOf('/')!=cPath.lastIndexOf('/')){
    	var tm=cPath.substr(0,cPath.lastIndexOf('/'));
        module=tm.substr(tm.lastIndexOf('/')+1);
    }
    console.log(module+"已加载");
    var inViews = false;
    if (pat.test(cPath)) {
        cfgpath = '../../' + cfgpath;
        inViews = true;
    }
    if(sessionStorage.getItem("wxChanel")!=null){
    	$.mbank.customer.channel=sessionStorage.getItem("wxChanel");
    } 
   // module 对应controllers目录下面的包名，如aboutMap、accountSign等
    $.getJSON(cfgpath, {}, function(result) {
    	var cfg=result[module];
    	var mvc = cfg.mvc;
    	$.extend($.mbank.config, mvc);
    	
    	$.each(mvc,function(index,obj){
    		if (obj.controller) {
                var jsPath = obj.controller;
                if (jsPath.indexOf(',') != -1) {
                    var jsi = jsPath.split(",");
                    for (var j = 0; j < jsi.length; j++) {
                        var p = jsi[j];
                        if (inViews) {
                            p = '../../' + p;
                        }
                        console.log(p);
                        $.getScript(p, function() {});
                    }
                } else {
                    if (inViews) {
                        jsPath = '../../' + jsPath;
                    }
                    console.log(jsPath);
                    $.getScript(jsPath, function() {});
                }
            }
    	})
    });
    
    $.extend($.mbank, {
    	initUser: function(customerid, name, sessionid) {
            $.mbank.customer.customerid = customerid;
            $.mbank.customer.name = name;
            $.mbank.customer.sessionid = sessionid;
            $.mbank.customer.channel = '1301';//liana要求手机端发送为1301
        },
        //callback 和 errorProcess 方法没有和function 关联 ，不能使用
        openKeyboard: function(showValueID, hiddenID, callback, errorProcess) {
            if (_deviceReady) {
            	var jsonData={
        				"showValueID":showValueID,
        				"hiddenID":hiddenID
        			};
        		var data = JSON.stringify(jsonData);
                mobileutils.openKeyboard(data,
                	function(data) {callback(data)},
                    function(data) {}
                );
            } else {}
        },
        //
        getDataInfom: function(callback, errorProcess) {
            if (_deviceReady) {
                mobileutils.getDataInfom(
                    function(data) {},
                    function(data) {}
                );
            } else {}
        },
        isWeixin: function() {return $.mbank.customer.channel==weixinChanelID},
        showLoading: function() {
        	if(_deviceReady){
        		mobileutils.showLoading(function(data){},function(data){});
        	}else{
        	    $.mobile.loadingMessageTextVisible = true;
                $.mobile.loading("show", {
                    text: "加载中...",
                    textVisible: true,
                    theme: "b",
                    html: ""
                });
        	}       	
        },
        hideLoading: function() {
        	if(_deviceReady){
        		mobileutils.hideLoading(function(data){},function(data){});
        	}else{
        		$.mobile.loading("hide");
        	}
            
        },
        isLoading: function() {
			if(_deviceReady){
        		mobileutils.isLoading(function(data){
					return data
				},function(data){});
        	}else{
        		
        	}
		},
        myAlert: function(msg,yes){
        	if(_deviceReady){
        		if(!yes)yes = function(data){};
        		navigator.notification.alert(msg,yes,'提示','确定');
        	}else{
        		alert(msg);
        	}
        },
        myConfirm: function(msg,yes,no,title,buttonLabels){
        	title = title || "提示";
        	buttonLabels = buttonLabels || ["确定","取消"];
        	if(_deviceReady){
        		var confirmCallback = function (button) {
        			if(button==1) {
        				if(yes)yes();
        			}else if(button==2){
        				if(no)no();
        			}
        		}
        		navigator.notification.confirm(msg, confirmCallback,title,buttonLabels);
        	}else{
        		if(confirm(msg)){
        			if(yes)yes();
        		}else{
        			if(no)no();
        		}
        	}
        },
		signOut:function(){
		    if(_deviceReady){
        		/*if(mobileutils!=null){
                 	mobileutils.signOut(function(data){},function(data){});
                 };	*/
                window.location.href = getPrePath() + 'login/login.html';
        	}
		},
		getCustomInfo:function(){
		    if(_deviceReady){
        		if(mobileutils!=null){
                 	mobileutils.getCustomInfo(function(data){},function(data){});
                 };	
        	}
		},
        goPage: function(url) {
            $.mobile.changePage(getPrePath() + url);
        },
        send: function(urlID, callback, param, errorProcess) {
        	if(mobileutils!=null){
             	mobileutils.getRandom(function(data){
             		$.extend($.mbank.context, data);
             		$.mbank.sendByAjax(urlID, callback, param, errorProcess);
             	});
             }else{
            	 $.mbank.sendByAjax(urlID, callback, param, errorProcess);
             }
        },
        sendByAjax: function(urlID, callback, param, errorProcess) {
            var params = param || {};
            $.extend($.mbank.context, this.prepareData());
            $.extend(params, $.mbank.context);
            var url, emp_sid, bsncode;
            var config = $.mbank.config[urlID];
            var successPage;
            if (config.success)
                successPage = config.success;
            if (config.action) {
                url = serverPath + config.action;
                bsncode = config.bsnCode;
            } else {
                url = serverPath + urlID;
            }
            $.extend(params, {
                "EMP_SID": $.mbank.customer.sessionid,
                "channel": $.mbank.customer.channel,
                "d": $.mbank.customer.d,
                "currentBusinessCode": bsncode,
                "responseFormat": "JSON"
            });
            this.showLoading();
            
            $.ajax({
                url: url,
                data: params,
                type: 'POST',
                timeout: 20000,
                dataType: 'json',
                success: function(result) {
                    $.mbank.hideLoading();
                    if (result.ec == '20000') {       	
                    	$.mbank.processTimeout();
                    	return ;
                    }
                    else if (result.ec == '0') {
                        if (successPage)
                            $.mbank.goPage(successPage);
                        //$.mbank.setFormData();
                    }
                    if (callback) {
                        callback(result);
                    }
                },
                error: function() {
                    $.mbank.hideLoading();
                    if (errorProcess) {
                        errorProcess();
                    } else {
                        $.mbank.defaultErrorProcess();
                    }
                }
            });
        },
        waitForWhile :function(){
        	$.mbank.hideLoading();
        	$.mbank.myAlert('系统未就绪!');
        },
        getServerPathForGetRequest:function(action,params){
        	console.log(params);
        	action=action||"";
        	var params=params||{};
        	$.extend(params, {
                "EMP_SID": $.mbank.customer.sessionid,
                "channel": $.mbank.customer.channel,
                "d": $.mbank.customer.d,
                "responseFormat": "JSON"
            });
        	url=serverPath+action+"?";
        	$.each(params,function(index,element){
        		url=url+"&"+index+"="+element;
        	});
        	
        	return url;
        },
        //孙亮：增加failCallback参数，用于处理服务端返回失败的情况（ec不等于0的情况）
        pajax:function(action,param,callback,errorProcess,failCallback){
        	if(mobileutils!=null){
            	mobileutils.getRandom(function(data){
            		  console.log('mobileutils.getRandom:'+JSON.stringify(data));
            		  var params=params||{};
            		  $.extend(params, param);
            		  $.extend(params, data);
            		  console.log('para:'+JSON.stringify(params));
                  	$.mbank._pajax(action,param,callback,errorProcess,failCallback);
            	});
            }else{
            	$.mbank._pajax(action,param,callback,errorProcess,failCallback);
            }
        },
        //孙亮：增加failCallback参数，用于处理服务端返回失败的情况（ec不等于0的情况）
        _pajax:function(action,param,callback,errorProcess,failCallback){
        	this.showLoading();
        	console.log(serverPath+action);
        	var params=params||{};
        	$.extend(params, {
                "EMP_SID": $.mbank.customer.sessionid,
                "channel": $.mbank.customer.channel,
                "d": $.mbank.customer.d,
                "responseFormat": "JSON"
            });
        	$.extend(params,param);
        	console.log('paras :'+JSON.stringify(params));
        	//郑磊：增加报文加密
        	/*Crypt.encryptThreeDES(params,function(data){
        		params = data;
        	},function(data){
        	
        	});*/
    		$.ajax({
                url: serverPath+action,
                data: params,
                type: 'POST',
                timeout: 20000,
                dataType: 'json',
                success: function(result) {
					 console.log('result:'+JSON.stringify(result));
					 //郑磊：增加报文解密
		        	 /*Crypt.decryptThreeDES(result,function(data){
		        		  result = data;
		        	 },function(data){
		        	 
		        	 });*/
					 /**
					  * 张新兵：增加result为空的情况
					  * 仅适用于调用成功不需要返回结果
					  */
					 if(null == result){
						 result = {ec:"0",em:""};
					 }
                	 if (result.ec == '20000') {
                		$.mbank.hideLoading();
                     	//$.mbank.processTimeout();
                     	//ztp更改alert弹窗事件
                 		$.mbank.myAlert(result.em,function (data) {
                 			$.mbank.signOut();
                 		});
                     	return ;
                     } else if(result.ec == '20001'){
                     	$.mbank.hideLoading();
                		$.mbank.myAlert("系统繁忙。");
                		return;
                     } else if(result.ec!="0"){
                    	if (typeof(failCallback)!="undefined") {
                    		failCallback(result);
                    	}else{
                    	    $.mbank.hideLoading();
                    		$.mbank.myAlert("提醒："+result.em);
                    		return;
                    	}
                	}else if (callback) {
                		callback(result);
                    }
                },
                error: function() {
                	$.mbank.hideLoading();
                    if (errorProcess) {
                        errorProcess();
                    } else {
                        $.mbank.defaultErrorProcess();
                    }
                }
            });
        },
        setFormData: function(div) {
            $('[data-set="true"]', div).each(function() {
                var $this = $(this);
                var value = $.mbank.context[this.id];
                if ($this.is("input"))
                    $this.val(value);
                else
                    $this.text(value);
            });
        },
        defaultErrorProcess: function() {
        	$.mbank.hideLoading();
        	$.mbank.myAlert('通信异常');
        },
        processTimeout:function(){
        	$.mbank.hideLoading();
        	$.mbank.myAlert("会话已超时请重新登录");
			$.mbank.signOut();
        },
        closeWindow:function(data,callback, errorProcess){
        	if(_deviceReady){
        		if(mobileutils!=null){
                 	mobileutils.closeWindow(
                 			data,
                 			function(data){},
                 			function(data){});
                 };	
        	}
        	else if($.mbank.isWeixin()){
        		WeixinJSBridge.call('closeWindow');
        	}
        	else{
        	}
        },
        saveFormData:function(){
        	$.extend($.mbank.context, this.prepareData());
        },
        cleanFormData:function(){
        	$.mbank.context={};
        },
        prepareData: function() {
            var requestData = {};
            $('input').each(function() {
                if (this.type == 'checkbox') {
                    if (this.checked) {
                        requestData[this.name] = '1';
                    } else {
                        requestData[this.name] = '0';
                    }
                } else if (this.type == 'radio') {
                    if (this.checked) {
                        requestData[this.name] = this.value;
                    }
                } else {
                    requestData[this.name] = this.value;
                }
            });
            $('textarea').each(function() {
                requestData[this.name] = this.value;
            });
            $('select').each(function() {
                requestData[this.name] = this.value;
            });
            return requestData;
        },
        defaultError: function() {
        	$.mbank.hideLoading();
        	$.mbank.myAlert("请求出错(请检查相关度网络状况.)");
        }
    });
})(jQuery)