(function( $, undefined ) {
	$.dict = $.dict || {};
	$.dict.province = $.dict.province || {};
	$.dict.provinceMap = $.dict.provinceMap || {};
	
	$.extend($.dict.province, [ {
		"value" : "北京",
		"id" : "11",
		"pinyin" : "BeiJing"
	}, {
		"value" : "天津",
		"id" : "12",
		"pinyin" : "TianJin"
	}, {
		"value" : "河北",
		"id" : "13",
		"pinyin" : "HeBei"
	}, {
		"value" : "山西",
		"id" : "14",
		"pinyin" : "ShanXi"
	}, {
		"value" : "内蒙古",
		"id" : "15",
		"pinyin" : "NaMengGu"
	}, {
		"value" : "辽宁",
		"id" : "21",
		"pinyin" : "LiaoNing"
	}, {
		"value" : "吉林",
		"id" : "22",
		"pinyin" : "JiLin"
	}, {
		"value" : "黑龙江",
		"id" : "23",
		"pinyin" : "HeiLongJiang"
	}, {
		"value" : "上海",
		"id" : "31",
		"pinyin" : "ShangHai"
	}, {
		"value" : "江苏",
		"id" : "32",
		"pinyin" : "JiangSu"
	}, {
		"value" : "浙江",
		"id" : "33",
		"pinyin" : "ZheJiang"
	}, {
		"value" : "安徽",
		"id" : "34",
		"pinyin" : "AnHui"
	}, {
		"value" : "福建",
		"id" : "35",
		"pinyin" : "FuJian"
	}, {
		"value" : "江西",
		"id" : "36",
		"pinyin" : "JiangXi"
	}, {
		"value" : "山东",
		"id" : "37",
		"pinyin" : "ShanDong"
	}, {
		"value" : "河南",
		"id" : "41",
		"pinyin" : "HeNan"
	}, {
		"value" : "湖北",
		"id" : "42",
		"pinyin" : "HuBei"
	}, {
		"value" : "湖南",
		"id" : "43",
		"pinyin" : "HuNan"
	}, {
		"value" : "广东",
		"id" : "44",
		"pinyin" : "GuangDong"
	}, {
		"value" : "广西",
		"id" : "45",
		"pinyin" : "GuangXi"
	}, {
		"value" : "海南",
		"id" : "46",
		"pinyin" : "HaiNan"
	}, {
		"value" : "重庆",
		"id" : "50",
		"pinyin" : "ZhongQing"
	}, {
		"value" : "四川",
		"id" : "51",
		"pinyin" : "SiChuan"
	}, {
		"value" : "贵州",
		"id" : "52",
		"pinyin" : "GuiZhou"
	}, {
		"value" : "云南",
		"id" : "53",
		"pinyin" : "YunNan"
	}, {
		"value" : "西藏",
		"id" : "54",
		"pinyin" : "XiCang"
	}, {
		"value" : "陕西",
		"id" : "61",
		"pinyin" : "ShanXi"
	}, {
		"value" : "甘肃",
		"id" : "62",
		"pinyin" : "GanSu"
	}, {
		"value" : "青海",
		"id" : "63",
		"pinyin" : "QingHai"
	}, {
		"value" : "宁夏",
		"id" : "64",
		"pinyin" : "NingXia"
	}, {
		"value" : "新疆",
		"id" : "65",
		"pinyin" : "XinJiang"
	}, {
		"value" : "台湾",
		"id" : "71",
		"pinyin" : "TaiWan"
	}, {
		"value" : "香港",
		"id" : "81",
		"pinyin" : "XiangGang"
	}, {
		"value" : "澳门",
		"id" : "82",
		"pinyin" : "AoMen"
	} ]);
	
	$.each($.dict.province,function(index) {
		 var p = $.dict.province[index];
//		 console.log(p);
		 $.dict.provinceMap[p.id] = p.value;
	});
	//var array =JSON.parse(jax.responseText);
	//console.log($.dict.province.length);
	 
//	console.log($.dict.provinceMap);
	
})(jQuery)